--[[--
	by ALA @ 163UI
--]]--

if WOW_PROJECT_ID ~= WOW_PROJECT_CLASSIC then
	return;
end


local ADDON, NS = ...;

local _patch_version, _build_number, _build_date, _toc_version = GetBuildInfo();

----------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------main
--------------------------------------------------
--[[
	tier, column, isLearnable = GetTalentPrereqs( tabIndex[1-3] , talentIndex[1,MAX_NUM_TALENTS] );
	local name, iconTexture, tier, column, rank, maxRank, isExceptional, available = GetTalentInfo( tabIndex[1-3] , talentIndex[1,MAX_NUM_TALENTS] );

]]

NS.BUILD = "CLASSIC";
NS.MAXLEVEL = 60;
NS.MAX_NUM_TIER = 7;
NS.MAX_NUM_COL = 4;
NS.MAX_NUM_TALENTS = 28;
NS.MAX_LEVEL = 60;
--
NS._classTab = {
	DRUID =
	{
		283,	--Balance,平衡
		281,	--Feral,野性战斗
		282,	--Restoration,恢复
	},
	HUNTER =
	{
		361,	--BeastMastery,野兽控制
		363,	--Marksmanship,射击
		362,	--Survival,生存
	},
	MAGE =
	{
		81,		--Arcane,奥术
		41,		--Fire,火焰
		61,		--Frost,冰霜
	},
	PALADIN =
	{
		382,	--Holy,神圣
		383,	--Protection,防护
		381,	--Combat,惩戒
	},
	PRIEST =
	{
		201,	--Discipline,戒律
		202,	--Holy,神圣
		203,	--Shadow,暗影
	},
	ROGUE =
	{
		182,	--Assassination,刺杀
		181,	--Combat,战斗
		183,	--Subtlety,敏锐
	},
	SHAMAN =
	{
		261,	--Elemental,元素
		263,	--Enhancement,增强
		262,	--Restoration,恢复
	},
	WARLOCK =
	{
		302,	--Curses,痛苦
		303,	--Summoning,恶魔学识
		301,	--Destruction,毁灭
	},
	WARRIOR =
	{
		161,	--Arms,武器
		164,	--Fury,狂怒
		163,	--Protection,防护
	},

};
--
	--	_talentDB
	--1-----2----3---4---------5--------6-------7------8---------9--------10-----------11---------------12
	--tier, col, id, maxPoint, reqTier, reqCol, reqId, Spell[5], texture, [icon index, req index in db, req by index in db](calculated after addon loaded)
	--	_spellDB_P
	--	 1_level, 2_id, 3_cost, 4_phase, name, passive, talent, class
--
NS._talentDB = {
	MAGE =
	{
		[41] =
		{
			{ 0, 1,   26, 5, nil, nil,  nil, { 11069, 12338, 12339, 12340, 12341, }, "Interface\\icons\\spell_fire_flamebolt", },
			{ 0, 2,   30, 5, nil, nil,  nil, { 11103, 12357, 12358, 12359, 12360, }, "Interface\\icons\\spell_fire_meteorstorm", },
			{ 1, 0,   34, 5, nil, nil,  nil, { 11119, 11120, 12846, 12847, 12848, }, "Interface\\icons\\spell_fire_incinerate", },
			{ 1, 1,   28, 2, nil, nil,  nil, { 11100, 12353,   nil,   nil,   nil, }, "Interface\\icons\\spell_fire_flare", },
			{ 1, 2,   27, 3, nil, nil,  nil, { 11078, 11080, 12342,   nil,   nil, }, "Interface\\icons\\spell_fire_fireball", },
			{ 2, 0, 1141, 2, nil, nil,  nil, { 18459, 18460,   nil,   nil,   nil, }, "Interface\\icons\\spell_fire_flameshock", },
			{ 2, 1,   31, 3, nil, nil,  nil, { 11108, 12349, 12350,   nil,   nil, }, "Interface\\icons\\spell_fire_selfdestruct", },
			{ 2, 2,   29, 1, nil, nil,  nil, { 11366,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_fire_fireball02", },
			{ 2, 3,   23, 2, nil, nil,  nil, { 11083, 12351,   nil,   nil,   nil, }, "Interface\\icons\\spell_fire_fire", },
			{ 3, 0,   25, 3, nil, nil,  nil, { 11095, 12872, 12873,   nil,   nil, }, "Interface\\icons\\spell_fire_soulburn", },
			{ 3, 1,   24, 2, nil, nil,  nil, { 11094, 13043,   nil,   nil,   nil, }, "Interface\\icons\\spell_fire_firearmor", },
			{ 3, 3, 1639, 3, nil, nil,  nil, { 29074, 29075, 29076,   nil,   nil, }, "Interface\\icons\\spell_fire_masterofelements", },
			{ 4, 1,   33, 3, nil, nil,  nil, { 11115, 11367, 11368,   nil,   nil, }, "Interface\\icons\\spell_nature_wispheal", },
			{ 4, 2,   32, 1,   2,   2,   29, { 11113,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_excorcism_02", },
			{ 5, 2,   35, 5, nil, nil,  nil, { 11124, 12378, 12398, 12399, 12400, }, "Interface\\icons\\spell_fire_immolation", },
			{ 6, 1,   36, 1,   4,   1,   33, { 11129,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_fire_sealoffire", },
		},
		[61] =
		{
			{ 0, 0,   70, 2, nil, nil,  nil, { 11189, 28332,   nil,   nil,   nil, }, "Interface\\icons\\spell_frost_frostward", },
			{ 0, 1,   37, 5, nil, nil,  nil, { 11070, 12473, 16763, 16765, 16766, }, "Interface\\icons\\spell_frost_frostbolt02", },
			{ 0, 2, 1649, 3, nil, nil,  nil, { 29438, 29439, 29440,   nil,   nil, }, "Interface\\icons\\spell_ice_magicdamage", },
			{ 1, 0,   73, 5, nil, nil,  nil, { 11207, 12672, 15047, 15052, 15053, }, "Interface\\icons\\spell_frost_iceshard", },
			{ 1, 1,   38, 3, nil, nil,  nil, { 11071, 12496, 12497,   nil,   nil, }, "Interface\\icons\\spell_frost_frostarmor", },
			{ 1, 2,   62, 2, nil, nil,  nil, { 11165, 12475,   nil,   nil,   nil, }, "Interface\\icons\\spell_frost_freezingbreath", },
			{ 1, 3,   65, 3, nil, nil,  nil, { 11175, 12569, 12571,   nil,   nil, }, "Interface\\icons\\spell_frost_wisp", },
			{ 2, 0,   61, 3, nil, nil,  nil, { 11151, 12952, 12953,   nil,   nil, }, "Interface\\icons\\spell_frost_frostbolt", },
			{ 2, 1,   69, 1, nil, nil,  nil, { 12472,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_frost_wizardmark", },
			{ 2, 3,   63, 3, nil, nil,  nil, { 11185, 12487, 12488,   nil,   nil, }, "Interface\\icons\\spell_frost_icestorm", },
			{ 3, 0,  741, 2, nil, nil,  nil, { 16757, 16758,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_darkritual", },
			{ 3, 1,   66, 3, nil, nil,  nil, { 11160, 12518, 12519,   nil,   nil, }, "Interface\\icons\\spell_frost_stun", },
			{ 3, 2,   67, 5,   1,   2,   62, { 11170, 12982, 12983, 12984, 12985, }, "Interface\\icons\\spell_frost_frostshock", },
			{ 4, 1,   72, 1, nil, nil,  nil, { 11958,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_frost_frost", },
			{ 4, 2,   64, 3, nil, nil,  nil, { 11190, 12489, 12490,   nil,   nil, }, "Interface\\icons\\spell_frost_glacier", },
			{ 5, 2,   68, 5, nil, nil,  nil, { 11180, 28592, 28593, 28594, 28595, }, "Interface\\icons\\spell_frost_chillingblast", },
			{ 6, 1,   71, 1,   4,   1,   72, { 11426,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_ice_lament", },
		},
		[81] =
		{
			--{ 0, 0,   74, 2, nil, nil,  nil, {    66,    66,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_dispelmagic", },	--testing
			{ 0, 0,   74, 2, nil, nil,  nil, { 11210, 12592,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_dispelmagic", },
			{ 0, 1,   76, 5, nil, nil,  nil, { 11222, 12839, 12840, 12841, 12842, }, "Interface\\icons\\spell_holy_devotion", },
			{ 0, 2,   80, 5, nil, nil,  nil, { 11237, 12463, 12464, 16769, 16770, }, "Interface\\icons\\spell_nature_starfall", },
			{ 1, 0,   78, 2, nil, nil,  nil, {  6057,  6085,   nil,   nil,   nil, }, "Interface\\icons\\inv_wand_01", },
			{ 1, 1, 1650, 5, nil, nil,  nil, { 29441, 29444, 29445, 29446, 29447, }, "Interface\\icons\\spell_nature_astralrecalgroup", },
			{ 1, 2,   75, 5, nil, nil,  nil, { 11213, 12574, 12575, 12576, 12577, }, "Interface\\icons\\spell_shadow_manaburn", },
			{ 2, 0,   82, 2, nil, nil,  nil, { 11247, 12606,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_abolishmagic", },
			{ 2, 1,   81, 3, nil, nil,  nil, { 11242, 12467, 12469,   nil,   nil, }, "Interface\\icons\\spell_nature_wispsplode", },
			{ 2, 2,   85, 1, nil, nil,  nil, { 28574,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_arcane_arcaneresilience", },
			{ 3, 0,   83, 2, nil, nil,  nil, { 11252, 12605,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_detectlesserinvisibility", },
			{ 3, 1,   88, 2, nil, nil,  nil, { 11255, 12598,   nil,   nil,   nil, }, "Interface\\icons\\spell_frost_iceshock", },
			{ 3, 3, 1142, 3, nil, nil,  nil, { 18462, 18463, 18464,   nil,   nil, }, "Interface\\icons\\spell_shadow_siphonmana", },
			{ 4, 1,   86, 1, nil, nil,  nil, { 12043,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_enchantarmor", },
			{ 4, 2,   77, 5,   2,   2,   85, { 11232, 12500, 12501, 12502, 12503, }, "Interface\\icons\\spell_shadow_charm", },
			{ 5, 1,  421, 3,   4,   1,   86, { 15058, 15059, 15060,   nil,   nil, }, "Interface\\icons\\spell_shadow_teleport", },
			{ 6, 1,   87, 1,   5,   1,  421, { 12042,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_lightning", },
		},
	},
	WARRIOR =
	{
		[161] =
		{
			{ 0, 0,  124, 3, nil, nil,  nil, { 12282, 12663, 12664,   nil,   nil, }, "Interface\\icons\\ability_rogue_ambush", },
			{ 0, 1,  130, 5, nil, nil,  nil, { 16462, 16463, 16464, 16465, 16466, }, "Interface\\icons\\ability_parry", },
			{ 0, 2,  127, 3, nil, nil,  nil, { 12286, 12658, 12659,   nil,   nil, }, "Interface\\icons\\ability_gouge", },
			{ 1, 0,  126, 2, nil, nil,  nil, { 12285, 12697,   nil,   nil,   nil, }, "Interface\\icons\\ability_warrior_charge", },
			{ 1, 1,  641, 5, nil, nil,  nil, { 12295, 12676, 12677, 12678, 12679, }, "Interface\\icons\\spell_nature_enchantarmor", },
			{ 1, 3,  128, 3, nil, nil,  nil, { 12287, 12665, 12666,   nil,   nil, }, "Interface\\icons\\ability_thunderclap", },
			{ 2, 0,  131, 2, nil, nil,  nil, { 12290, 12963,   nil,   nil,   nil, }, "Interface\\icons\\inv_sword_05", },
			{ 2, 1,  137, 1,   1,   1,  641, { 12296,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_blessingofstamina", },
			{ 2, 2,  121, 3,   0,   2,  127, { 12834, 12849, 12867,   nil,   nil, }, "Interface\\icons\\ability_backstab", },
			{ 3, 1,  136, 5, nil, nil,  nil, { 12163, 12711, 12712, 12713, 12714, }, "Interface\\icons\\inv_axe_09", },
			{ 3, 2,  662, 2,   2,   2,  121, { 16493, 16494,   nil,   nil,   nil, }, "Interface\\icons\\ability_searingarrow", },
			{ 4, 0,  132, 5, nil, nil,  nil, { 12700, 12781, 12783, 12784, 12785, }, "Interface\\icons\\inv_axe_06", },
			{ 4, 1,  133, 1, nil, nil,  nil, { 12292,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_rogue_slicedice", },
			{ 4, 2,  125, 5, nil, nil,  nil, { 12284, 12701, 12702, 12703, 12704, }, "Interface\\icons\\inv_mace_01", },
			{ 4, 3,  123, 5, nil, nil,  nil, { 12281, 12812, 12813, 12814, 12815, }, "Interface\\icons\\inv_sword_27", },
			{ 5, 0,  134, 5, nil, nil,  nil, { 12165, 12830, 12831, 12832, 12833, }, "Interface\\icons\\inv_weapon_halbard_01", },
			{ 5, 2,  129, 3, nil, nil,  nil, { 12289, 12668, 23695,   nil,   nil, }, "Interface\\icons\\ability_shockwave", },
			{ 6, 1,  135, 1,   4,   1,  133, { 12294,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_warrior_savageblow", },
		},
		[163] =
		{
			{ 0, 1, 1601, 5, nil, nil,  nil, { 12298, 12724, 12725, 12726, 12727, }, "Interface\\icons\\inv_shield_06", },
			{ 0, 2,  138, 5, nil, nil,  nil, { 12297, 12750, 12751, 12752, 12753, }, "Interface\\icons\\spell_nature_mirrorimage", },
			{ 1, 0,  142, 2, nil, nil,  nil, { 12301, 12818,   nil,   nil,   nil, }, "Interface\\icons\\ability_racial_bloodrage", },
			{ 1, 2,  140, 5, nil, nil,  nil, { 12299, 12761, 12762, 12763, 12764, }, "Interface\\icons\\spell_holy_devotion", },
			{ 1, 3,  141, 5, nil, nil,  nil, { 12300, 12959, 12960, 12961, 12962, }, "Interface\\icons\\spell_magic_magearmor", },
			{ 2, 0,  153, 1,   1,   0,  142, { 12975,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_ashestoashes", },
			{ 2, 1,  145, 3,   0,   1, 1601, { 12945, 12307, 12944,   nil,   nil, }, "Interface\\icons\\ability_defend", },
			{ 2, 2,  147, 3, nil, nil,  nil, { 12797, 12799, 12800,   nil,   nil, }, "Interface\\icons\\ability_warrior_revenge", },
			{ 2, 3,  144, 5, nil, nil,  nil, { 12303, 12788, 12789, 12791, 12792, }, "Interface\\icons\\ability_warrior_innerrage", },
			{ 3, 0,  146, 3, nil, nil,  nil, { 12308, 12810, 12811,   nil,   nil, }, "Interface\\icons\\ability_warrior_sunder", },
			{ 3, 1,  151, 3, nil, nil,  nil, { 12313, 12804, 12807,   nil,   nil, }, "Interface\\icons\\ability_warrior_disarm", },
			{ 3, 2,  143, 2, nil, nil,  nil, { 12302, 12765,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_reincarnation", },
			{ 4, 0,  150, 2, nil, nil,  nil, { 12312, 12803,   nil,   nil,   nil, }, "Interface\\icons\\ability_warrior_shieldwall", },
			{ 4, 1,  152, 1, nil, nil,  nil, { 12809,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_thunderbolt", },
			{ 4, 2,  149, 2, nil, nil,  nil, { 12311, 12958,   nil,   nil,   nil, }, "Interface\\icons\\ability_warrior_shieldbash", },
			{ 5, 2,  702, 5, nil, nil,  nil, { 16538, 16539, 16540, 16541, 16542, }, "Interface\\icons\\inv_sword_20", },
			{ 6, 1,  148, 1,   4,   1,  152, { 23922,   nil,   nil,   nil,   nil, }, "Interface\\icons\\inv_shield_05", },
		},
		[164] =
		{
			{ 0, 1,  158, 5, nil, nil,  nil, { 12321, 12835, 12836, 12837, 12838, }, "Interface\\icons\\spell_nature_purge", },
			{ 0, 2,  157, 5, nil, nil,  nil, { 12320, 12852, 12853, 12855, 12856, }, "Interface\\icons\\ability_rogue_eviscerate", },
			{ 1, 1,  161, 5, nil, nil,  nil, { 12324, 12876, 12877, 12878, 12879, }, "Interface\\icons\\ability_warrior_warcry", },
			{ 1, 2,  159, 5, nil, nil,  nil, { 12322, 12999, 13000, 13001, 13002, }, "Interface\\icons\\spell_nature_stoneclawtotem", },
			{ 2, 0,  166, 3, nil, nil,  nil, { 12329, 12950, 20496,   nil,   nil, }, "Interface\\icons\\ability_warrior_cleave", },
			{ 2, 1,  160, 1, nil, nil,  nil, { 12323,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_deathscream", },
			{ 2, 2,  661, 3, nil, nil,  nil, { 16487, 16489, 16492,   nil,   nil, }, "Interface\\icons\\spell_shadow_summonimp", },
			{ 2, 3,  154, 5, nil, nil,  nil, { 12318, 12857, 12858, 12860, 12861, }, "Interface\\icons\\ability_warrior_battleshout", },
			{ 3, 0, 1581, 5, nil, nil,  nil, { 23584, 23585, 23586, 23587, 23588, }, "Interface\\icons\\ability_dualwield", },
			{ 3, 1, 1542, 2, nil, nil,  nil, { 20502, 20503,   nil,   nil,   nil, }, "Interface\\icons\\inv_sword_48", },
			{ 3, 2,  155, 5, nil, nil,  nil, { 12317, 13045, 13046, 13047, 13048, }, "Interface\\icons\\spell_shadow_unholyfrenzy", },
			{ 4, 0,  168, 5, nil, nil,  nil, { 12862, 12330, 20497, 20498, 20499, }, "Interface\\icons\\ability_warrior_decisivestrike", },
			{ 4, 1,  165, 1, nil, nil,  nil, { 12328,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_deathpact", },
			{ 4, 3, 1543, 2, nil, nil,  nil, { 20504, 20505,   nil,   nil,   nil, }, "Interface\\icons\\ability_rogue_sprint", },
			{ 5, 0, 1541, 2, nil, nil,  nil, { 20500, 20501,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_ancestralguardian", },
			{ 5, 2,  156, 5,   3,   2,  155, { 12319, 12971, 12972, 12973, 12974, }, "Interface\\icons\\ability_ghoulfrenzy", },
			{ 6, 1,  167, 1,   4,   1,  165, { 23881,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_bloodlust", },
		},
	},
	ROGUE =
	{
		[181] =
		{
			{ 0, 0,  203, 3, nil, nil,  nil, { 13741, 13793, 13792,   nil,   nil, }, "Interface\\icons\\ability_gouge", },
			{ 0, 1,  201, 2, nil, nil,  nil, { 13732, 13863,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_ritualofsacrifice", },
			{ 0, 2,  186, 5, nil, nil,  nil, { 13712, 13788, 13789, 13790, 13791, }, "Interface\\icons\\spell_nature_invisibilty", },
			{ 1, 0,  202, 3, nil, nil,  nil, { 13733, 13865, 13866,   nil,   nil, }, "Interface\\icons\\ability_backstab", },
			{ 1, 1,  187, 5, nil, nil,  nil, { 13713, 13853, 13854, 13855, 13856, }, "Interface\\icons\\ability_parry", },
			{ 1, 2,  181, 5, nil, nil,  nil, { 13705, 13832, 13843, 13844, 13845, }, "Interface\\icons\\ability_marksmanship", },
			{ 2, 0,  204, 2, nil, nil,  nil, { 13742, 13872,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_shadowward", },
			{ 2, 1,  301, 1,   1,   1,  187, { 14251,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_warrior_challange", },
			{ 2, 3,  222, 2, nil, nil,  nil, { 13743, 13875,   nil,   nil,   nil, }, "Interface\\icons\\ability_rogue_sprint", },
			{ 3, 0,  206, 2, nil, nil,  nil, { 13754, 13867,   nil,   nil,   nil, }, "Interface\\icons\\ability_kick", },
			{ 3, 1,  182, 5, nil, nil,  nil, { 13706, 13804, 13805, 13806, 13807, }, "Interface\\icons\\inv_weapon_shortblade_05", },
			{ 3, 2,  221, 5,   1,   2,  181, { 13715, 13848, 13849, 13851, 13852, }, "Interface\\icons\\ability_dualwield", },
			{ 4, 0,  184, 5, nil, nil,  nil, { 13709, 13800, 13801, 13802, 13803, }, "Interface\\icons\\inv_mace_01", },
			{ 4, 1,  223, 1, nil, nil,  nil, { 13877,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_warrior_punishingblow", },
			{ 4, 2,  242, 5, nil, nil,  nil, { 13960, 13961, 13962, 13963, 13964, }, "Interface\\icons\\inv_sword_27", },
			{ 4, 3,  183, 5, nil, nil,  nil, { 13707, 13966, 13967, 13968, 13969, }, "Interface\\icons\\inv_gauntlets_04", },
			{ 5, 1, 1703, 2,   4,   1,  223, { 30919, 30920,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_blessingofstrength", },
			{ 5, 2, 1122, 3, nil, nil,  nil, { 18427, 18428, 18429,   nil,   nil, }, "Interface\\icons\\ability_racial_avatar", },
			{ 6, 1,  205, 1, nil, nil,  nil, { 13750,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_shadowworddominate", },
		},
		[182] =
		{
			{ 0, 0,  276, 3, nil, nil,  nil, { 14162, 14163, 14164,   nil,   nil, }, "Interface\\icons\\ability_rogue_eviscerate", },
			{ 0, 1,  272, 2, nil, nil,  nil, { 14144, 14148,   nil,   nil,   nil, }, "Interface\\icons\\ability_fiegndead", },
			{ 0, 2,  270, 5, nil, nil,  nil, { 14138, 14139, 14140, 14141, 14142, }, "Interface\\icons\\ability_racial_bloodrage", },
			{ 1, 0,  273, 3, nil, nil,  nil, { 14156, 14160, 14161,   nil,   nil, }, "Interface\\icons\\ability_druid_disembowel", },
			{ 1, 1,  274, 2, nil, nil,  nil, { 14158, 14159,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_deathscream", },
			{ 1, 3,  277, 3, nil, nil,  nil, { 14165, 14166, 14167,   nil,   nil, }, "Interface\\icons\\ability_rogue_slicedice", },
			{ 2, 0,  281, 1, nil, nil,  nil, { 14179,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_warrior_decisivestrike", },
			{ 2, 1,  278, 2, nil, nil,  nil, { 14168, 14169,   nil,   nil,   nil, }, "Interface\\icons\\ability_warrior_riposte", },
			{ 2, 2,  269, 5,   0,   2,  270, { 14128, 14132, 14135, 14136, 14137, }, "Interface\\icons\\ability_criticalstrike", },
			{ 3, 1,  682, 5, nil, nil,  nil, { 16513, 16514, 16515, 16719, 16720, }, "Interface\\icons\\ability_rogue_feigndeath", },
			{ 3, 2,  268, 5, nil, nil,  nil, { 14113, 14114, 14115, 14116, 14117, }, "Interface\\icons\\ability_poisons", },
			{ 4, 1,  280, 1, nil, nil,  nil, { 14177,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_ice_lament", },
			{ 4, 2,  279, 3, nil, nil,  nil, { 14174, 14175, 14176,   nil,   nil, }, "Interface\\icons\\ability_rogue_kidneyshot", },
			{ 5, 1,  283, 5,   4,   1,  280, { 14186, 14190, 14193, 14194, 14195, }, "Interface\\icons\\spell_shadow_chilltouch", },
			{ 6, 1,  382, 1, nil, nil,  nil, { 14983,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_earthbindtotem", },
		},
		[183] =
		{
			{ 0, 1,  241, 5, nil, nil,  nil, { 13958, 13970, 13971, 13972, 13973, }, "Interface\\icons\\spell_shadow_charm", },
			{ 0, 2,  261, 5, nil, nil,  nil, { 14057, 14072, 14073, 14074, 14075, }, "Interface\\icons\\ability_warrior_warcry", },
			{ 1, 0, 1700, 2, nil, nil,  nil, { 30892, 30893,   nil,   nil,   nil, }, "Interface\\icons\\ability_rogue_feint", },
			{ 1, 1,  247, 2, nil, nil,  nil, { 13981, 14066,   nil,   nil,   nil, }, "Interface\\icons\\spell_magic_lesserinvisibilty", },
			{ 1, 2,  244, 5, nil, nil,  nil, { 13975, 14062, 14063, 14064, 14065, }, "Interface\\icons\\ability_stealth", },
			{ 2, 0,  245, 3, nil, nil,  nil, { 13976, 13979, 13980,   nil,   nil, }, "Interface\\icons\\spell_shadow_fumble", },
			{ 2, 1,  303, 1, nil, nil,  nil, { 14278,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_curse", },
			{ 2, 2,  263, 3, nil, nil,  nil, { 14079, 14080, 14081,   nil,   nil, }, "Interface\\icons\\ability_rogue_ambush", },
			{ 3, 0,  246, 3, nil, nil,  nil, { 13983, 14070, 14071,   nil,   nil, }, "Interface\\icons\\spell_nature_mirrorimage", },
			{ 3, 1,  262, 3, nil, nil,  nil, { 14076, 14094, 14095,   nil,   nil, }, "Interface\\icons\\ability_sap", },
			{ 3, 2, 1123, 3, nil, nil,  nil, { 14171, 14172, 14173,   nil,   nil, }, "Interface\\icons\\inv_sword_17", },
			{ 4, 0, 1701, 2, nil, nil,  nil, { 30894, 30895,   nil,   nil,   nil, }, "Interface\\icons\\ability_ambush", },
			{ 4, 1,  284, 1, nil, nil,  nil, { 14185,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_antishadow", },
			{ 4, 2,  265, 2, nil, nil,  nil, { 14082, 14083,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_summonsuccubus", },
			{ 4, 3,  681, 1,   3,   2, 1123, { 16511,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_lifedrain", },
			{ 5, 2, 1702, 5, nil, nil,  nil, { 30902, 30903, 30904, 30905, 30906, }, "Interface\\icons\\inv_weapon_crossbow_11", },
			{ 6, 1,  381, 1,   4,   1,  284, { 14183,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_possession", },
		},
	},
	PRIEST =
	{
		[201] =
		{
			{ 0, 1,  342, 5, nil, nil,  nil, { 14522, 14788, 14789, 14790, 14791, }, "Interface\\icons\\spell_magic_magearmor", },
			{ 0, 2,  345, 5, nil, nil,  nil, { 14524, 14525, 14526, 14527, 14528, }, "Interface\\icons\\inv_wand_01", },
			{ 1, 0,  352, 5, nil, nil,  nil, { 14523, 14784, 14785, 14786, 14787, }, "Interface\\icons\\spell_nature_manaregentotem", },
			{ 1, 1,  344, 2, nil, nil,  nil, { 14749, 14767,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_wordfortitude", },
			{ 1, 2,  343, 3, nil, nil,  nil, { 14748, 14768, 14769,   nil,   nil, }, "Interface\\icons\\spell_holy_powerwordshield", },
			{ 1, 3,  321, 2, nil, nil,  nil, { 14531, 14774,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_tranquility", },
			{ 2, 1,  348, 1, nil, nil,  nil, { 14751,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_frost_windwalkon", },
			{ 2, 2,  347, 3, nil, nil,  nil, { 14521, 14776, 14777,   nil,   nil, }, "Interface\\icons\\spell_nature_sleep", },
			{ 3, 0,  346, 3, nil, nil,  nil, { 14747, 14770, 14771,   nil,   nil, }, "Interface\\icons\\spell_holy_innerfire", },
			{ 3, 1,  341, 5, nil, nil,  nil, { 14520, 14780, 14781, 14782, 14783, }, "Interface\\icons\\ability_hibernation", },
			{ 3, 3,  350, 2, nil, nil,  nil, { 14750, 14772,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_manaburn", },
			{ 4, 1, 1201, 5, nil, nil,  nil, { 18551, 18552, 18553, 18554, 18555, }, "Interface\\icons\\spell_nature_enchantarmor", },
			{ 4, 2,  351, 1,   2,   2,  347, { 14752,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_divinespirit", },
			{ 5, 2, 1202, 5, nil, nil,  nil, { 18544, 18547, 18548, 18549, 18550, }, "Interface\\icons\\spell_nature_slowingtotem", },
			{ 6, 1,  322, 1,   4,   1, 1201, { 10060,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_powerinfusion", },
		},
		[202] =
		{
			{ 0, 0,  410, 2, nil, nil,  nil, { 14913, 15012,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_healingfocus", },
			{ 0, 1,  406, 3, nil, nil,  nil, { 14908, 15020, 17191,   nil,   nil, }, "Interface\\icons\\spell_holy_renew", },
			{ 0, 2,  401, 5, nil, nil,  nil, { 14889, 15008, 15009, 15010, 15011, }, "Interface\\icons\\spell_holy_sealofsalvation", },
			{ 1, 1,  411, 5, nil, nil,  nil, { 27900, 27901, 27902, 27903, 27904, }, "Interface\\icons\\spell_holy_spellwarding", },
			{ 1, 2, 1181, 5, nil, nil,  nil, { 18530, 18531, 18533, 18534, 18535, }, "Interface\\icons\\spell_holy_sealofwrath", },
			{ 2, 0,  442, 1, nil, nil,  nil, { 15237,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_holynova", },
			{ 2, 1, 1636, 3, nil, nil,  nil, { 27811, 27815, 27816,   nil,   nil, }, "Interface\\icons\\spell_holy_blessedrecovery", },
			{ 2, 3,  361, 3, nil, nil,  nil, { 14892, 15362, 15363,   nil,   nil, }, "Interface\\icons\\spell_holy_layonhands", },
			{ 3, 0, 1635, 2, nil, nil,  nil, { 27789, 27790,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_purify", },
			{ 3, 1,  408, 3, nil, nil,  nil, { 14912, 15013, 15014,   nil,   nil, }, "Interface\\icons\\spell_holy_heal02", },
			{ 3, 2,  403, 2,   1,   2, 1181, { 14909, 15017,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_searinglightpriest", },
			{ 4, 0,  413, 2, nil, nil,  nil, { 14911, 15018,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_prayerofhealing02", },
			{ 4, 1, 1561, 1, nil, nil,  nil, { 20711,   nil,   nil,   nil,   nil, }, "Interface\\icons\\inv_enchant_essenceeternallarge", },
			{ 4, 2,  402, 5, nil, nil,  nil, { 14901, 15028, 15029, 15030, 15031, }, "Interface\\icons\\spell_holy_spiritualguidence", },
			{ 5, 2,  404, 5, nil, nil,  nil, { 14898, 15349, 15354, 15355, 15356, }, "Interface\\icons\\spell_nature_moonglow", },
			{ 6, 1, 1637, 1,   4,   1, 1561, { 724,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_summonlightwell", },
		},
		[203] =
		{
			{ 0, 1,  465, 5, nil, nil,  nil, { 15270, 15335, 15336, 15337, 15338, }, "Interface\\icons\\spell_shadow_requiem", },
			{ 0, 2,  464, 5, nil, nil,  nil, { 15268, 15323, 15324, 15325, 15326, }, "Interface\\icons\\spell_shadow_gathershadows", },
			{ 1, 0,  466, 3, nil, nil,  nil, { 15318, 15272, 15320,   nil,   nil, }, "Interface\\icons\\spell_shadow_shadowward", },
			{ 1, 1,  482, 2, nil, nil,  nil, { 15275, 15317,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_shadowwordpain", },
			{ 1, 2,  463, 5, nil, nil,  nil, { 15260, 15327, 15328, 15329, 15330, }, "Interface\\icons\\spell_shadow_burningspirit", },
			{ 2, 0,  542, 2, nil, nil,  nil, { 15392, 15448,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_psychicscream", },
			{ 2, 1,  481, 5, nil, nil,  nil, { 15273, 15312, 15313, 15314, 15316, }, "Interface\\icons\\spell_shadow_unholyfrenzy", },
			{ 2, 2,  501, 1, nil, nil,  nil, { 15407,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_siphonmana", },
			{ 3, 1,  483, 2, nil, nil,  nil, { 15274, 15311,   nil,   nil,   nil, }, "Interface\\icons\\spell_magic_lesserinvisibilty", },
			{ 3, 2,  881, 3, nil, nil,  nil, { 17322, 17323, 17325,   nil,   nil, }, "Interface\\icons\\spell_shadow_chilltouch", },
			{ 3, 3,  461, 5, nil, nil,  nil, { 15257, 15331, 15332, 15333, 15334, }, "Interface\\icons\\spell_shadow_blackplague", },
			{ 4, 0,  541, 1,   2,   0,  542, { 15487,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_impphaseshift", },
			{ 4, 1,  484, 1, nil, nil,  nil, { 15286,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_unsummonbuilding", },
			{ 4, 2, 1638, 2,   4,   1,  484, { 27839, 27840,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_improvedvampiricembrace", },
			{ 5, 2,  462, 5, nil, nil,  nil, { 15259, 15307, 15308, 15309, 15310, }, "Interface\\icons\\spell_shadow_twilight", },
			{ 6, 1,  521, 1,   4,   1,  484, { 15473,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_shadowform", },
		},
	},
	SHAMAN =
	{
		[261] =
		{
			{ 0, 1,  564, 5, nil, nil,  nil, { 16039, 16109, 16110, 16111, 16112, }, "Interface\\icons\\spell_nature_wispsplode", },
			{ 0, 2,  563, 5, nil, nil,  nil, { 16035, 16105, 16106, 16107, 16108, }, "Interface\\icons\\spell_fire_fireball", },
			{ 1, 0,  572, 2, nil, nil,  nil, { 16043, 16130,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_stoneclawtotem", },
			{ 1, 1, 1640, 3, nil, nil,  nil, { 28996, 28997, 28998,   nil,   nil, }, "Interface\\icons\\spell_nature_spiritarmor", },
			{ 1, 2,  561, 3, nil, nil,  nil, { 16038, 16160, 16161,   nil,   nil, }, "Interface\\icons\\spell_fire_immolation", },
			{ 2, 0,  574, 1, nil, nil,  nil, { 16164,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_manaburn", },
			{ 2, 1,  575, 5, nil, nil,  nil, { 16040, 16113, 16114, 16115, 16116, }, "Interface\\icons\\spell_frost_frostward", },
			{ 2, 2,  562, 5, nil, nil,  nil, { 16041, 16117, 16118, 16119, 16120, }, "Interface\\icons\\spell_nature_callstorm", },
			{ 3, 0,  567, 2, nil, nil,  nil, { 16086, 16544,   nil,   nil,   nil, }, "Interface\\icons\\spell_fire_sealoffire", },
			{ 3, 1, 1642, 3, nil, nil,  nil, { 29062, 29064, 29065,   nil,   nil, }, "Interface\\icons\\spell_nature_eyeofthestorm", },
			{ 3, 3, 1645, 3, nil, nil,  nil, { 30160, 29179, 29180,   nil,   nil, }, "Interface\\icons\\spell_fire_elementaldevastation", },
			{ 4, 0, 1641, 2, nil, nil,  nil, { 28999, 29000,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_stormreach", },
			{ 4, 1,  565, 1, nil, nil,  nil, { 16089,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_fire_volcano", },
			{ 5, 2,  721, 5,   2,   2,  562, { 16578, 16579, 16580, 16581, 16582, }, "Interface\\icons\\spell_lightning_lightningbolt01", },
			{ 6, 1,  573, 1,   4,   1,  565, { 16166,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_wispheal", },
		},
		[262] =
		{
			{ 0, 1,  586, 5, nil, nil,  nil, { 16182, 16226, 16227, 16228, 16229, }, "Interface\\icons\\spell_nature_magicimmunity", },
			{ 0, 2,  593, 5, nil, nil,  nil, { 16179, 16214, 16215, 16216, 16217, }, "Interface\\icons\\spell_frost_manarecharge", },
			{ 1, 0,  589, 2, nil, nil,  nil, { 16184, 16209,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_reincarnation", },
			{ 1, 1,  581, 3, nil, nil,  nil, { 16176, 16235, 16240,   nil,   nil, }, "Interface\\icons\\spell_nature_undyingstrength", },
			{ 1, 2,  595, 5, nil, nil,  nil, { 16173, 16222, 16223, 16224, 16225, }, "Interface\\icons\\spell_nature_moonglow", },
			{ 2, 0,  583, 3, nil, nil,  nil, { 16180, 16196, 16198,   nil,   nil, }, "Interface\\icons\\spell_frost_stun", },
			{ 2, 1,  587, 5, nil, nil,  nil, { 16181, 16230, 16232, 16233, 16234, }, "Interface\\icons\\spell_nature_healingwavelesser", },
			{ 2, 2,  582, 1, nil, nil,  nil, { 16189,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_nullward", },
			{ 2, 3, 1646, 3, nil, nil,  nil, { 29187, 29189, 29191,   nil,   nil, }, "Interface\\icons\\spell_nature_healingtouch", },
			{ 3, 1,  588, 5, nil, nil,  nil, { 16187, 16205, 16206, 16207, 16208, }, "Interface\\icons\\spell_nature_manaregentotem", },
			{ 3, 2,  594, 5, nil, nil,  nil, { 16194, 16218, 16219, 16220, 16221, }, "Interface\\icons\\spell_nature_tranquility", },
			{ 4, 0, 1648, 3, nil, nil,  nil, { 29206, 29205, 29202,   nil,   nil, }, "Interface\\icons\\spell_nature_healingway", },
			{ 4, 2,  591, 1, nil, nil,  nil, { 16188,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_ravenform", },
			{ 5, 2,  592, 5, nil, nil,  nil, { 16178, 16210, 16211, 16212, 16213, }, "Interface\\icons\\spell_frost_wizardmark", },
			{ 6, 1,  590, 1,   3,   1,  588, { 16190,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_frost_summonwaterelemental", },
		},
		[263] =
		{
			{ 0, 1,  614, 5, nil, nil,  nil, { 17485, 17486, 17487, 17488, 17489, }, "Interface\\icons\\spell_shadow_grimward", },
			{ 0, 2,  612, 5, nil, nil,  nil, { 16253, 16298, 16299, 16300, 16301, }, "Interface\\icons\\inv_shield_06", },
			{ 1, 0,  609, 2, nil, nil,  nil, { 16258, 16293,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_stoneskintotem", },
			{ 1, 1,  613, 5, nil, nil,  nil, { 16255, 16302, 16303, 16304, 16305, }, "Interface\\icons\\ability_thunderbolt", },
			{ 1, 2,  605, 2, nil, nil,  nil, { 16262, 16287,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_spiritwolf", },
			{ 1, 3,  607, 3, nil, nil,  nil, { 16261, 16290, 16291,   nil,   nil, }, "Interface\\icons\\spell_nature_lightningshield", },
			{ 2, 0,  610, 2, nil, nil,  nil, { 16259, 16295,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_earthbindtotem", },
			{ 2, 2,  617, 1, nil, nil,  nil, { 16269,   nil,   nil,   nil,   nil, }, "Interface\\icons\\inv_axe_10", },
			{ 2, 3,  601, 5, nil, nil,  nil, { 16254, 16271, 16272, 16273, 16274, }, "Interface\\icons\\spell_nature_mirrorimage", },
			{ 3, 1,  602, 5,   1,   1,  613, { 16256, 16281, 16282, 16283, 16284, }, "Interface\\icons\\ability_ghoulfrenzy", },
			{ 3, 2,  615, 5, nil, nil,  nil, { 16252, 16306, 16307, 16308, 16309, }, "Interface\\icons\\spell_holy_devotion", },
			{ 4, 0, 1647, 2, nil, nil,  nil, { 29192, 29193,   nil,   nil,   nil, }, "Interface\\icons\\spell_fire_enchantweapon", },
			{ 4, 1,  611, 3, nil, nil,  nil, { 16266, 29079, 29080,   nil,   nil, }, "Interface\\icons\\spell_fire_flametounge", },
			{ 4, 2,  616, 1, nil, nil,  nil, { 16268,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_parry", },
			{ 5, 2, 1643, 5, nil, nil,  nil, { 29082, 29084, 29086, 29087, 29088, }, "Interface\\icons\\ability_hunter_swiftstrike", },
			{ 6, 1,  901, 1,   4,   1,  611, { 17364,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_sealofmight", },
		},
	},
	DRUID =
	{
		[281] =
		{
			{ 0, 1,  796, 5, nil, nil,  nil, { 16934, 16935, 16936, 16937, 16938, }, "Interface\\icons\\ability_hunter_pet_hyena", },
			{ 0, 2,  795, 5, nil, nil,  nil, { 16858, 16859, 16860, 16861, 16862, }, "Interface\\icons\\ability_druid_demoralizingroar", },
			{ 1, 0,  799, 5, nil, nil,  nil, { 16947, 16948, 16949, 16950, 16951, }, "Interface\\icons\\ability_ambush", },
			{ 1, 1,  797, 2, nil, nil,  nil, { 16940, 16941,   nil,   nil,   nil, }, "Interface\\icons\\ability_druid_bash", },
			{ 1, 2,  794, 5, nil, nil,  nil, { 16929, 16930, 16931, 16932, 16933, }, "Interface\\icons\\inv_misc_pelt_bear_03", },
			{ 2, 0,  807, 2, nil, nil,  nil, { 17002, 24866,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_spiritwolf", },
			{ 2, 1,  804, 1, nil, nil,  nil, { 16979,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_hunter_pet_bear", },
			{ 2, 2,  798, 3, nil, nil,  nil, { 16942, 16943, 16944,   nil,   nil, }, "Interface\\icons\\inv_misc_monsterclaw_04", },
			{ 3, 0,  802, 2, nil, nil,  nil, { 16966, 16968,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_vampiricaura", },
			{ 3, 1,  803, 3, nil, nil,  nil, { 16972, 16974, 16975,   nil,   nil, }, "Interface\\icons\\ability_hunter_pet_cat", },
			{ 3, 2,  800, 2,   2,   2,  798, { 16952, 16954,   nil,   nil,   nil, }, "Interface\\icons\\ability_ghoulfrenzy", },
			{ 3, 3,  801, 2,   2,   2,  798, { 16958, 16961,   nil,   nil,   nil, }, "Interface\\icons\\ability_racial_cannibalize", },
			{ 4, 0,  805, 2, nil, nil,  nil, { 16998, 16999,   nil,   nil,   nil, }, "Interface\\icons\\ability_druid_ravage", },
			{ 4, 2, 1162, 1, nil, nil,  nil, { 16857,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_faeriefire", },
			{ 5, 1,  808, 5,   3,   1,  803, { 17003, 17004, 17005, 17006, 24894, }, "Interface\\icons\\spell_holy_blessingofagility", },
			{ 6, 1,  809, 1, nil, nil,  nil, { 17007,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_unyeildingstamina", },
		},
		[282] =
		{
			{ 0, 1,  821, 5, nil, nil,  nil, { 17050, 17051, 17053, 17054, 17055, }, "Interface\\icons\\spell_nature_regeneration", },
			{ 0, 2,  822, 5, nil, nil,  nil, { 17056, 17058, 17059, 17060, 17061, }, "Interface\\icons\\spell_holy_blessingofstamina", },
			{ 1, 0,  824, 5, nil, nil,  nil, { 17069, 17070, 17071, 17072, 17073, }, "Interface\\icons\\spell_nature_healingtouch", },
			{ 1, 1,  823, 5, nil, nil,  nil, { 17063, 17065, 17066, 17067, 17068, }, "Interface\\icons\\spell_nature_healingwavegreater", },
			{ 1, 2,  826, 2, nil, nil,  nil, { 17079, 17082,   nil,   nil,   nil, }, "Interface\\icons\\ability_druid_enrage", },
			{ 2, 1,  829, 3, nil, nil,  nil, { 17106, 17107, 17108,   nil,   nil, }, "Interface\\icons\\spell_frost_windwalkon", },
			{ 2, 2,  827, 1, nil, nil,  nil, {  5570,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_insectswarm", },
			{ 2, 3,  841, 5, nil, nil,  nil, { 17118, 17119, 17120, 17121, 17122, }, "Interface\\icons\\ability_eyeoftheowl", },
			{ 3, 1,  843, 5, nil, nil,  nil, { 24968, 24969, 24970, 24971, 24972, }, "Interface\\icons\\spell_holy_elunesgrace", },
			{ 3, 3,  830, 3, nil, nil,  nil, { 17111, 17112, 17113,   nil,   nil, }, "Interface\\icons\\spell_nature_rejuvenation", },
			{ 4, 0,  831, 1,   1,   0,  824, { 17116,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_ravenform", },
			{ 4, 2,  828, 5,   2,   2,  827, { 17104, 24943, 24944, 24945, 24946, }, "Interface\\icons\\spell_nature_protectionformnature", },
			{ 4, 3,  842, 2, nil, nil,  nil, { 17123, 17124,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_tranquility", },
			{ 5, 2,  825, 5, nil, nil,  nil, { 17074, 17075, 17076, 17077, 17078, }, "Interface\\icons\\spell_nature_resistnature", },
			{ 6, 1,  844, 1,   3,   1,  843, { 18562,   nil,   nil,   nil,   nil, }, "Interface\\icons\\inv_relics_idolofrejuvenation", },
		},
		[283] =
		{
			{ 0, 0,  762, 5, nil, nil,  nil, { 16814, 16815, 16816, 16817, 16818, }, "Interface\\icons\\spell_nature_abolishmagic", },
			{ 0, 1,  761, 1, nil, nil,  nil, { 16689,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_natureswrath", },
			{ 0, 2,  921, 4,   0,   1,  761, { 17245, 17247, 17248, 17249,   nil, }, "Interface\\icons\\spell_nature_natureswrath", },
			{ 1, 0,  787, 3, nil, nil,  nil, { 16918, 16919, 16920,   nil,   nil, }, "Interface\\icons\\spell_nature_stranglevines", },
			{ 1, 1,  763, 5, nil, nil,  nil, { 16821, 16822, 16823, 16824, 16825, }, "Interface\\icons\\spell_nature_starfall", },
			{ 1, 2,  791, 5, nil, nil,  nil, { 16902, 16903, 16904, 16905, 16906, }, "Interface\\icons\\inv_staff_01", },
			{ 1, 3,  781, 3, nil, nil,  nil, { 16833, 16834, 16835,   nil,   nil, }, "Interface\\icons\\spell_nature_wispsplode", },
			{ 2, 0,  782, 3, nil, nil,  nil, { 16836, 16839, 16840,   nil,   nil, }, "Interface\\icons\\spell_nature_thorns", },
			{ 2, 2,  788, 1,   1,   2,  791, { 16864,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_crystalball", },
			{ 2, 3,  764, 2, nil, nil,  nil, { 16819, 16820,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_naturetouchgrow", },
			{ 3, 1,  792, 5,   1,   1,  763, { 16909, 16910, 16911, 16912, 16913, }, "Interface\\icons\\spell_nature_purge", },
			{ 3, 2,  784, 5, nil, nil,  nil, { 16850, 16923, 16924, 16925, 16926, }, "Interface\\icons\\spell_arcane_starfire", },
			{ 4, 1,  789, 1, nil, nil,  nil, { 16880,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_naturesblessing", },
			{ 4, 2,  783, 3, nil, nil,  nil, { 16845, 16846, 16847,   nil,   nil, }, "Interface\\icons\\spell_nature_sentinal", },
			{ 5, 1,  790, 5,   4,   1,  789, { 16896, 16897, 16899, 16900, 16901, }, "Interface\\icons\\spell_nature_moonglow", },
			{ 6, 1,  793, 1, nil, nil,  nil, { 24858,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_forceofnature", },
		},
	},
	WARLOCK =
	{
		[301] =
		{
			{ 0, 1,  944, 5, nil, nil,  nil, { 17793, 17796, 17801, 17802, 17803, }, "Interface\\icons\\spell_shadow_shadowbolt", },
			{ 0, 2,  941, 5, nil, nil,  nil, { 17778, 17779, 17780, 17781, 17782, }, "Interface\\icons\\spell_fire_windsofwoe", },
			{ 1, 1,  943, 5, nil, nil,  nil, { 17788, 17789, 17790, 17791, 17792, }, "Interface\\icons\\spell_shadow_deathpact", },
			{ 1, 2,  982, 5, nil, nil,  nil, { 18119, 18120, 18121, 18122, 18123, }, "Interface\\icons\\spell_fire_fire", },
			{ 2, 0,  983, 2, nil, nil,  nil, { 18126, 18127,   nil,   nil,   nil, }, "Interface\\icons\\spell_fire_firebolt", },
			{ 2, 1,  984, 2, nil, nil,  nil, { 18128, 18129,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_curse", },
			{ 2, 2,  981, 5, nil, nil,  nil, { 18130, 18131, 18132, 18133, 18134, }, "Interface\\icons\\spell_fire_flameshock", },
			{ 2, 3,  963, 1, nil, nil,  nil, { 17877,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_scourgebuild", },
			{ 3, 0,  985, 2, nil, nil,  nil, { 18135, 18136,   nil,   nil,   nil, }, "Interface\\icons\\spell_fire_lavaspawn", },
			{ 3, 1,  964, 2, nil, nil,  nil, { 17917, 17918,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_corpseexplode", },
			{ 3, 3,  965, 5, nil, nil,  nil, { 17927, 17929, 17930, 17931, 17932, }, "Interface\\icons\\spell_fire_soulburn", },
			{ 4, 0,  986, 2,   3,   0,  985, { 18096, 18073,   nil,   nil,   nil, }, "Interface\\icons\\spell_fire_volcano", },
			{ 4, 1,  961, 5, nil, nil,  nil, { 17815, 17833, 17834, 17835, 17836, }, "Interface\\icons\\spell_fire_immolation", },
			{ 4, 2,  967, 1,   2,   2,  981, { 17959,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_shadowwordpain", },
			{ 5, 2,  966, 5, nil, nil,  nil, { 17954, 17955, 17956, 17957, 17958, }, "Interface\\icons\\spell_fire_selfdestruct", },
			{ 6, 1,  968, 1,   4,   1,  961, { 17962,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_fire_fireball", },
		},
		[302] =
		{
			{ 0, 1, 1005, 5, nil, nil,  nil, { 18174, 18175, 18176, 18177, 18178, }, "Interface\\icons\\spell_shadow_unsummonbuilding", },
			{ 0, 2, 1003, 5, nil, nil,  nil, { 17810, 17811, 17812, 17813, 17814, }, "Interface\\icons\\spell_shadow_abominationexplosion", },
			{ 1, 0, 1006, 3, nil, nil,  nil, { 18179, 18180, 18181,   nil,   nil, }, "Interface\\icons\\spell_shadow_curseofmannoroth", },
			{ 1, 1, 1101, 2, nil, nil,  nil, { 18213, 18372,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_haunting", },
			{ 1, 2, 1007, 2, nil, nil,  nil, { 18182, 18183,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_burningspirit", },
			{ 1, 3, 1004, 5, nil, nil,  nil, { 17804, 17805, 17806, 17807, 17808, }, "Interface\\icons\\spell_shadow_lifedrain02", },
			{ 2, 0, 1284, 3, nil, nil,  nil, { 18827, 18829, 18830,   nil,   nil, }, "Interface\\icons\\spell_shadow_curseofsargeras", },
			{ 2, 1, 1001, 5, nil, nil,  nil, { 17783, 17784, 17785, 17786, 17787, }, "Interface\\icons\\spell_shadow_fingerofdeath", },
			{ 2, 2, 1061, 1, nil, nil,  nil, { 18288,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_contagion", },
			{ 3, 0, 1021, 2, nil, nil,  nil, { 18218, 18219,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_callofbone", },
			{ 3, 1, 1002, 2, nil, nil,  nil, { 18094, 18095,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_twilight", },
			{ 3, 3, 1121, 2, nil, nil,  nil, { 17864, 18393,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_siphonmana", },
			{ 4, 1, 1041, 1, nil, nil,  nil, { 18265,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_requiem", },
			{ 4, 2, 1081, 1,   2,   2, 1061, { 18223,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_grimward", },
			{ 4, 3, 1082, 4,   4,   2, 1081, { 18310, 18311, 18312, 18313,   nil, }, "Interface\\icons\\spell_shadow_grimward", },
			{ 5, 1, 1042, 5,   4,   1, 1041, { 18271, 18272, 18273, 18274, 18275, }, "Interface\\icons\\spell_shadow_shadetruesight", },
			{ 6, 1, 1022, 1, nil, nil,  nil, { 18220,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_darkritual", },
		},
		[303] =
		{
			{ 0, 0, 1221, 2, nil, nil,  nil, { 18692, 18693,   nil,   nil,   nil, }, "Interface\\icons\\inv_stone_04", },
			{ 0, 1, 1222, 3, nil, nil,  nil, { 18694, 18695, 18696,   nil,   nil, }, "Interface\\icons\\spell_shadow_summonimp", },
			{ 0, 2, 1223, 5, nil, nil,  nil, { 18697, 18698, 18699, 18700, 18701, }, "Interface\\icons\\spell_shadow_metamorphosis", },
			{ 1, 0, 1224, 2, nil, nil,  nil, { 18703, 18704,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_lifedrain", },
			{ 1, 1, 1225, 3, nil, nil,  nil, { 18705, 18706, 18707,   nil,   nil, }, "Interface\\icons\\spell_shadow_summonvoidwalker", },
			{ 1, 2, 1242, 5, nil, nil,  nil, { 18731, 18743, 18744, 18745, 18746, }, "Interface\\icons\\spell_holy_magicalsentry", },
			{ 2, 0, 1243, 3, nil, nil,  nil, { 18754, 18755, 18756,   nil,   nil, }, "Interface\\icons\\spell_shadow_summonsuccubus", },
			{ 2, 1, 1226, 1, nil, nil,  nil, { 18708,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_removecurse", },
			{ 2, 2, 1241, 5, nil, nil,  nil, { 18748, 18749, 18750, 18751, 18752, }, "Interface\\icons\\spell_shadow_antishadow", },
			{ 3, 1, 1227, 2,   2,   1, 1226, { 18709, 18710,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_impphaseshift", },
			{ 3, 2, 1262, 5, nil, nil,  nil, { 18769, 18770, 18771, 18772, 18773, }, "Interface\\icons\\spell_shadow_shadowworddominate", },
			{ 4, 0, 1283, 5, nil, nil,  nil, { 18821, 18822, 18823, 18824, 18825, }, "Interface\\icons\\spell_shadow_enslavedemon", },
			{ 4, 1, 1281, 1, nil, nil,  nil, { 18788,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_psychicscream", },
			{ 4, 3, 1261, 2, nil, nil,  nil, { 18767, 18768,   nil,   nil,   nil, }, "Interface\\icons\\inv_ammo_firetar", },
			{ 5, 2, 1244, 5,   3,   2, 1262, { 23785, 23822, 23823, 23824, 23825, }, "Interface\\icons\\spell_shadow_shadowpact", },
			{ 6, 1, 1282, 1,   4,   1, 1281, { 19028,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_shadow_gathershadows", },
			{ 6, 2, 1263, 2, nil, nil,  nil, { 18774, 18775,   nil,   nil,   nil, }, "Interface\\icons\\inv_misc_gem_sapphire_01", },
		},
	},
	HUNTER =
	{
		[361] =
		{
			{ 0, 1, 1382, 5, nil, nil,  nil, { 19552, 19553, 19554, 19555, 19556, }, "Interface\\icons\\spell_nature_ravenform", },
			{ 0, 2, 1389, 5, nil, nil,  nil, { 19583, 19584, 19585, 19586, 19587, }, "Interface\\icons\\spell_nature_reincarnation", },
			{ 1, 0, 1624, 2, nil, nil,  nil, { 19557, 19558,   nil,   nil,   nil, }, "Interface\\icons\\ability_eyeoftheowl", },
			{ 1, 1, 1381, 5, nil, nil,  nil, { 19549, 19550, 19551, 24386, 24387, }, "Interface\\icons\\ability_hunter_aspectofthemonkey", },
			{ 1, 2, 1395, 3, nil, nil,  nil, { 19609, 19610, 19612,   nil,   nil, }, "Interface\\icons\\inv_misc_pelt_bear_03", },
			{ 1, 3, 1625, 2, nil, nil,  nil, { 24443, 19575,   nil,   nil,   nil, }, "Interface\\icons\\ability_hunter_beastsoothe", },
			{ 2, 0, 1384, 2, nil, nil,  nil, { 19559, 19560,   nil,   nil,   nil, }, "Interface\\icons\\ability_mount_jungletiger", },
			{ 2, 1, 1391, 1, nil, nil,  nil, { 19596,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_druid_dash", },
			{ 2, 2, 1396, 5, nil, nil,  nil, { 19616, 19617, 19618, 19619, 19620, }, "Interface\\icons\\ability_bullrush", },
			{ 3, 1, 1385, 2, nil, nil,  nil, { 19572, 19573,   nil,   nil,   nil, }, "Interface\\icons\\ability_hunter_mendpet", },
			{ 3, 2, 1393, 5, nil, nil,  nil, { 19598, 19599, 19600, 19601, 19602, }, "Interface\\icons\\inv_misc_monsterclaw_04", },
			{ 4, 0, 1388, 2, nil, nil,  nil, { 19578, 20895,   nil,   nil,   nil, }, "Interface\\icons\\ability_druid_demoralizingroar", },
			{ 4, 1, 1387, 1, nil, nil,  nil, { 19577,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_devour", },
			{ 4, 3, 1390, 2, nil, nil,  nil, { 19590, 19592,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_abolishmagic", },
			{ 5, 2, 1397, 5,   3,   2, 1393, { 19621, 19622, 19623, 19624, 19625, }, "Interface\\icons\\inv_misc_monsterclaw_03", },
			{ 6, 1, 1386, 1,   4,   1, 1387, { 19574,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_druid_ferociousbite", },
		},
		[362] =
		{
			{ 0, 0, 1623, 3, nil, nil,  nil, { 24293, 24294, 24295,   nil,   nil, }, "Interface\\icons\\inv_misc_head_dragon_black", },
			{ 0, 1, 1301, 3, nil, nil,  nil, { 19151, 19152, 19153,   nil,   nil, }, "Interface\\icons\\spell_holy_prayerofhealing", },
			{ 0, 2, 1311, 5, nil, nil,  nil, { 19295, 19297, 19298, 19301, 19300, }, "Interface\\icons\\ability_parry", },
			{ 1, 0, 1304, 5, nil, nil,  nil, { 19184, 19387, 19388, 19389, 19390, }, "Interface\\icons\\spell_nature_stranglevines", },
			{ 1, 1, 1621, 2, nil, nil,  nil, { 19159, 19160,   nil,   nil,   nil, }, "Interface\\icons\\ability_racial_bloodrage", },
			{ 1, 2, 1305, 5, nil, nil,  nil, { 19228, 19232, 19233, 19234, 19235, }, "Interface\\icons\\ability_rogue_trip", },
			{ 2, 0, 1306, 2, nil, nil,  nil, { 19239, 19245,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_timestop", },
			{ 2, 1, 1622, 5, nil, nil,  nil, { 19255, 19256, 19257, 19258, 19259, }, "Interface\\icons\\spell_shadow_twilight", },
			{ 2, 2, 1308, 1, nil, nil,  nil, { 19263,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_whirlwind", },
			{ 3, 0, 1322, 2, nil, nil,  nil, { 19376, 19377,   nil,   nil,   nil, }, "Interface\\icons\\ability_ensnare", },
			{ 3, 1, 1310, 3, nil, nil,  nil, { 19290, 19294, 24283,   nil,   nil, }, "Interface\\icons\\ability_kick", },
			{ 3, 3, 1309, 2, nil, nil,  nil, { 19286, 19287,   nil,   nil,   nil, }, "Interface\\icons\\ability_rogue_feigndeath", },
			{ 4, 1, 1321, 3, nil, nil,  nil, { 19370, 19371, 19373,   nil,   nil, }, "Interface\\icons\\spell_holy_blessingofstamina", },
			{ 4, 2, 1312, 1,   2,   2, 1308, { 19306,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_warrior_challange", },
			{ 5, 2, 1303, 5, nil, nil,  nil, { 19168, 19180, 19181, 24296, 24297, }, "Interface\\icons\\spell_nature_invisibilty", },
			{ 6, 1, 1325, 1,   4,   1, 1321, { 19386,   nil,   nil,   nil,   nil, }, "Interface\\icons\\inv_spear_02", },
		},
		[363] =
		{
			{ 0, 1, 1341, 5, nil, nil,  nil, { 19407, 19412, 19413, 19414, 19415, }, "Interface\\icons\\spell_frost_stun", },
			{ 0, 2, 1342, 5, nil, nil,  nil, { 19416, 19417, 19418, 19419, 19420, }, "Interface\\icons\\spell_frost_wizardmark", },
			{ 1, 1, 1343, 5, nil, nil,  nil, { 19421, 19422, 19423, 19424, 19425, }, "Interface\\icons\\ability_hunter_snipershot", },
			{ 1, 2, 1344, 5, nil, nil,  nil, { 19426, 19427, 19429, 19430, 19431, }, "Interface\\icons\\ability_searingarrow", },
			{ 2, 0, 1345, 1, nil, nil,  nil, { 19434,   nil,   nil,   nil,   nil, }, "Interface\\icons\\inv_spear_07", },
			{ 2, 1, 1346, 5, nil, nil,  nil, { 19454, 19455, 19456, 19457, 19458, }, "Interface\\icons\\ability_impalingbolt", },
			{ 2, 3, 1352, 3, nil, nil,  nil, { 19498, 19499, 19500,   nil,   nil, }, "Interface\\icons\\ability_townwatch", },
			{ 3, 1, 1348, 5, nil, nil,  nil, { 19464, 19465, 19466, 19467, 19468, }, "Interface\\icons\\ability_hunter_quickshot", },
			{ 3, 2, 1349, 5,   1,   2, 1344, { 19485, 19487, 19488, 19489, 19490, }, "Interface\\icons\\ability_piercedamage", },
			{ 4, 0, 1353, 1, nil, nil,  nil, { 19503,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_golemstormbolt", },
			{ 4, 1, 1347, 3, nil, nil,  nil, { 19461, 19462, 24691,   nil,   nil, }, "Interface\\icons\\ability_upgrademoonglaive", },
			{ 4, 2, 1351, 3, nil, nil,  nil, { 19491, 19493, 19494,   nil,   nil, }, "Interface\\icons\\ability_hunter_criticalshot", },
			{ 5, 2, 1362, 5, nil, nil,  nil, { 19507, 19508, 19509, 19510, 19511, }, "Interface\\icons\\inv_weapon_rifle_06", },
			{ 6, 1, 1361, 1,   4,   1, 1347, { 19506,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_trueshot", },
		},
	},
	PALADIN =
	{
		[381] =
		{
			{ 0, 1, 1401, 5, nil, nil,  nil, { 20042, 20045, 20046, 20047, 20048, }, "Interface\\icons\\spell_holy_fistofjustice", },
			{ 0, 2, 1407, 5, nil, nil,  nil, { 20101, 20102, 20103, 20104, 20105, }, "Interface\\icons\\spell_frost_windwalkon", },
			{ 1, 0, 1631, 2, nil, nil,  nil, { 25956, 25957,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_righteousfury", },
			{ 1, 1, 1464, 3, nil, nil,  nil, { 20335, 20336, 20337,   nil,   nil, }, "Interface\\icons\\spell_holy_holysmite", },
			{ 1, 2, 1403, 5, nil, nil,  nil, { 20060, 20061, 20062, 20063, 20064, }, "Interface\\icons\\ability_parry", },
			{ 2, 0, 1633, 3, nil, nil,  nil, {  9452, 26016, 26021,   nil,   nil, }, "Interface\\icons\\spell_holy_vindication", },
			{ 2, 1, 1411, 5, nil, nil,  nil, { 20117, 20118, 20119, 20120, 20121, }, "Interface\\icons\\spell_holy_retributionaura", },
			{ 2, 2, 1481, 1, nil, nil,  nil, { 20375,   nil,   nil,   nil,   nil, }, "Interface\\icons\\ability_warrior_innerrage", },
			{ 2, 3, 1634, 2, nil, nil,  nil, { 26022, 26023,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_persuitofjustice", },
			{ 3, 0, 1632, 2, nil, nil,  nil, {  9799, 25988,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_eyeforaneye", },
			{ 3, 2, 1405, 2, nil, nil,  nil, { 20091, 20092,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_auraoflight", },
			{ 4, 0, 1410, 3, nil, nil,  nil, { 20111, 20112, 20113,   nil,   nil, }, "Interface\\icons\\inv_hammer_04", },
			{ 4, 2, 1409, 1, nil, nil,  nil, { 20218,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_mindvision", },
			{ 5, 1, 1402, 5,   2,   1, 1411, { 20049, 20056, 20057, 20058, 20059, }, "Interface\\icons\\ability_racial_avatar", },
			{ 6, 1, 1441, 1, nil, nil,  nil, { 20066,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_prayerofhealing", },
		},
		[382] =
		{
			{ 0, 1, 1450, 5, nil, nil,  nil, { 20262, 20263, 20264, 20265, 20266, }, "Interface\\icons\\ability_golemthunderclap", },
			{ 0, 2, 1449, 5, nil, nil,  nil, { 20257, 20258, 20259, 20260, 20261, }, "Interface\\icons\\spell_nature_sleep", },
			{ 1, 1, 1432, 5, nil, nil,  nil, { 20205, 20206, 20207, 20209, 20208, }, "Interface\\icons\\spell_arcane_blink", },
			{ 1, 2, 1463, 5, nil, nil,  nil, { 20224, 20225, 20330, 20331, 20332, }, "Interface\\icons\\ability_thunderbolt", },
			{ 2, 0, 1444, 3, nil, nil,  nil, { 20237, 20238, 20239,   nil,   nil, }, "Interface\\icons\\spell_holy_holybolt", },
			{ 2, 1, 1435, 1, nil, nil,  nil, { 26573,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_innerfire", },
			{ 2, 2, 1443, 2, nil, nil,  nil, { 20234, 20235,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_layonhands", },
			{ 2, 3, 1628, 2, nil, nil,  nil, {  9453, 25836,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_unyieldingfaith", },
			{ 3, 1, 1461, 5, nil, nil,  nil, { 20210, 20212, 20213, 20214, 20215, }, "Interface\\icons\\spell_holy_greaterheal", },
			{ 3, 2, 1446, 2, nil, nil,  nil, { 20244, 20245,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_sealofwisdom", },
			{ 4, 1, 1433, 1,   3,   1, 1461, { 20216,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_heal", },
			{ 4, 2, 1465, 3, nil, nil,  nil, { 20359, 20360, 20361,   nil,   nil, }, "Interface\\icons\\spell_holy_healingaura", },
			{ 5, 2, 1627, 5, nil, nil,  nil, {  5923,  5924,  5925,  5926, 25829, }, "Interface\\icons\\spell_holy_power", },
			{ 6, 1, 1502, 1,   4,   1, 1433, { 20473,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_searinglight", },
		},
		[383] =
		{
			{ 0, 1, 1422, 5, nil, nil,  nil, { 20138, 20139, 20140, 20141, 20142, }, "Interface\\icons\\spell_holy_devotionaura", },
			{ 0, 2, 1421, 5, nil, nil,  nil, { 20127, 20130, 20135, 20136, 20137, }, "Interface\\icons\\ability_defend", },
			{ 1, 0, 1630, 3, nil, nil,  nil, { 20189, 20192, 20193,   nil,   nil, }, "Interface\\icons\\ability_rogue_ambush", },
			{ 1, 1, 1425, 2, nil, nil,  nil, { 20174, 20175,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_sealofprotection", },
			{ 1, 3, 1423, 5, nil, nil,  nil, { 20143, 20144, 20145, 20146, 20147, }, "Interface\\icons\\spell_holy_devotion", },
			{ 2, 0, 1442, 1, nil, nil,  nil, { 20217,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_magic_magearmor", },
			{ 2, 1, 1501, 3, nil, nil,  nil, { 20468, 20469, 20470,   nil,   nil, }, "Interface\\icons\\spell_holy_sealoffury", },
			{ 2, 2, 1424, 3,   0,   2, 1421, { 20148, 20149, 20150,   nil,   nil, }, "Interface\\icons\\inv_shield_06", },
			{ 2, 3, 1629, 5, nil, nil,  nil, { 20096, 20097, 20098, 20099, 20100, }, "Interface\\icons\\spell_magic_lesserinvisibilty", },
			{ 3, 1, 1521, 3, nil, nil,  nil, { 20487, 20488, 20489,   nil,   nil, }, "Interface\\icons\\spell_holy_sealofmight", },
			{ 3, 2, 1626, 3, nil, nil,  nil, { 20254, 20255, 20256,   nil,   nil, }, "Interface\\icons\\spell_holy_mindsooth", },
			{ 4, 1, 1431, 1, nil, nil,  nil, { 20911,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_nature_lightningshield", },
			{ 4, 2, 1426, 5, nil, nil,  nil, { 20177, 20179, 20181, 20180, 20182, }, "Interface\\icons\\spell_holy_blessingofstrength", },
			{ 5, 2, 1429, 5, nil, nil,  nil, { 20196, 20197, 20198, 20199, 20200, }, "Interface\\icons\\inv_sword_20", },
			{ 6, 1, 1430, 1,   4,   1, 1431, { 20925,   nil,   nil,   nil,   nil, }, "Interface\\icons\\spell_holy_blessingofprotection", },
		},
	},
};
--	_spellDB_P = { { { level, id, cost } } }
NS._spellDB_P = {
	DRUID = {
		{ name = "愤怒", { 1, 5176, 0, }, { 6, 5177, 100, }, { 14, 5178, 900, }, { 22, 5179, 3000, }, { 30, 5180, 6000, }, { 38, 6780, 12000, }, { 46, 8905, 20000, }, { 54, 9912, 28000, }, },
		{ name = "野性印记", { 1, 1126, 10, }, { 10, 5232, 300, }, { 20, 6756, 2000, }, { 30, 5234, 6000, }, { 40, 8907, 14000, }, { 50, 9884, 23000, }, { 60, 9885, 34000, }, },
		{ name = "治疗之触", { 1, 5185, 0, }, { 8, 5186, 200, }, { 14, 5187, 900, }, { 20, 5188, 2000, }, { 26, 5189, 4500, }, { 32, 6778, 8000, }, { 38, 8903, 12000, }, { 44, 9758, 18000, }, { 50, 9888, 23000, }, { 56, 9889, 30000, }, { 60, 25297, 0, 5, }, },
		{ name = "回春术", { 4, 774, 100, }, { 10, 1058, 300, }, { 16, 1430, 1800, }, { 22, 2090, 3000, }, { 28, 2091, 5000, }, { 34, 3627, 10000, }, { 40, 8910, 14000, }, { 46, 9839, 20000, }, { 52, 9840, 26000, }, { 58, 9841, 32000, }, { 60, 25299, 0, 5, }, },
		{ name = "月火术", { 4, 8921, 100, }, { 10, 8924, 300, }, { 16, 8925, 1800, }, { 22, 8926, 3000, }, { 28, 8927, 5000, }, { 34, 8928, 10000, }, { 40, 8929, 14000, }, { 46, 9833, 20000, }, { 52, 9834, 26000, }, { 58, 9835, 32000, }, },
		{ name = "荆棘术", { 6, 467, 100, }, { 14, 782, 900, }, { 24, 1075, 4000, }, { 34, 8914, 10000, }, { 44, 9756, 18000, }, { 54, 9910, 28000, }, },
		{ name = "纠缠根须", { 8, 339, 200, }, { 18, 1062, 1900, }, { 28, 5195, 5000, }, { 38, 5196, 12000, }, { 48, 9852, 22000, }, { 58, 9853, 32000, }, },
		{ name = "熊形态", { 10, 5487, 0, }, { 40, 9634, 14000, }, },
		{ name = "低吼", { 10, 6795, 0, }, },
		{ name = "传送：月光林地", { 10, 18960, 0, }, },
		{ name = "槌击", { 10, 6807, 0, }, { 18, 6808, 1900, }, { 26, 6809, 4500, }, { 34, 8972, 10000, }, { 42, 9745, 16000, }, { 50, 9880, 23000, }, { 58, 9881, 32000, }, },
		{ name = "挫志咆哮", { 10, 99, 300, }, { 20, 1735, 2000, }, { 32, 9490, 8000, }, { 42, 9747, 16000, }, { 52, 9898, 26000, }, },
		{ name = "愈合", { 12, 8936, 800, }, { 18, 8938, 1900, }, { 24, 8939, 4000, }, { 30, 8940, 6000, }, { 36, 8941, 11000, }, { 42, 9750, 16000, }, { 48, 9856, 22000, }, { 54, 9857, 28000, }, { 60, 9858, 34000, }, },
		{ name = "狂怒", { 12, 5229, 800, }, },
		{ name = "重击", { 14, 5211, 900, }, { 30, 6798, 6000, }, { 46, 8983, 20000, }, },
		{ name = "消毒术", { 14, 8946, 0, }, },
		{ name = "挥击", { 16, 779, 1800, }, { 24, 780, 4000, }, { 34, 769, 10000, }, { 44, 9754, 18000, }, { 54, 9908, 28000, }, },
		{ name = "水栖形态", { 16, 1066, 0, }, },
		{ name = "休眠", { 18, 2637, 1900, }, { 38, 18657, 12000, }, { 58, 18658, 32000, }, },
		{ name = "精灵之火", { 18, 770, 1900, }, { 30, 778, 6000, }, { 42, 9749, 16000, }, { 54, 9907, 28000, }, },
		{ name = "爪击", { 20, 1082, 2000, }, { 28, 3029, 5000, }, { 38, 5201, 12000, }, { 48, 9849, 22000, }, { 58, 9850, 32000, }, },
		{ name = "星火术", { 20, 2912, 2000, }, { 26, 8949, 4500, }, { 34, 8950, 10000, }, { 42, 8951, 16000, }, { 50, 9875, 23000, }, { 58, 9876, 32000, }, { 60, 25298, 0, 5, }, },
		{ name = "撕扯", { 20, 1079, 2000, }, { 28, 9492, 5000, }, { 36, 9493, 11000, }, { 44, 9752, 18000, }, { 52, 9894, 26000, }, { 60, 9896, 34000, }, },
		{ name = "复生", { 20, 20484, 2000, }, { 30, 20739, 6000, }, { 40, 20742, 14000, }, { 50, 20747, 23000, }, { 60, 20748, 34000, }, },
		{ name = "潜行", { 20, 5215, 2000, }, { 40, 6783, 14000, }, { 60, 9913, 34000, }, },
		{ name = "猎豹形态", { 20, 768, 2000, }, },
		{ name = "安抚动物", { 22, 2908, 3000, }, { 38, 8955, 12000, }, { 54, 9901, 28000, }, },
		{ name = "撕碎", { 22, 5221, 3000, }, { 30, 6800, 6000, }, { 38, 8992, 12000, }, { 46, 9829, 20000, }, { 54, 9830, 28000, }, },
		{ name = "扫击", { 24, 1822, 4000, }, { 34, 1823, 10000, }, { 44, 1824, 18000, }, { 54, 9904, 28000, }, },
		{ name = "解除诅咒", { 24, 2782, 4000, }, },
		{ name = "猛虎之怒", { 24, 5217, 4000, }, { 36, 6793, 11000, }, { 48, 9845, 22000, }, { 60, 9846, 34000, }, },
		{ name = "急奔", { 26, 1850, 4500, }, { 46, 9821, 20000, }, },
		{ name = "驱毒术", { 26, 2893, 4500, }, },
		{ name = "挑战咆哮", { 28, 5209, 5000, }, },
		{ name = "畏缩", { 28, 8998, 5000, }, { 40, 9000, 14000, }, { 52, 9892, 26000, }, },
		{ name = "旅行形态", { 30, 783, 6000, }, },
		{ name = "宁静", { 30, 740, 6000, }, { 40, 8918, 14000, }, { 50, 9862, 23000, }, { 60, 9863, 34000, }, },
		{ name = "凶猛撕咬", { 32, 22568, 8000, }, { 40, 22827, 14000, }, { 48, 22828, 22000, }, { 56, 22829, 30000, }, { 60, 31018, 0, }, },
		{ name = "毁灭", { 32, 6785, 8000, }, { 42, 6787, 16000, }, { 50, 9866, 23000, }, { 58, 9867, 32000, }, },
		{ name = "追踪人型生物", { 32, 5225, 8000, }, },
		{ name = "狂暴回复", { 36, 22842, 11000, }, { 46, 22895, 20000, }, { 56, 22896, 30000, }, },
		{ name = "突袭", { 36, 9005, 11000, }, { 46, 9823, 20000, }, { 56, 9827, 30000, }, },
		{ name = "飓风", { 40, 16914, 14000, }, { 50, 17401, 23000, }, { 60, 17402, 34000, }, },
		{ name = "豹之优雅", { 40, 20719, 14000, }, passive = true, },
		{ name = "激活", { 40, 29166, 14000, }, },
		{ name = "树皮术", { 44, 22812, 18000, }, },
		{ name = "野性赐福", { 50, 21849, 0, }, { 60, 21850, 0, }, },
		{ name = "自然之握", { -1, 16689, 0, }, { 18, 16810, 95, }, { 28, 16811, 250, }, { 38, 16812, 600, }, { 48, 16813, 1100, }, { 58, 17329, 1600, }, talent = true, },
		{ name = "清晰预兆", { -1, 16864, 0, }, talent = true, },
		{ name = "野性冲锋", { -1, 16979, 0, }, talent = true, },
		{ name = "虫群", { -1, 5570, 0, }, { 30, 24974, 300, }, { 40, 24975, 700, }, { 50, 24976, 1150, }, { 60, 24977, 1700, }, talent = true, },
		{ name = "自然之赐", { -1, 16880, 0, }, passive = true, talent = true, },
		{ name = "精灵之火（野性）", { -1, 16857, 0, }, { 30, 17390, 300, }, { 42, 17391, 800, }, { 54, 17392, 1400, }, talent = true, },
		{ name = "自然迅捷", { -1, 17116, 0, }, talent = true, },
		{ name = "枭兽形态", { -1, 24858, 0, }, talent = true, },
		{ name = "兽群领袖", { -1, 17007, 0, }, passive = true, talent = true, },
		{ name = "迅捷治愈", { -1, 18562, 0, }, talent = true, },
	},
	HUNTER = {
		{ name = "准备就绪", { 0, 23989, 0, }, },
		{ name = "自动射击", { 1, 75, 0, }, },
		{ name = "猛禽一击", { 1, 2973, 0, }, { 8, 14260, 200, }, { 16, 14261, 1800, }, { 24, 14262, 7000, }, { 32, 14263, 10000, }, { 40, 14264, 18000, }, { 48, 14265, 32000, }, { 56, 14266, 46000, }, },
		{ name = "追踪野兽", { 1, 1494, 10, }, },
		{ name = "灵猴守护", { 4, 13163, 100, }, },
		{ name = "毒蛇钉刺", { 4, 1978, 100, }, { 10, 13549, 400, }, { 18, 13550, 2000, }, { 26, 13551, 7000, }, { 34, 13552, 12000, }, { 42, 13553, 24000, }, { 50, 13554, 36000, }, { 58, 13555, 48000, }, { 60, 25295, 0, 5, }, },
		{ name = "奥术射击", { 6, 3044, 100, }, { 12, 14281, 600, }, { 20, 14282, 2200, }, { 28, 14283, 8000, }, { 36, 14284, 14000, }, { 44, 14285, 26000, }, { 52, 14286, 40000, }, { 60, 14287, 50000, }, },
		{ name = "猎人印记", { 6, 1130, 100, }, { 22, 14323, 6000, }, { 40, 14324, 18000, }, { 58, 14325, 48000, }, },
		{ name = "震荡射击", { 8, 5116, 200, }, },
		{ name = "招架", { 8, 3127, 200, }, passive = true, },
		{ name = "复活宠物", { 10, 982, 0, }, },
		{ name = "驯服野兽", { 10, 1515, 0, }, },
		{ name = "追踪人型生物", { 10, 19883, 400, }, },
		{ name = "喂养宠物", { 10, 6991, 0, }, },
		{ name = "雄鹰守护", { 10, 13165, 400, }, { 18, 14318, 2000, }, { 28, 14319, 8000, }, { 38, 14320, 16000, }, { 48, 14321, 32000, }, { 58, 14322, 48000, }, { 60, 25296, 0, 5, }, },
		{ name = "解散野兽", { 10, 2641, 0, }, },
		{ name = "召唤宠物", { 10, 883, 0, }, },
		{ name = "摔绊", { 12, 2974, 600, }, { 38, 14267, 16000, }, { 60, 14268, 50000, }, },
		{ name = "扰乱射击", { 12, 20736, 600, }, { 20, 14274, 2200, }, { 30, 15629, 8000, }, { 40, 15630, 18000, }, { 50, 15631, 36000, }, { 60, 15632, 50000, }, },
		{ name = "治疗宠物", { 12, 136, 600, }, { 20, 3111, 2200, }, { 28, 3661, 8000, }, { 36, 3662, 14000, }, { 44, 13542, 26000, }, { 52, 13543, 40000, }, { 60, 13544, 50000, }, },
		{ name = "野兽之眼", { 14, 1002, 1200, }, },
		{ name = "恐吓野兽", { 14, 1513, 1200, }, { 30, 14326, 8000, }, { 46, 14327, 28000, }, },
		{ name = "鹰眼术", { 14, 6197, 1200, }, },
		{ name = "猫鼬撕咬", { 16, 1495, 1800, }, { 30, 14269, 8000, }, { 44, 14270, 26000, }, { 58, 14271, 48000, }, },
		{ name = "献祭陷阱", { 16, 13795, 1800, }, { 26, 14302, 7000, }, { 36, 14303, 14000, }, { 46, 14304, 28000, }, { 56, 14305, 46000, }, },
		{ name = "追踪亡灵", { 18, 19884, 2000, }, },
		{ name = "多重射击", { 18, 2643, 2000, }, { 30, 14288, 8000, }, { 42, 14289, 24000, }, { 54, 14290, 42000, }, { 60, 25294, 0, 5, }, },
		{ name = "逃脱", { 20, 781, 2200, }, { 34, 14272, 12000, }, { 48, 14273, 32000, }, },
		{ name = "冰冻陷阱", { 20, 1499, 2200, }, { 40, 14310, 18000, }, { 60, 14311, 50000, }, },
		{ name = "猎豹守护", { 20, 5118, 2200, }, },
		{ name = "双武器", { 20, 674, 2200, }, passive = true, },
		{ name = "毒蝎钉刺", { 22, 3043, 6000, }, { 32, 14275, 10000, }, { 42, 14276, 24000, }, { 52, 14277, 40000, }, },
		{ name = "追踪隐藏生物", { 24, 19885, 7000, }, },
		{ name = "野兽知识", { 24, 1462, 7000, }, },
		{ name = "追踪元素生物", { 26, 19880, 7000, }, },
		{ name = "急速射击", { 26, 3045, 7000, }, },
		{ name = "冰霜陷阱", { 28, 13809, 8000, }, },
		{ name = "假死", { 30, 5384, 8000, }, },
		{ name = "野兽守护", { 30, 13161, 8000, }, },
		{ name = "追踪恶魔", { 32, 19878, 10000, }, },
		{ name = "照明弹", { 32, 1543, 10000, }, },
		{ name = "爆炸陷阱", { 34, 13813, 12000, }, { 44, 14316, 26000, }, { 54, 14317, 42000, }, },
		{ name = "蝰蛇钉刺", { 36, 3034, 14000, }, { 46, 14279, 28000, }, { 56, 14280, 46000, }, },
		{ name = "乱射", { 40, 1510, 18000, }, { 50, 14294, 36000, }, { 58, 14295, 48000, }, },
		{ name = "锁甲", { 40, 8737, 18000, }, passive = true, },
		{ name = "追踪巨人", { 40, 19882, 18000, }, },
		{ name = "豹群守护", { 40, 13159, 18000, }, },
		{ name = "野性守护", { 46, 20043, 28000, }, { 56, 20190, 46000, }, },
		{ name = "追踪龙类", { 50, 19879, 36000, }, },
		{ name = "宁神射击", { 60, 19801, 0, }, },
		{ name = "野兽迅捷", { -1, 19596, 0, }, passive = true, talent = true, },
		{ name = "瞄准射击", { -1, 19434, 0, }, { 28, 20900, 400, }, { 36, 20901, 700, }, { 44, 20902, 1300, }, { 52, 20903, 2000, }, { 60, 20904, 2500, }, talent = true, },
		{ name = "威慑", { -1, 19263, 0, }, talent = true, },
		{ name = "胁迫", { -1, 19577, 0, }, talent = true, },
		{ name = "驱散射击", { -1, 19503, 0, }, talent = true, },
		{ name = "反击", { -1, 19306, 0, }, { 42, 20909, 1200, }, { 54, 20910, 2100, }, talent = true, },
		{ name = "狂野怒火", { -1, 19574, 0, }, talent = true, },
		{ name = "强击光环", { -1, 19506, 0, }, { 50, 20905, 1800, }, { 60, 20906, 2500, }, talent = true, },
		{ name = "翼龙钉刺", { -1, 19386, 0, }, { 50, 24132, 1800, }, { 60, 24133, 2500, }, talent = true, },
	},
	MAGE = {
		{ name = "奥术智慧", { 1, 1459, 10, }, { 14, 1460, 900, }, { 28, 1461, 7000, }, { 42, 10156, 18000, }, { 56, 10157, 38000, }, },
		{ name = "火球术", { 1, 133, 0, }, { 6, 143, 100, }, { 12, 145, 600, }, { 18, 3140, 1800, }, { 24, 8400, 4000, }, { 30, 8401, 8000, }, { 36, 8402, 13000, }, { 42, 10148, 18000, }, { 48, 10149, 28000, }, { 54, 10150, 36000, }, { 60, 10151, 42000, }, { 60, 25306, 0, 5, }, },
		{ name = "霜甲术", { 1, 168, 0, }, { 10, 7300, 400, }, { 20, 7301, 2000, }, },
		{ name = "造水术", { 4, 5504, 100, }, { 10, 5505, 400, }, { 20, 5506, 2000, }, { 30, 6127, 8000, }, { 40, 10138, 15000, }, { 50, 10139, 32000, }, { 60, 10140, 0, }, },
		{ name = "寒冰箭", { 4, 116, 100, }, { 8, 205, 200, }, { 14, 837, 900, }, { 20, 7322, 2000, }, { 26, 8406, 5000, }, { 32, 8407, 10000, }, { 38, 8408, 14000, }, { 44, 10179, 23000, }, { 50, 10180, 32000, }, { 56, 10181, 38000, }, { 60, 25304, 0, 5, }, },
		{ name = "造食术", { 6, 587, 100, }, { 12, 597, 600, }, { 22, 990, 3000, }, { 32, 6129, 10000, }, { 42, 10144, 18000, }, { 52, 10145, 35000, }, { 60, 28612, 0, }, },
		{ name = "火焰冲击", { 6, 2136, 100, }, { 14, 2137, 900, }, { 22, 2138, 3000, }, { 30, 8412, 8000, }, { 38, 8413, 14000, }, { 46, 10197, 26000, }, { 54, 10199, 36000, }, },
		{ name = "奥术飞弹", { 8, 5143, 200, }, { 16, 5144, 1500, }, { 24, 5145, 4000, }, { 32, 8416, 10000, }, { 40, 8417, 15000, }, { 48, 10211, 28000, }, { 56, 10212, 38000, }, { 60, 25345, 0, 5, }, },
		{ name = "变形术", { 8, 118, 200, }, { 20, 12824, 2000, }, { 40, 12825, 15000, }, { 60, 12826, 42000, }, },
		{ name = "冰霜新星", { 10, 122, 400, }, { 26, 865, 5000, }, { 40, 6131, 15000, }, { 54, 10230, 36000, }, },
		{ name = "魔法抑制", { 12, 604, 600, }, { 24, 8450, 4000, }, { 36, 8451, 13000, }, { 48, 10173, 28000, }, { 60, 10174, 42000, }, },
		{ name = "缓落术", { 12, 130, 600, }, },
		{ name = "魔爆术", { 14, 1449, 900, }, { 22, 8437, 3000, }, { 30, 8438, 8000, }, { 38, 8439, 14000, }, { 46, 10201, 26000, }, { 54, 10202, 36000, }, },
		{ name = "侦测魔法", { 16, 2855, 1500, }, },
		{ name = "烈焰风暴", { 16, 2120, 1500, }, { 24, 2121, 4000, }, { 32, 8422, 10000, }, { 40, 8423, 15000, }, { 48, 10215, 28000, }, { 56, 10216, 38000, }, },
		{ name = "解除次级诅咒", { 18, 475, 1800, }, },
		{ name = "魔法增效", { 18, 1008, 1800, }, { 30, 8455, 8000, }, { 42, 10169, 18000, }, { 54, 10170, 36000, }, },
		{ name = "传送：幽暗城", { 20, 3563, 2000, }, },
		{ name = "法力护盾", { 20, 1463, 2000, }, { 28, 8494, 7000, }, { 36, 8495, 13000, }, { 44, 10191, 23000, }, { 52, 10192, 35000, }, { 60, 10193, 42000, }, },
		{ name = "暴风雪", { 20, 10, 2000, }, { 28, 6141, 7000, }, { 36, 8427, 13000, }, { 44, 10185, 23000, }, { 52, 10186, 35000, }, { 60, 10187, 42000, }, },
		{ name = "防护火焰结界", { 20, 543, 2000, }, { 30, 8457, 8000, }, { 40, 8458, 15000, }, { 50, 10223, 32000, }, { 60, 10225, 42000, }, },
		{ name = "唤醒", { 20, 12051, 2000, }, },
		{ name = "传送：奥格瑞玛", { 20, 3567, 2000, }, },
		{ name = "传送：暴风城", { 20, 3561, 2000, }, },
		{ name = "传送：铁炉堡", { 20, 3562, 2000, }, },
		{ name = "闪现术", { 20, 1953, 2000, }, },
		{ name = "防护冰霜结界", { 22, 6143, 3000, }, { 32, 8461, 10000, }, { 42, 8462, 18000, }, { 52, 10177, 35000, }, { 60, 28609, 0, }, },
		{ name = "灼烧", { 22, 2948, 3000, }, { 28, 8444, 7000, }, { 34, 8445, 12000, }, { 40, 8446, 15000, }, { 46, 10205, 26000, }, { 52, 10206, 35000, }, { 58, 10207, 40000, }, },
		{ name = "法术反制", { 24, 2139, 4000, }, },
		{ name = "冰锥术", { 26, 120, 5000, }, { 34, 8492, 12000, }, { 42, 10159, 18000, }, { 50, 10160, 32000, }, { 58, 10161, 40000, }, },
		{ name = "制造魔法玛瑙", { 28, 759, 7000, }, },
		{ name = "传送：雷霆崖", { 30, 3566, 8000, }, },
		{ name = "传送：达纳苏斯", { 30, 3565, 8000, }, },
		{ name = "冰甲术", { 30, 7302, 8000, }, { 40, 7320, 15000, }, { 50, 10219, 32000, }, { 60, 10220, 42000, }, },
		{ name = "魔甲术", { 34, 6117, 13000, }, { 46, 22782, 28000, }, { 58, 22783, 40000, }, },
		{ name = "制造魔法翡翠", { 38, 3552, 14000, }, },
		{ name = "传送门：暴风城", { 40, 10059, 15000, }, },
		{ name = "传送门：幽暗城", { 40, 11418, 15000, }, },
		{ name = "传送门：奥格瑞玛", { 40, 11417, 15000, }, },
		{ name = "传送门：铁炉堡", { 40, 11416, 15000, }, },
		{ name = "制造魔法黄水晶", { 48, 10053, 28000, }, },
		{ name = "传送门：达纳苏斯", { 50, 11419, 32000, }, },
		{ name = "传送门：雷霆崖", { 50, 11420, 32000, }, },
		{ name = "奥术光辉", { 56, 23028, 0, }, },
		{ name = "制造魔法红宝石", { 58, 10054, 40000, }, },
		{ name = "奥术充沛", { -1, 28574, 0, }, passive = true, talent = true, },
		{ name = "炎爆术", { -1, 11366, 0, }, { 24, 12505, 200, }, { 30, 12522, 400, }, { 36, 12523, 650, }, { 42, 12524, 900, }, { 48, 12525, 1400, }, { 54, 12526, 1800, }, { 60, 18809, 2100, }, talent = true, },
		{ name = "急速冷却", { -1, 12472, 0, }, talent = true, },
		{ name = "气定神闲", { -1, 12043, 0, }, talent = true, },
		{ name = "冲击波", { -1, 11113, 0, }, { 36, 13018, 650, }, { 44, 13019, 1150, }, { 52, 13020, 1750, }, { 60, 13021, 2100, }, talent = true, },
		{ name = "寒冰屏障", { -1, 11958, 0, }, talent = true, },
		{ name = "奥术强化", { -1, 12042, 0, }, talent = true, },
		{ name = "燃烧", { -1, 11129, 0, }, talent = true, },
		{ name = "寒冰护体", { -1, 11426, 0, }, { 46, 13031, 6500, }, { 52, 13032, 8750, }, { 58, 13033, 9000, }, talent = true, },
	},
	PALADIN = {
		{ name = "圣光术", { 1, 635, 0, }, { 6, 639, 100, }, { 14, 647, 2000, }, { 22, 1026, 4000, }, { 30, 1042, 11000, }, { 38, 3472, 16000, }, { 46, 10328, 24000, }, { 54, 10329, 40000, }, { 60, 25292, 0, 5, }, },
		{ name = "正义圣印", { 1, 21084, 0, }, { 10, 20287, 300, }, { 18, 20288, 3500, }, { 26, 20289, 6000, }, { 34, 20290, 13000, }, { 42, 20291, 21000, }, { 50, 20292, 28000, }, { 58, 20293, 44000, }, },
		{ name = "虔诚光环", { 1, 465, 10, }, { 10, 10290, 300, }, { 20, 643, 4000, }, { 30, 10291, 11000, }, { 40, 1032, 20000, }, { 50, 10292, 28000, }, { 60, 10293, 46000, }, },
		{ name = "力量祝福", { 4, 19740, 100, }, { 12, 19834, 1000, }, { 22, 19835, 4000, }, { 32, 19836, 12000, }, { 42, 19837, 21000, }, { 52, 19838, 34000, }, { 60, 25291, 0, 5, }, },
		{ name = "审判", { 4, 20271, 100, }, },
		{ name = "圣佑术", { 6, 498, 100, }, { 18, 5573, 3500, }, },
		{ name = "十字军圣印", { 6, 21082, 100, }, { 12, 20162, 1000, }, { 22, 20305, 4000, }, { 32, 20306, 12000, }, { 42, 20307, 21000, }, { 52, 20308, 34000, }, },
		{ name = "纯净术", { 8, 1152, 100, }, },
		{ name = "招架", { 8, 3127, 100, }, passive = true, },
		{ name = "制裁之锤", { 8, 853, 100, }, { 24, 5588, 5000, }, { 40, 5589, 20000, }, { 54, 10308, 40000, }, },
		{ name = "保护祝福", { 10, 1022, 300, }, { 24, 5599, 5000, }, { 38, 10278, 16000, }, },
		{ name = "圣疗术", { 10, 633, 300, }, { 30, 2800, 11000, }, { 50, 10310, 28000, }, },
		{ name = "救赎", { 12, 7328, 0, }, { 24, 10322, 5000, }, { 36, 10324, 14000, }, { 48, 20772, 26000, }, { 60, 20773, 46000, }, },
		{ name = "智慧祝福", { 14, 19742, 2000, }, { 24, 19850, 5000, }, { 34, 19852, 13000, }, { 44, 19853, 22000, }, { 54, 19854, 40000, }, { 60, 25290, 0, 5, }, },
		{ name = "惩罚光环", { 16, 7294, 3000, }, { 26, 10298, 6000, }, { 36, 10299, 14000, }, { 46, 10300, 24000, }, { 56, 10301, 42000, }, },
		{ name = "正义之怒", { 16, 25780, 3000, }, },
		{ name = "自由祝福", { 18, 1044, 3500, }, },
		{ name = "圣光闪现", { 20, 19750, 4000, }, { 26, 19939, 6000, }, { 34, 19940, 13000, }, { 42, 19941, 21000, }, { 50, 19942, 28000, }, { 58, 19943, 44000, }, },
		{ name = "感知亡灵", { 20, 5502, 0, }, },
		{ name = "驱邪术", { 20, 879, 4000, }, { 28, 5614, 9000, }, { 36, 5615, 14000, }, { 44, 10312, 22000, }, { 52, 10313, 34000, }, { 60, 10314, 46000, }, },
		{ name = "专注光环", { 22, 19746, 4000, }, },
		{ name = "公正圣印", { 22, 20164, 4000, }, },
		{ name = "超度亡灵", { 24, 2878, 5000, }, { 38, 5627, 16000, }, { 52, 10326, 34000, }, },
		{ name = "拯救祝福", { 26, 1038, 6000, }, },
		{ name = "暗影抗性光环", { 28, 19876, 9000, }, { 40, 19895, 20000, }, { 52, 19896, 34000, }, },
		{ name = "光明圣印", { 30, 20165, 11000, }, { 40, 20347, 20000, }, { 50, 20348, 28000, }, { 60, 20349, 46000, }, },
		{ name = "神圣干涉", { 30, 19752, 11000, }, },
		{ name = "冰霜抗性光环", { 32, 19888, 12000, }, { 44, 19897, 22000, }, { 56, 19898, 42000, }, },
		{ name = "圣盾术", { 34, 642, 13000, }, { 50, 1020, 28000, }, },
		{ name = "火焰抗性光环", { 36, 19891, 14000, }, { 48, 19899, 26000, }, { 60, 19900, 46000, }, },
		{ name = "智慧圣印", { 38, 20166, 16000, }, { 48, 20356, 26000, }, { 58, 20357, 44000, }, },
		{ name = "板甲", { 40, 750, 20000, }, passive = true, },
		{ name = "召唤军马", { 40, 13819, 0, }, },
		{ name = "光明祝福", { 40, 19977, 20000, }, { 50, 19978, 28000, }, { 60, 19979, 46000, }, },
		{ name = "清洁术", { 42, 4987, 21000, }, },
		{ name = "愤怒之锤", { 44, 24275, 22000, }, { 52, 24274, 34000, }, { 60, 24239, 46000, }, },
		{ name = "牺牲祝福", { 46, 6940, 24000, }, { 54, 20729, 40000, }, },
		{ name = "神圣愤怒", { 50, 2812, 28000, }, { 60, 10318, 46000, }, },
		{ name = "强效力量祝福", { 52, 25782, 46000, }, { 60, 25916, 46000, }, },
		{ name = "强效智慧祝福", { 54, 25894, 46000, }, { 60, 25918, 46000, }, },
		{ name = "召唤战马", { 60, 23214, 0, }, },
		{ name = "强效拯救祝福", { 60, 25895, 46000, }, },
		{ name = "强效光明祝福", { 60, 25890, 46000, }, },
		{ name = "奉献", { -1, 26573, 0, }, { 30, 20116, 200, }, { 40, 20922, 1000, }, { 50, 20923, 1400, }, { 60, 20924, 2300, }, talent = true, },
		{ name = "王者祝福", { -1, 20217, 0, }, talent = true, },
		{ name = "命令圣印", { -1, 20375, 0, }, { 30, 20915, 550, }, { 40, 20918, 1000, }, { 50, 20919, 1400, }, { 60, 20920, 2300, }, talent = true, },
		{ name = "神恩术", { -1, 20216, 0, }, talent = true, },
		{ name = "庇护祝福", { -1, 20911, 0, }, { 40, 20912, 1000, }, { 50, 20913, 1400, }, { 60, 20914, 2300, }, talent = true, },
		{ name = "圣洁光环", { -1, 20218, 0, }, talent = true, },
		{ name = "神圣震击", { -1, 20473, 0, }, { 48, 20929, 1170, }, { 56, 20930, 2100, }, talent = true, },
		{ name = "神圣之盾", { -1, 20925, 0, }, { 50, 20927, 1260, }, { 60, 20928, 2070, }, talent = true, },
		{ name = "忏悔", { -1, 20066, 0, }, talent = true, },
		{ name = "强效王者祝福", { 60, 25898, 2300 , }, talent = true, require = 20217, },
		{ name = "强效庇护祝福", { 60, 25899, 2300, }, talent = true, require = 20911, },
	},
	PRIEST = {
		{ name = "真言术：韧", { 1, 1243, 10, }, { 12, 1244, 800, }, { 24, 1245, 5000, }, { 36, 2791, 14000, }, { 48, 10937, 28000, }, { 60, 10938, 46000, }, },
		{ name = "惩击", { 1, 585, 0, }, { 6, 591, 100, }, { 14, 598, 1200, }, { 22, 984, 4000, }, { 30, 1004, 10000, }, { 38, 6060, 16000, }, { 46, 10933, 26000, }, { 54, 10934, 40000, }, },
		{ name = "次级治疗术", { 1, 2050, 0, }, { 4, 2052, 100, }, { 10, 2053, 300, }, },
		{ name = "暗言术：痛", { 4, 589, 100, }, { 10, 594, 300, }, { 18, 970, 2000, }, { 26, 992, 6000, }, { 34, 2767, 12000, }, { 42, 10892, 22000, }, { 50, 10893, 30000, }, { 58, 10894, 44000, }, },
		{ name = "真言术：盾", { 6, 17, 100, }, { 12, 592, 800, }, { 18, 600, 2000, }, { 24, 3747, 5000, }, { 30, 6065, 10000, }, { 36, 6066, 14000, }, { 42, 10898, 22000, }, { 48, 10899, 28000, }, { 54, 10900, 40000, }, { 60, 10901, 46000, }, },
		{ name = "渐隐术", { 8, 586, 200, }, { 20, 9578, 3000, }, { 30, 9579, 10000, }, { 40, 9592, 18000, }, { 50, 10941, 30000, }, { 60, 10942, 46000, }, },
		{ name = "恢复", { 8, 139, 200, }, { 14, 6074, 1200, }, { 20, 6075, 3000, }, { 26, 6076, 6000, }, { 32, 6077, 11000, }, { 38, 6078, 16000, }, { 44, 10927, 24000, }, { 50, 10928, 30000, }, { 56, 10929, 42000, }, { 60, 25315, 0, 5, }, },
		{ name = "绝望祷言", race = "HUMAN|DWARF", { 10, 13908, 0, }, { 18, 19236, 100, }, { 26, 19238, 300, }, { 34, 19240, 600, }, { 42, 19241, 1100, }, { 50, 19242, 1500, }, { 58, 19243, 2200, }, },
		{ name = "星辰碎片", race = "NIGHTELF", { 10, 10797, 0, }, { 18, 19296, 100, }, { 26, 19299, 300, }, { 34, 19302, 600, }, { 42, 19303, 1100, }, { 50, 19304, 1500, }, { 58, 19305, 2200, }, },
		{ name = "虚弱之触", race = "SCOURGE", { 10, 2652, 0, }, { 20, 19261, 150, }, { 30, 19262, 500, }, { 40, 19264, 900, }, { 50, 19265, 1500, }, { 60, 19266, 2300, }, },
		{ name = "虚弱妖术", race = "TROLL", { 10, 9035, 0, }, { 20, 19281, 150, }, { 30, 19282, 500, }, { 40, 19283, 900, }, { 50, 19284, 1500, }, { 60, 19285, 2300, }, },
		{ name = "复活术", { 10, 2006, 300, }, { 22, 2010, 4000, }, { 34, 10880, 12000, }, { 46, 10881, 26000, }, { 58, 20770, 44000, }, },
		{ name = "心灵震爆", { 10, 8092, 300, }, { 16, 8102, 1600, }, { 22, 8103, 4000, }, { 28, 8104, 8000, }, { 34, 8105, 12000, }, { 40, 8106, 18000, }, { 46, 10945, 26000, }, { 52, 10946, 38000, }, { 58, 10947, 44000, }, },
		{ name = "心灵之火", { 12, 588, 800, }, { 20, 7128, 3000, }, { 30, 602, 10000, }, { 40, 1006, 18000, }, { 50, 10951, 30000, }, { 60, 10952, 46000, }, },
		{ name = "心灵尖啸", { 14, 8122, 1200, }, { 28, 8124, 8000, }, { 42, 10888, 22000, }, { 56, 10890, 42000, }, },
		{ name = "祛病术", { 14, 528, 1200, }, },
		{ name = "治疗术", { 16, 2054, 1600, }, { 22, 2055, 4000, }, { 28, 6063, 8000, }, { 34, 6064, 12000, }, },
		{ name = "驱散魔法", { 18, 527, 2000, }, { 36, 988, 14000, }, },
		{ name = "回馈", race = "HUMAN", { 20, 13896, 0, }, { 30, 19271, 500, }, { 40, 19273, 900, }, { 50, 19274, 1500, }, { 60, 19275, 2300, }, },
		{ name = "防护恐惧结界", race = "DWARF", { 20, 6346, 0, }, },
		{ name = "艾露恩的赐福", race = "NIGHTELF", { 20, 2651, 0, }, { 30, 19289, 500, }, { 40, 19291, 900, }, { 50, 19292, 1500, }, { 60, 19293, 2300, }, },
		{ name = "噬灵瘟疫", race = "SCOURGE", { 20, 2944, 0, }, { 28, 19276, 400, }, { 36, 19277, 700, }, { 44, 19278, 1200, }, { 52, 19279, 1900, }, { 60, 19280, 2300, }, },
		{ name = "暗影守卫", race = "TROLL", { 20, 18137, 0, }, { 28, 19308, 400, }, { 36, 19309, 700, }, { 44, 19310, 1200, }, { 52, 19311, 1900, }, { 60, 19312, 2300, }, },
		{ name = "神圣之火", { 20, 14914, 3000, }, { 24, 15262, 5000, }, { 30, 15263, 10000, }, { 36, 15264, 14000, }, { 42, 15265, 22000, }, { 48, 15266, 28000, }, { 54, 15267, 40000, }, { 60, 15261, 46000, }, },
		{ name = "快速治疗", { 20, 2061, 3000, }, { 26, 9472, 6000, }, { 32, 9473, 11000, }, { 38, 9474, 16000, }, { 44, 10915, 24000, }, { 50, 10916, 30000, }, { 56, 10917, 42000, }, },
		{ name = "安抚心灵", { 20, 453, 3000, }, { 36, 8192, 14000, }, { 52, 10953, 38000, }, },
		{ name = "束缚亡灵", { 20, 9484, 3000, }, { 40, 9485, 18000, }, { 60, 10955, 46000, }, },
		{ name = "心灵视界", { 22, 2096, 4000, }, { 44, 10909, 24000, }, },
		{ name = "法力燃烧", { 24, 8129, 5000, }, { 32, 8131, 11000, }, { 40, 10874, 18000, }, { 48, 10875, 28000, }, { 56, 10876, 42000, }, },
		{ name = "治疗祷言", { 30, 596, 10000, }, { 40, 996, 18000, }, { 50, 10960, 30000, }, { 60, 10961, 46000, }, { 60, 25316, 0, 5, }, },
		{ name = "精神控制", { 30, 605, 10000, }, { 44, 10911, 24000, }, { 58, 10912, 44000, }, },
		{ name = "防护暗影", { 30, 976, 10000, }, { 42, 10957, 22000, }, { 56, 10958, 42000, }, },
		{ name = "驱除疾病", { 32, 552, 11000, }, },
		{ name = "漂浮术", { 34, 1706, 12000, }, },
		{ name = "强效治疗术", { 40, 2060, 18000, }, { 46, 10963, 26000, }, { 52, 10964, 38000, }, { 58, 10965, 44000, }, { 60, 25314, 0, 5, }, },
		{ name = "坚韧祷言", { 48, 21562, 0, }, { 60, 21564, 0, }, },
		{ name = "暗影防护祷言", { 56, 27683, 0, }, },
		{ name = "心灵专注", { -1, 14751, 0, }, talent = true, },
		{ name = "神圣新星", { -1, 15237, 0, }, { 28, 15430, 400, }, { 36, 15431, 700, }, { 44, 27799, 1200, }, { 52, 27800, 1900, }, { 60, 27801, 2300, }, talent = true, },
		{ name = "精神鞭笞", { -1, 15407, 0, }, { 28, 17311, 400, }, { 36, 17312, 700, }, { 44, 17313, 1200, }, { 52, 17314, 1900, }, { 60, 18807, 2300, }, talent = true, },
		{ name = "神圣之灵", { -1, 14752, 0, }, { 40, 14818, 900, }, { 50, 14819, 1500, }, { 60, 27841, 2300, }, talent = true, },
		{ name = "救赎之魂", { -1, 20711, 0, }, passive = true, talent = true, },
		{ name = "沉默", { -1, 15487, 0, }, talent = true, },
		{ name = "吸血鬼的拥抱", { -1, 15286, 0, }, talent = true, },
		{ name = "能量灌注", { -1, 10060, 0, }, talent = true, },
		{ name = "光明之泉", { -1, 724, 0, }, { 50, 27870, 1200, }, { 60, 27871, 1500, }, talent = true, },
		{ name = "暗影形态", { -1, 15473, 0, }, talent = true, },
		{ name = "精神祷言", { 60, 27681, 2300, }, talent = true, require = 14752, },
	},
	ROGUE = {
		{ name = "刺骨", { 1, 2098, 0, }, { 8, 6760, 200, }, { 16, 6761, 1800, }, { 24, 6762, 5000, }, { 32, 8623, 12000, }, { 40, 8624, 20000, }, { 48, 11299, 33000, }, { 56, 11300, 50000, }, { 60, 31016, 0, }, },
		{ name = "邪恶攻击", { 1, 1752, 0, }, { 6, 1757, 100, }, { 14, 1758, 1200, }, { 22, 1759, 4000, }, { 30, 1760, 10000, }, { 38, 8621, 18000, }, { 46, 11293, 31000, }, { 54, 11294, 48000, }, },
		{ name = "潜行", { 1, 1784, 10, }, { 20, 1785, 3000, }, { 40, 1786, 20000, }, { 60, 1787, 54000, }, },
		{ name = "搜索", { 4, 921, 100, }, },
		{ name = "背刺", { 4, 53, 100, }, { 12, 2589, 800, }, { 20, 2590, 3000, }, { 28, 2591, 8000, }, { 36, 8721, 16000, }, { 44, 11279, 29000, }, { 52, 11280, 46000, }, { 60, 11281, 54000, }, { 60, 25300, 0, 5, }, },
		{ name = "凿击", { 6, 1776, 100, }, { 18, 1777, 2900, }, { 32, 8629, 12000, }, { 46, 11285, 31000, }, { 60, 11286, 54000, }, },
		{ name = "闪避", { 8, 5277, 200, }, },
		{ name = "疾跑", { 10, 2983, 300, }, { 34, 8696, 14000, }, { 58, 11305, 52000, }, },
		{ name = "闷棍", { 10, 6770, 300, }, { 28, 2070, 8000, }, { 48, 11297, 33000, }, },
		{ name = "双武器", { 10, 674, 300, }, passive = true, },
		{ name = "切割", { 10, 5171, 300, }, { 42, 6774, 27000, }, },
		{ name = "脚踢", { 12, 1766, 800, }, { 26, 1767, 6000, }, { 42, 1768, 27000, }, { 58, 1769, 52000, }, },
		{ name = "招架", { 12, 3127, 800, }, passive = true, },
		{ name = "破甲", { 14, 8647, 1200, }, { 26, 8649, 6000, }, { 36, 8650, 16000, }, { 46, 11197, 31000, }, { 56, 11198, 50000, }, },
		{ name = "绞喉", { 14, 703, 1200, }, { 22, 8631, 4000, }, { 30, 8632, 10000, }, { 38, 8633, 18000, }, { 46, 11289, 31000, }, { 54, 11290, 48000, }, },
		{ name = "开锁", { 16, 1804, 1800, }, },
		{ name = "佯攻", { 16, 1966, 1800, }, { 28, 6768, 8000, }, { 40, 8637, 20000, }, { 52, 11303, 46000, }, { 60, 25302, 0, 5, }, },
		{ name = "伏击", { 18, 8676, 2900, }, { 26, 8724, 6000, }, { 34, 8725, 14000, }, { 42, 11267, 27000, }, { 50, 11268, 35000, }, { 58, 11269, 52000, }, },
		{ name = "速效毒药", { 20, 8681, 0, }, { 28, 8687, 8000, }, { 36, 8691, 16000, }, { 44, 11341, 29000, }, { 52, 11342, 46000, }, { 60, 11343, 54000, }, },
		{ name = "致残毒药", { 20, 3420, 3000, }, { 50, 3421, 35000, }, },
		{ name = "割裂", { 20, 1943, 3000, }, { 28, 8639, 8000, }, { 36, 8640, 16000, }, { 44, 11273, 29000, }, { 52, 11274, 46000, }, { 60, 11275, 54000, }, },
		{ name = "毒药", { 20, 2842, 0, }, },
		{ name = "扰乱", { 22, 1725, 4000, }, },
		{ name = "消失", { 22, 1856, 4000, }, { 42, 1857, 27000, }, },
		{ name = "麻痹毒药", { 24, 5763, 5000, }, { 38, 8694, 18000, }, { 52, 11400, 46000, }, },
		{ name = "侦测陷阱", { 24, 2836, 5000, }, passive = true, },
		{ name = "偷袭", { 26, 1833, 6000, }, },
		{ name = "解除陷阱", { 30, 1842, 10000, }, },
		{ name = "致命毒药", { 30, 2835, 10000, }, { 38, 2837, 18000, }, { 46, 11357, 31000, }, { 54, 11358, 48000, }, { 60, 25347, 0, 5, }, },
		{ name = "肾击", { 30, 408, 10000, }, { 50, 8643, 35000, }, },
		{ name = "致伤毒药", { 32, 13220, 12000, }, { 40, 13228, 20000, }, { 48, 13229, 33000, }, { 56, 13230, 50000, }, },
		{ name = "致盲粉", { 34, 6510, 14000, }, },
		{ name = "致盲", { 34, 2094, 14000, }, },
		{ name = "安全降落", { 40, 1860, 20000, }, passive = true, },
		{ name = "无情打击", { -1, 14179, 0, }, passive = true, talent = true, },
		{ name = "还击", { -1, 14251, 0, }, talent = true, },
		{ name = "鬼魅攻击", { -1, 14278, 0, }, talent = true, },
		{ name = "冷血", { -1, 14177, 0, }, talent = true, },
		{ name = "剑刃乱舞", { -1, 13877, 0, }, talent = true, },
		{ name = "伺机待发", { -1, 14185, 0, }, talent = true, },
		{ name = "出血", { -1, 16511, 0, }, { 46, 17347, 7750, }, { 58, 17348, 13000, }, talent = true, },
		{ name = "精力", { -1, 14983, 0, }, passive = true, talent = true, },
		{ name = "冲动", { -1, 13750, 0, }, talent = true, },
		{ name = "预谋", { -1, 14183, 0, }, talent = true, },
	},
	SHAMAN = {
		{ name = "闪电箭", { 1, 403, 0, }, { 8, 529, 100, }, { 14, 548, 900, }, { 20, 915, 2200, }, { 26, 943, 4000, }, { 32, 6041, 8000, }, { 38, 10391, 11000, }, { 44, 10392, 18000, }, { 50, 15207, 24000, }, { 56, 15208, 30000, }, },
		{ name = "石化武器", { 1, 8017, 10, }, { 8, 8018, 100, }, { 16, 8019, 1800, }, { 24, 10399, 3500, }, { 34, 16314, 9000, }, { 44, 16315, 18000, }, { 54, 16316, 29000, }, },
		{ name = "治疗波", { 1, 331, 0, }, { 6, 332, 100, }, { 12, 547, 800, }, { 18, 913, 2000, }, { 24, 939, 3500, }, { 32, 959, 8000, }, { 40, 8005, 12000, }, { 48, 10395, 22000, }, { 56, 10396, 30000, }, { 60, 25357, 0, 5, }, },
		{ name = "石肤图腾", { 4, 8071, 0, }, { 14, 8154, 900, }, { 24, 8155, 3500, }, { 34, 10406, 9000, }, { 44, 10407, 18000, }, { 54, 10408, 29000, }, },
		{ name = "地震术", { 4, 8042, 100, }, { 8, 8044, 100, }, { 14, 8045, 900, }, { 24, 8046, 3500, }, { 36, 10412, 10000, }, { 48, 10413, 22000, }, { 60, 10414, 34000, }, },
		{ name = "地缚图腾", { 6, 2484, 100, }, },
		{ name = "闪电之盾", { 8, 324, 100, }, { 16, 325, 1800, }, { 24, 905, 3500, }, { 32, 945, 8000, }, { 40, 8134, 12000, }, { 48, 10431, 22000, }, { 56, 10432, 30000, }, },
		{ name = "石爪图腾", { 8, 5730, 100, }, { 18, 6390, 2000, }, { 28, 6391, 6000, }, { 38, 6392, 11000, }, { 48, 10427, 22000, }, { 58, 10428, 32000, }, },
		{ name = "火舌武器", { 10, 8024, 400, }, { 18, 8027, 2000, }, { 26, 8030, 4000, }, { 36, 16339, 10000, }, { 46, 16341, 20000, }, { 56, 16342, 30000, }, },
		{ name = "大地之力图腾", { 10, 8075, 400, }, { 24, 8160, 3500, }, { 38, 8161, 11000, }, { 52, 10442, 27000, }, { 60, 25361, 0, 5, }, },
		{ name = "灼热图腾", { 10, 3599, 0, }, { 20, 6363, 2200, }, { 30, 6364, 7000, }, { 40, 6365, 12000, }, { 50, 10437, 24000, }, { 60, 10438, 34000, }, },
		{ name = "烈焰震击", { 10, 8050, 400, }, { 18, 8052, 2000, }, { 28, 8053, 6000, }, { 40, 10447, 12000, }, { 52, 10448, 27000, }, { 60, 29228, 0, }, },
		{ name = "净化术", { 12, 370, 800, }, { 32, 8012, 8000, }, },
		{ name = "火焰新星图腾", { 12, 1535, 800, }, { 22, 8498, 3000, }, { 32, 8499, 8000, }, { 42, 11314, 16000, }, { 52, 11315, 27000, }, },
		{ name = "先祖之魂", { 12, 2008, 800, }, { 24, 20609, 3500, }, { 36, 20610, 10000, }, { 48, 20776, 22000, }, { 60, 20777, 34000, }, },
		{ name = "消毒术", { 16, 526, 1800, }, },
		{ name = "战栗图腾", { 18, 8143, 2000, }, },
		{ name = "冰霜震击", { 20, 8056, 2200, }, { 34, 8058, 9000, }, { 46, 10472, 20000, }, { 58, 10473, 32000, }, },
		{ name = "幽魂之狼", { 20, 2645, 2200, }, },
		{ name = "冰封武器", { 20, 8033, 2200, }, { 28, 8038, 6000, }, { 38, 10456, 11000, }, { 48, 16355, 22000, }, { 58, 16356, 32000, }, },
		{ name = "次级治疗波", { 20, 8004, 2200, }, { 28, 8008, 6000, }, { 36, 8010, 10000, }, { 44, 10466, 18000, }, { 52, 10467, 27000, }, { 60, 10468, 34000, }, },
		{ name = "治疗之泉图腾", { 20, 5394, 0, }, { 30, 6375, 7000, }, { 40, 6377, 12000, }, { 50, 10462, 24000, }, { 60, 10463, 34000, }, },
		{ name = "祛病术", { 22, 2870, 3000, }, },
		{ name = "清毒图腾", { 22, 8166, 3000, }, },
		{ name = "水下呼吸", { 22, 131, 3000, }, },
		{ name = "抗寒图腾", { 24, 8181, 3500, }, { 38, 10478, 11000, }, { 54, 10479, 29000, }, },
		{ name = "视界术", { 26, 6196, 4000, }, },
		{ name = "熔岩图腾", { 26, 8190, 4000, }, { 36, 10585, 10000, }, { 46, 10586, 20000, }, { 56, 10587, 30000, }, },
		{ name = "法力之泉图腾", { 26, 5675, 4000, }, { 36, 10495, 10000, }, { 46, 10496, 20000, }, { 56, 10497, 30000, }, },
		{ name = "抗火图腾", { 28, 8184, 6000, }, { 42, 10537, 16000, }, { 58, 10538, 32000, }, },
		{ name = "水上行走", { 28, 546, 6000, }, },
		{ name = "火舌图腾", { 28, 8227, 6000, }, { 38, 8249, 11000, }, { 48, 10526, 22000, }, { 58, 16387, 32000, }, },
		{ name = "自然抗性图腾", { 30, 10595, 7000, }, { 44, 10600, 18000, }, { 60, 10601, 34000, }, },
		{ name = "风怒武器", { 30, 8232, 7000, }, { 40, 8235, 12000, }, { 50, 10486, 24000, }, { 60, 16362, 34000, }, },
		{ name = "根基图腾", { 30, 8177, 7000, }, },
		{ name = "复生", { 30, 20608, 7000, }, passive = true, },
		{ name = "星界传送", { 30, 556, 7000, }, },
		{ name = "闪电链", { 32, 421, 8000, }, { 40, 930, 12000, }, { 48, 2860, 22000, }, { 56, 10605, 30000, }, },
		{ name = "风怒图腾", { 32, 8512, 8000, }, { 42, 10613, 16000, }, { 52, 10614, 27000, }, },
		{ name = "岗哨图腾", { 34, 6495, 9000, }, },
		{ name = "风墙图腾", { 36, 15107, 10000, }, { 46, 15111, 20000, }, { 56, 15112, 30000, }, },
		{ name = "祛病图腾", { 38, 8170, 11000, }, },
		{ name = "锁甲", { 40, 8737, 12000, }, },
		{ name = "治疗链", { 40, 1064, 12000, }, { 46, 10622, 20000, }, { 54, 10623, 29000, }, },
		{ name = "风之优雅图腾", { 42, 8835, 16000, }, { 56, 10627, 30000, }, { 60, 25359, 0, 5, }, },
		{ name = "宁静之风图腾", { 50, 25908, 24000, }, },
		{ name = "元素集中", { -1, 16164, 0, }, passive = true, talent = true, },
		{ name = "双手斧和锤", { -1, 16269, 0, }, passive = true, talent = true, },
		{ name = "图腾掌握", { -1, 16189, 0, }, passive = true, talent = true, },
		{ name = "元素之怒", { -1, 16089, 0, }, passive = true, talent = true, },
		{ name = "招架", { -1, 16268, 0, }, passive = true, talent = true, },
		{ name = "自然迅捷", { -1, 16188, 0, }, talent = true, },
		{ name = "元素掌握", { -1, 16166, 0, }, talent = true, },
		{ name = "风暴打击", { -1, 17364, 0, }, talent = true, },
		{ name = "法力之潮图腾", { -1, 16190, 0, }, { 48, 17354, 55000, }, { 58, 17359, 80000, }, talent = true, },
	},
	WARLOCK = {
		{ name = "恶魔皮肤", { 1, 687, 0, }, { 10, 696, 300, }, },
		{ name = "献祭", { 1, 348, 10, }, { 10, 707, 300, }, { 20, 1094, 2000, }, { 30, 2941, 6000, }, { 40, 11665, 11000, }, { 50, 11667, 15000, }, { 60, 11668, 26000, }, { 60, 25309, 0, 5, }, },
		{ name = "暗影箭", { 1, 686, 0, }, { 6, 695, 100, }, { 12, 705, 600, }, { 20, 1088, 2000, }, { 28, 1106, 5000, }, { 36, 7641, 9000, }, { 44, 11659, 12000, }, { 52, 11660, 18000, }, { 60, 11661, 26000, }, { 60, 25307, 0, 5, }, },
		{ name = "召唤小鬼", { 1, 688, 0, }, },
		{ name = "虚弱诅咒", { 4, 702, 100, }, { 12, 1108, 600, }, { 22, 6205, 2500, }, { 32, 7646, 7000, }, { 42, 11707, 11000, }, { 52, 11708, 18000, }, },
		{ name = "腐蚀术", { 4, 172, 100, }, { 14, 6222, 900, }, { 24, 6223, 3000, }, { 34, 7648, 8000, }, { 44, 11671, 12000, }, { 54, 11672, 20000, }, { 60, 25311, 0, 5, }, },
		{ name = "生命分流", { 6, 1454, 100, }, { 16, 1455, 1200, }, { 26, 1456, 4000, }, { 36, 11687, 9000, }, { 46, 11688, 13000, }, { 56, 11689, 22000, }, },
		{ name = "痛苦诅咒", { 8, 980, 200, }, { 18, 1014, 1500, }, { 28, 6217, 5000, }, { 38, 11711, 10000, }, { 48, 11712, 14000, }, { 58, 11713, 24000, }, },
		{ name = "恐惧术", { 8, 5782, 200, }, { 32, 6213, 7000, }, { 56, 6215, 22000, }, },
		{ name = "制造治疗石", { 10, 6201, 300, }, { 22, 6202, 2500, }, { 34, 5699, 8000, }, { 46, 11729, 13000, }, { 58, 11730, 24000, }, },
		{ name = "召唤虚空行者", { 10, 697, 0, }, },
		{ name = "吸取灵魂", { 10, 1120, 300, }, { 24, 8288, 3000, }, { 38, 8289, 10000, }, { 52, 11675, 18000, }, },
		{ name = "生命通道", { 12, 755, 600, }, { 20, 3698, 2000, }, { 28, 3699, 5000, }, { 36, 3700, 9000, }, { 44, 11693, 12000, }, { 52, 11694, 18000, }, { 60, 11695, 26000, }, },
		{ name = "鲁莽诅咒", { 14, 704, 900, }, { 28, 7658, 5000, }, { 42, 7659, 11000, }, { 56, 11717, 22000, }, },
		{ name = "吸取生命", { 14, 689, 900, }, { 22, 699, 2500, }, { 30, 709, 6000, }, { 38, 7651, 10000, }, { 46, 11699, 13000, }, { 54, 11700, 20000, }, },
		{ name = "魔息术", { 16, 5697, 1200, }, },
		{ name = "灼热之痛", { 18, 5676, 1500, }, { 26, 17919, 4000, }, { 34, 17920, 8000, }, { 42, 17921, 11000, }, { 50, 17922, 15000, }, { 58, 17923, 24000, }, },
		{ name = "制造灵魂石", { 18, 693, 1500, }, { 30, 20752, 6000, }, { 40, 20755, 11000, }, { 50, 20756, 15000, }, { 60, 20757, 26000, }, },
		{ name = "召唤仪式", { 20, 698, 2000, }, },
		{ name = "魔甲术", { 20, 706, 2000, }, { 30, 1086, 6000, }, { 40, 11733, 11000, }, { 50, 11734, 15000, }, { 60, 11735, 26000, }, },
		{ name = "火焰之雨", { 20, 5740, 2000, }, { 34, 6219, 8000, }, { 46, 11677, 13000, }, { 58, 11678, 24000, }, },
		{ name = "召唤魅魔", { 20, 712, 0, }, },
		{ name = "基尔罗格之眼", { 22, 126, 2500, }, },
		{ name = "感知恶魔", { 24, 5500, 3000, }, },
		{ name = "吸取法力", { 24, 5138, 3000, }, { 34, 6226, 8000, }, { 44, 11703, 12000, }, { 54, 11704, 20000, }, },
		{ name = "侦测隐形", { 26, 132, 4000, }, { 38, 2970, 10000, }, { 50, 11743, 15000, }, },
		{ name = "语言诅咒", { 26, 1714, 4000, }, { 50, 11719, 15000, }, },
		{ name = "放逐术", { 28, 710, 5000, }, { 48, 18647, 14000, }, },
		{ name = "制造火焰石", { 28, 6366, 5000, }, { 36, 17951, 9000, }, { 46, 17952, 13000, }, { 56, 17953, 22000, }, },
		{ name = "奴役恶魔", { 30, 1098, 6000, }, { 44, 11725, 12000, }, { 58, 11726, 24000, }, },
		{ name = "召唤地狱猎犬", { 30, 691, 0, }, },
		{ name = "地狱烈焰", { 30, 1949, 6000, }, { 42, 11683, 11000, }, { 54, 11684, 20000, }, },
		{ name = "防护暗影结界", { 32, 6229, 7000, }, { 42, 11739, 11000, }, { 52, 11740, 18000, }, { 60, 28610, 0, }, },
		{ name = "元素诅咒", { 32, 1490, 7000, }, { 46, 11721, 13000, }, { 60, 11722, 26000, }, },
		{ name = "制造法术石", { 36, 2362, 9000, }, { 48, 17727, 14000, }, { 60, 17728, 26000, }, },
		{ name = "恐惧嚎叫", { 40, 5484, 11000, }, { 54, 17928, 20000, }, },
		{ name = "召唤地狱战马", { 40, 5784, 0, }, },
		{ name = "死亡缠绕", { 42, 6789, 11000, }, { 50, 17925, 15000, }, { 58, 17926, 24000, }, },
		{ name = "暗影诅咒", { 44, 17862, 12000, }, { 56, 17937, 22000, }, },
		{ name = "灵魂之火", { 48, 6353, 14000, }, { 56, 17924, 22000, }, },
		{ name = "地狱火", { 50, 1122, 0, }, },
		{ name = "末日仪式", { 60, 18540, 0, }, },
		{ name = "厄运诅咒", { 60, 603, 26000, }, },
		{ name = "召唤恐惧战马", { 60, 23161, 0, }, },
		{ name = "诅咒增幅", { -1, 18288, 0, }, talent = true, },
		{ name = "恶魔支配", { -1, 18708, 0, }, talent = true, },
		{ name = "暗影灼烧", { -1, 17877, 0, }, { 24, 18867, 150, }, { 32, 18868, 350, }, { 40, 18869, 550, }, { 48, 18870, 700, }, { 56, 18871, 22000, }, talent = true, },
		{ name = "生命虹吸", { -1, 18265, 0, }, { 38, 18879, 500, }, { 48, 18880, 700, }, { 58, 18881, 1200, }, talent = true, },
		{ name = "疲劳诅咒", { -1, 18223, 0, }, talent = true, },
		{ name = "恶魔牺牲", { -1, 18788, 0, }, talent = true, },
		{ name = "毁灭", { -1, 17959, 0, }, passive = true, talent = true, },
		{ name = "黑暗契约", { -1, 18220, 0, }, { 50, 18937, 750, }, { 60, 18938, 1300, }, talent = true, },
		{ name = "灵魂链接", { -1, 19028, 0, }, talent = true, },
		{ name = "燃烧", { -1, 17962, 0, }, { 48, 18930, 700, }, { 54, 18931, 1000, }, { 60, 18932, 1300, }, talent = true, },
	},
	WARRIOR = {
		{ name = "英勇打击", { 1, 78, 0, }, { 8, 284, 200, }, { 16, 285, 2000, }, { 24, 1608, 8000, }, { 32, 11564, 14000, }, { 40, 11565, 22000, }, { 48, 11566, 40000, }, { 56, 11567, 58000, }, { 60, 25286, 0, 5, }, },
		{ name = "战斗姿态", { 1, 2457, 0, }, },
		{ name = "战斗怒吼", { 1, 6673, 10, }, { 12, 5242, 1000, }, { 22, 6192, 6000, }, { 32, 11549, 14000, }, { 42, 11550, 32000, }, { 52, 11551, 54000, }, { 60, 25289, 0, 5, }, },
		{ name = "冲锋", { 4, 100, 100, }, { 26, 6178, 10000, }, { 46, 11578, 36000, }, },
		{ name = "撕裂", { 4, 772, 100, }, { 10, 6546, 600, }, { 20, 6547, 4000, }, { 30, 6548, 12000, }, { 40, 11572, 22000, }, { 50, 11573, 42000, }, { 60, 11574, 62000, }, },
		{ name = "雷霆一击", { 6, 6343, 100, }, { 18, 8198, 3000, }, { 28, 8204, 11000, }, { 38, 8205, 20000, }, { 48, 11580, 40000, }, { 58, 11581, 60000, }, },
		{ name = "招架", { 6, 3127, 100, }, passive = true, },
		{ name = "断筋", { 8, 1715, 200, }, { 32, 7372, 14000, }, { 54, 7373, 56000, }, },
		{ name = "嘲讽", { 10, 355, 0, }, },
		{ name = "破甲攻击", { 10, 7386, 0, }, { 22, 7405, 6000, }, { 34, 8380, 16000, }, { 46, 11596, 36000, }, { 58, 11597, 60000, }, },
		{ name = "防御姿态", { 10, 71, 0, }, },
		{ name = "血性狂暴", { 10, 2687, 600, }, },
		{ name = "压制", { 12, 7384, 1000, }, { 28, 7887, 11000, }, { 44, 11584, 34000, }, { 60, 11585, 62000, }, },
		{ name = "盾击", { 12, 72, 1000, }, { 32, 1671, 14000, }, { 52, 1672, 54000, }, },
		{ name = "挫志怒吼", { 14, 1160, 1500, }, { 24, 6190, 8000, }, { 34, 11554, 16000, }, { 44, 11555, 34000, }, { 54, 11556, 56000, }, },
		{ name = "复仇", { 14, 6572, 1500, }, { 24, 6574, 8000, }, { 34, 7379, 16000, }, { 44, 11600, 34000, }, { 54, 11601, 56000, }, { 60, 25288, 0, 5, }, },
		{ name = "盾牌格挡", { 16, 2565, 2000, }, },
		{ name = "惩戒痛击", { 16, 694, 2000, }, { 26, 7400, 10000, }, { 36, 7402, 18000, }, { 46, 20559, 36000, }, { 56, 20560, 58000, }, },
		{ name = "缴械", { 18, 676, 3000, }, },
		{ name = "双武器", { 20, 674, 4000, }, passive = true, },
		{ name = "反击风暴", { 20, 20230, 4000, }, },
		{ name = "顺劈斩", { 20, 845, 4000, }, { 30, 7369, 12000, }, { 40, 11608, 22000, }, { 50, 11609, 42000, }, { 60, 20569, 62000, }, },
		{ name = "破胆怒吼", { 22, 5246, 6000, }, },
		{ name = "斩杀", { 24, 5308, 8000, }, { 32, 20658, 14000, }, { 40, 20660, 22000, }, { 48, 20661, 40000, }, { 56, 20662, 58000, }, },
		{ name = "挑战怒吼", { 26, 1161, 10000, }, },
		{ name = "盾墙", { 28, 871, 11000, }, },
		{ name = "拦截", { 30, 20252, 0, }, { 42, 20616, 32000, }, { 52, 20617, 54000, }, },
		{ name = "猛击", { 30, 1464, 12000, }, { 38, 8820, 20000, }, { 46, 11604, 36000, }, { 54, 11605, 56000, }, },
		{ name = "狂暴姿态", { 30, 2458, 0, }, },
		{ name = "狂暴之怒", { 32, 18499, 14000, }, },
		{ name = "旋风斩", { 36, 1680, 18000, }, },
		{ name = "拳击", { 38, 6552, 20000, }, { 58, 6554, 60000, }, },
		{ name = "板甲", { 40, 750, 22000, }, passive = true, },
		{ name = "鲁莽", { 50, 1719, 42000, }, },
		{ name = "愤怒掌控", { -1, 12296, 0, }, passive = true, talent = true, },
		{ name = "刺耳怒吼", { -1, 12323, 0, }, talent = true, },
		{ name = "破釜沉舟", { -1, 12975, 0, }, talent = true, },
		{ name = "横扫攻击", { -1, 12292, 0, }, talent = true, },
		{ name = "死亡之愿", { -1, 12328, 0, }, talent = true, },
		{ name = "震荡猛击", { -1, 12809, 0, }, talent = true, },
		{ name = "嗜血", { -1, 23881, 0, }, { 48, 23892, 2000, }, { 54, 23893, 2800, }, { 60, 23894, 3100, }, talent = true, },
		{ name = "致死打击", { -1, 12294, 0, }, { 48, 21551, 200, }, { 54, 21552, 2800, }, { 60, 21553, 3100, }, talent = true, },
		{ name = "盾牌猛击", { -1, 23922, 0, }, { 48, 23923, 200, }, { 54, 23924, 2800, }, { 60, 23925, 3100, }, talent = true, },
	},
};
--[==[
NS._talentSpellData = {  };

--]==]
NS._talentTabIcon = {
	[41] = "Interface\\Icons\\spell_fire_firebolt02",
	[61] = "Interface\\Icons\\spell_frost_frostbolt02",
	[81] = "Interface\\Icons\\inv_misc_rune_03",
	[161] = "Interface\\Icons\\ability_rogue_eviscerate",--
	[163] = "Interface\\Icons\\ability_warrior_defensivestance",
	[164] = "Interface\\Icons\\ability_warrior_innerrage",
	[181] = "Interface\\Icons\\ability_backstab",
	[182] = "Interface\\Icons\\ability_rogue_eviscerate",--
	[183] = "Interface\\Icons\\Ability_Ambush",
	[201] = "Interface\\Icons\\spell_holy_wordfortitude",
	[202] = "Interface\\Icons\\spell_holy_holybolt",
	[203] = "Interface\\Icons\\spell_shadow_shadowwordpain",
	[261] = "Interface\\Icons\\spell_nature_lightning",
	[262] = "Interface\\Icons\\Spell_Nature_HealingWaveGreater",
	[263] = "Interface\\Icons\\spell_nature_lightningshield",
	[281] = "Interface\\Icons\\ability_racial_bearform",
	[282] = "Interface\\Icons\\Spell_Nature_HealingTouch",
	[283] = "Interface\\Icons\\spell_nature_starfall",
	[301] = "Interface\\Icons\\spell_shadow_rainoffire",
	[302] = "Interface\\Icons\\spell_shadow_deathcoil",
	[303] = "Interface\\Icons\\spell_shadow_metamorphosis",
	[361] = "Interface\\Icons\\Ability_Hunter_BeastTaming",
	[362] = "Interface\\Icons\\Ability_Hunter_SwiftStrike",
	[363] = "Interface\\Icons\\Ability_Marksmanship",
	[381] = "Interface\\Icons\\Spell_Holy_AuraOfLight",
	[382] = "Interface\\Icons\\Spell_Holy_HolyBolt",
	[383] = "Interface\\Icons\\Spell_Holy_DevotionAura",
	
	[398] = "Interface\\Icons\\Spell_Deathknight_BloodPresence",
	[399] = "Interface\\Icons\\Spell_Deathknight_FrostPresence",
	[400] = "Interface\\Icons\\Spell_Deathknight_UnholyPresence",
	[409] = "Interface\\Icons\\Ability_Hunter_Pet_Bear",
	[410] = "Interface\\Icons\\Ability_Druid_Swipe",
	[411] = "Interface\\Icons\\Ability_Hunter_CombatExperience",
};

NS._BG0 = {
	DEATHKNIGHT = {
		"Interface\\TalentFrame\\bg-deathknight-blood",
		"Interface\\TalentFrame\\bg-deathknight-frost",
		"Interface\\TalentFrame\\bg-deathknight-unholy",
	},
	DRUID = {
		"Interface\\TalentFrame\\bg-druid-balance",
		"Interface\\TalentFrame\\bg-druid-bear",
		"Interface\\TalentFrame\\bg-druid-cat",
		"Interface\\TalentFrame\\bg-druid-restoration",
	},
	HUNTER = {
		"Interface\\TalentFrame\\bg-hunter-beastmaster",
		"Interface\\TalentFrame\\bg-hunter-marksman",
		"Interface\\TalentFrame\\bg-hunter-survival",
	},
	MAGE = {
		"Interface\\TalentFrame\\bg-mage-arcane",
		"Interface\\TalentFrame\\bg-mage-fire",
		"Interface\\TalentFrame\\bg-mage-frost",
	},
	MONK = {
		"Interface\\TalentFrame\\bg-monk-battledancer",
		"Interface\\TalentFrame\\bg-monk-brewmaster",
		"Interface\\TalentFrame\\bg-monk-mistweaver",
	},
	PALADIN = {
		"Interface\\TalentFrame\\bg-paladin-holy",
		"Interface\\TalentFrame\\bg-paladin-protection",
		"Interface\\TalentFrame\\bg-paladin-retribution",
	},
	PRIEST = {
		"Interface\\TalentFrame\\bg-priest-discipline",
		"Interface\\TalentFrame\\bg-priest-holy",
		"Interface\\TalentFrame\\bg-priest-shadow",
	},
	ROGUE = {
		"Interface\\TalentFrame\\bg-rogue-assassination",
		"Interface\\TalentFrame\\bg-rogue-combat",
		"Interface\\TalentFrame\\bg-rogue-subtlety",
	},
	SHAMAN = {
		"Interface\\TalentFrame\\bg-shaman-elemental",
		"Interface\\TalentFrame\\bg-shaman-enhancement",
		"Interface\\TalentFrame\\bg-shaman-restoration",
	},
	WARLOCK = {
		"Interface\\TalentFrame\\bg-warlock-affliction",
		"Interface\\TalentFrame\\bg-warlock-demonology",
		"Interface\\TalentFrame\\bg-warlock-destruction",
	},
	WARRIOR = {
		"Interface\\TalentFrame\\bg-warrior-arms",
		"Interface\\TalentFrame\\bg-warrior-fury",
		"Interface\\TalentFrame\\bg-warrior-protection",
	},
};

NS._BG1 = {
		[283] = "Interface\\TalentFrame\\DruidBalance-TopLeft",
		[281] = "Interface\\TalentFrame\\DruidFeralCombat-TopLeft",
		[282] = "Interface\\TalentFrame\\DruidRestoration-TopLeft",
		[361] = "Interface\\TalentFrame\\HunterBeastMastery-TopLeft",
		[363] = "Interface\\TalentFrame\\HunterMarksmanship-TopLeft",
		[362] = "Interface\\TalentFrame\\HunterSurvival-TopLeft",
		[81] = "Interface\\TalentFrame\\MageArcane-TopLeft",
		[41] = "Interface\\TalentFrame\\MageFire-TopLeft",
		[61] = "Interface\\TalentFrame\\MageFrost-TopLeft",
		[382] = "Interface\\TalentFrame\\PaladinHoly-TopLeft",
		[383] = "Interface\\TalentFrame\\PaladinProtection-TopLeft",
		[381] = "Interface\\TalentFrame\\PaladinCombat-TopLeft",
		[201] = "Interface\\TalentFrame\\PriestDiscipline-TopLeft",
		[202] = "Interface\\TalentFrame\\PriestHoly-TopLeft",
		[203] = "Interface\\TalentFrame\\PriestShadow-TopLeft",
		[182] = "Interface\\TalentFrame\\RogueAssassination-TopLeft",
		[181] = "Interface\\TalentFrame\\RogueCombat-TopLeft",
		[183] = "Interface\\TalentFrame\\RogueSubtlety-TopLeft",
		[261] = "Interface\\TalentFrame\\ShamanElementalCombat-TopLeft",
		[263] = "Interface\\TalentFrame\\ShamanEnhancement-TopLeft",
		[262] = "Interface\\TalentFrame\\ShamanRestoration-TopLeft",
		[302] = "Interface\\TalentFrame\\WarlockCurses-TopLeft",
		[303] = "Interface\\TalentFrame\\WarlockSummoning-TopLeft",
		[301] = "Interface\\TalentFrame\\WarlockDestruction-TopLeft",
		[161] = "Interface\\TalentFrame\\WarriorArms-TopLeft",
		[164] = "Interface\\TalentFrame\\WarriorFury-TopLeft",
		[163] = "Interface\\TalentFrame\\WarriorProtection-TopLeft",
};

NS._preset_talent = {
	DRUID =
	{
		H = {
			E = {
				"https://classic.wowhead.com/talent-calc/druid/5140000302--505203105315051",
				"https://classic.wowhead.com/talent-calc/druid/51000533120013--505103105115",
				"https://classic.wowhead.com/talent-calc/druid/4140050312001--50510310501504",
				"https://classic.wowhead.com/talent-calc/druid/-503050130302215-05501310501",
			},
			P = {
				"https://classic.wowhead.com/talent-calc/druid/0140002-5002321-055103105315011",
				"https://classic.wowhead.com/talent-calc/druid/-500242130320215-05501310231",
			},
		},
		D = {
			E = {
				"https://classic.wowhead.com/talent-calc/druid/0142503002551351--5005031",
				"https://classic.wowhead.com/talent-calc/druid/510050300250135--50502310131",
				"https://classic.wowhead.com/talent-calc/druid/014005301-5500021323202151-05",
			},
			P = {
				"https://classic.wowhead.com/talent-calc/druid/0143503002551351--5005021",
			},
		},
		T = {
			E = {
				"https://classic.wowhead.com/talent-calc/druid/014005001-5050501303022151-05002",
				"https://classic.wowhead.com/talent-calc/druid/014005001-5050301323222151-05",
			},
		},
	},
	HUNTER =
	{
		D = {
			E = {
				"https://classic.wowhead.com/talent-calc/hunter/2-05251030513051-33202004103",
				"https://classic.wowhead.com/talent-calc/hunter/55000000505-05251030513051",
				"https://classic.wowhead.com/talent-calc/hunter/-05151030501-332020251030315",
			},
			P = {
				"https://classic.wowhead.com/talent-calc/hunter/-5105103051-005025051030315",
				"https://classic.wowhead.com/talent-calc/hunter/5300020150501-51051030513-005",
			},
		}
	},
	MAGE =
	{
		D = {
			E = {
				"https://classic.wowhead.com/talent-calc/mage/2300450310031531--053500030013",
				"https://classic.wowhead.com/talent-calc/mage/230045200003--05350013122301051",
				"https://classic.wowhead.com/talent-calc/mage/230025-5052023123033151-003",
			},
			P = {
				"https://classic.wowhead.com/talent-calc/mage/20500520102--05053232112051301",
				"https://classic.wowhead.com/talent-calc/mage/-05520201230031-050132301120513",
			},
		},
	},
	PALADIN =
	{
		H = {
			E = {
				"https://classic.wowhead.com/talent-calc/paladin/05503122521351-503201-5",
				"https://classic.wowhead.com/talent-calc/paladin/05503122521051-50325100003",
				"https://classic.wowhead.com/talent-calc/paladin/0550312152105-503251000131",
			},
			P = {
				"https://classic.wowhead.com/talent-calc/paladin/05503122521051-5032510003",
				"https://classic.wowhead.com/talent-calc/paladin/05503122521051-5002-05205",
			},
		},
		D = {
			E = {
				"https://classic.wowhead.com/talent-calc/paladin/505001-503-542300512003151",
				"https://classic.wowhead.com/talent-calc/paladin/5550010002--552300512003151",
				"https://classic.wowhead.com/talent-calc/paladin/52-503201-552300512003151",
			},
			P = {
				"https://classic.wowhead.com/talent-calc/paladin/505-5032-542000512203151",
				"https://classic.wowhead.com/talent-calc/paladin/1-5032510013005-5420005122031",
			},
		},
		T = {
			E = {
				"https://classic.wowhead.com/talent-calc/paladin/050501-553050335001001-05004",
			},
		},
	},
	PRIEST =
	{
		H = {
			E = {
				"https://classic.wowhead.com/talent-calc/priest/5012301305001-025051031300055",
				"https://classic.wowhead.com/talent-calc/priest/505230130505101-0250510313",
			},
			P = {
				"https://classic.wowhead.com/talent-calc/priest/500232130515051-2150511003",
				"https://classic.wowhead.com/talent-calc/priest/500232133101-225051132300105",
			},
		},
		D = {
			E = {
				"https://classic.wowhead.com/talent-calc/priest/0512301305--5032500103501051",
				"https://classic.wowhead.com/talent-calc/priest/50520013--5032504103501051",
			},
			P = {
				"https://classic.wowhead.com/talent-calc/priest/5002321--0502525103511251",
				"https://classic.wowhead.com/talent-calc/priest/500232132025151-00545100202",
			},
		},
	},
	ROGUE =
	{
		D = {
			E = {
				"https://classic.wowhead.com/talent-calc/rogue/005323105-3210052020050150231",
				"https://classic.wowhead.com/talent-calc/rogue/00532310505105-320305002001-05",
			},
			P = {
				"https://classic.wowhead.com/talent-calc/rogue/305320115001-3-500253000332121",
				"https://classic.wowhead.com/talent-calc/rogue/005320105-320302002-05024303030012",
			},
		},
	},
	SHAMAN =
	{
		H = {
			E = {
				"https://classic.wowhead.com/talent-calc/shaman/-5-552350510553151",
				"https://classic.wowhead.com/talent-calc/shaman/-5120202-550300510553151",
			},
			P = {
				"https://classic.wowhead.com/talent-calc/shaman/5003215013001--05033301015315",
				"https://classic.wowhead.com/talent-calc/shaman/5003-05002-05035351005315",
			},
		},
		D = {
			E = {
				"https://classic.wowhead.com/talent-calc/shaman/550331050002151--05204301005",
				"https://classic.wowhead.com/talent-calc/shaman/-5025002105023051-0510530105",
			},
			P = {
				"https://classic.wowhead.com/talent-calc/shaman/55000135030215--0523031100501",
				"https://classic.wowhead.com/talent-calc/shaman/05023140003-5015202105023151",
			},
		},
	},
	WARLOCK =
	{
		D = {
			E = {
				"https://classic.wowhead.com/talent-calc/warlock/25002-2050300142301-52500051020001",
				"https://classic.wowhead.com/talent-calc/warlock/5530203012201105--50502051020001",
				"https://classic.wowhead.com/talent-calc/warlock/01-234035010250004-50502051020001",
			},
			P = {
				"https://classic.wowhead.com/talent-calc/warlock/35000232122-2050310152501051",
				"https://classic.wowhead.com/talent-calc/warlock/35-2050310152501051-50500011",
				"https://classic.wowhead.com/talent-calc/warlock/3500023212201135--50520051020001",
				"https://classic.wowhead.com/talent-calc/warlock/35000231122-001-5052005102005141",
			},
		},
	},
	WARRIOR =
	{
		D = {
			E = {
				"https://classic.wowhead.com/talent-calc/warrior/20305011302-05050005525010051",
				"https://classic.wowhead.com/talent-calc/warrior/20305011322-05050005005510051",
				"https://classic.wowhead.com/talent-calc/warrior/20305011332-05052005025010051",
			},
			P = {
				"https://classic.wowhead.com/talent-calc/warrior/023050213320105031-55000131005",

			},
		},
		T = {
			E = {
				"https://classic.wowhead.com/talent-calc/warrior/05005001-05-50250113530211051",
				"https://classic.wowhead.com/talent-calc/warrior/-05050105125010051-5023011053",
			},
		},
	},
};

