--[[--
	by ALA @ 163UI
--]]--

if WOW_PROJECT_ID ~= WOW_PROJECT_BURNING_CRUSADE_CLASSIC then
	return;
end


local ADDON, NS = ...;

local _patch_version, _build_number, _build_date, _toc_version = GetBuildInfo();

----------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------main
--------------------------------------------------
--[[
	tier, column, isLearnable = GetTalentPrereqs( tabIndex[1-3] , talentIndex[1,MAX_NUM_TALENTS] );
	local name, iconTexture, tier, column, rank, maxRank, isExceptional, available = GetTalentInfo( tabIndex[1-3] , talentIndex[1,MAX_NUM_TALENTS] );

]]

NS.BUILD = "BCC";
NS.MAXLEVEL = 70;
NS.MAX_NUM_TIER = 9;
NS.MAX_NUM_COL = 4;
NS.MAX_NUM_TALENTS = 36;
NS.MAX_LEVEL = 70;
--
NS._classTab = {
	DRUID =
	{
		283,	--Balance,平衡
		281,	--Feral,野性战斗
		282,	--Restoration,恢复
	},
	HUNTER =
	{
		361,	--BeastMastery,野兽控制
		363,	--Marksmanship,射击
		362,	--Survival,生存
	},
	MAGE =
	{
		81,		--Arcane,奥术
		41,		--Fire,火焰
		61,		--Frost,冰霜
	},
	PALADIN =
	{
		382,	--Holy,神圣
		383,	--Protection,防护
		381,	--Combat,惩戒
	},
	PRIEST =
	{
		201,	--Discipline,戒律
		202,	--Holy,神圣
		203,	--Shadow,暗影
	},
	ROGUE =
	{
		182,	--Assassination,刺杀
		181,	--Combat,战斗
		183,	--Subtlety,敏锐
	},
	SHAMAN =
	{
		261,	--Elemental,元素
		263,	--Enhancement,增强
		262,	--Restoration,恢复
	},
	WARLOCK =
	{
		302,	--Curses,痛苦
		303,	--Summoning,恶魔学识
		301,	--Destruction,毁灭
	},
	WARRIOR =
	{
		161,	--Arms,武器
		164,	--Fury,狂怒
		163,	--Protection,防护
	},

};
--
	--	_talentDB
	--1-----2----3---4---------5--------6-------7------8---------9--------10-----------11---------------12
	--tier, col, id, maxPoint, reqTier, reqCol, reqId, Spell[5], texture, [icon index, req index in db, req by index in db](calculated after addon loaded)
	--	_spellDB_P
	--	 1_level, 2_id, 3_cost, 4_phase, name, passive, talent, class
--
NS._talentDB = {
	HUNTER = {
		[361] = {
			{ 0, 1, 1382, 5, nil, nil,   nil, {  19552, 19553, 19554, 19555, 19556, }, "Interface\\Icons\\Spell_Nature_RavenForm", },
			{ 0, 2, 1389, 5, nil, nil,   nil, {  19583, 19584, 19585, 19586, 19587, }, "Interface\\Icons\\Spell_Nature_Reincarnation", },
			{ 1, 0, 1624, 2, nil, nil,   nil, {  35029, 35030,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_SilentHunter", },
			{ 1, 1, 1381, 3, nil, nil,   nil, {  19549, 19550, 19551,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_AspectOfTheMonkey", },
			{ 1, 2, 1395, 3, nil, nil,   nil, {  19609, 19610, 19612,   nil,   nil, }, "Interface\\Icons\\INV_Misc_Pelt_Bear_03", },
			{ 1, 3, 1625, 2, nil, nil,   nil, {  24443, 19575,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_BeastSoothe", },
			{ 2, 0, 1384, 2, nil, nil,   nil, {  19559, 19560,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Mount_JungleTiger", },
			{ 2, 1, 1391, 1, nil, nil,   nil, {  19596,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_Dash", },
			{ 2, 2, 1396, 5, nil, nil,   nil, {  19616, 19617, 19618, 19619, 19620, }, "Interface\\Icons\\Ability_BullRush", },
			{ 3, 1, 1385, 2, nil, nil,   nil, {  19572, 19573,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_MendPet", },
			{ 3, 2, 1393, 5, nil, nil,   nil, {  19598, 19599, 19600, 19601, 19602, }, "Interface\\Icons\\INV_Misc_MonsterClaw_04", },
			{ 4, 0, 1388, 2, nil, nil,   nil, {  19578, 20895,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_DemoralizingRoar", },
			{ 4, 1, 1387, 1, nil, nil,   nil, {  19577,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Devour", },
			{ 4, 3, 1390, 2, nil, nil,   nil, {  19590, 19592,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_AbolishMagic", },
			{ 5, 0, 1799, 2, nil, nil,   nil, {  34453, 34454,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_AnimalHandler", },
			{ 5, 2, 1397, 5,   3,   2,  1393, {  19621, 19622, 19623, 19624, 19625, }, "Interface\\Icons\\INV_Misc_MonsterClaw_03", },
			{ 6, 0, 1800, 3, nil, nil,   nil, {  34455, 34459, 34460,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_FerociousInspiration", },
			{ 6, 1, 1386, 1,   4,   1,  1387, {  19574,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_FerociousBite", },
			{ 6, 2, 1801, 3, nil, nil,   nil, {  34462, 34464, 34465,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_CatlikeReflexes", },
			{ 7, 2, 1802, 5, nil, nil,   nil, {  34466, 34467, 34468, 34469, 34470, }, "Interface\\Icons\\Ability_Hunter_SerpentSwiftness", },
			{ 8, 1, 1803, 1,   6,   1,  1386, {  34692,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_BeastWithin", },
		},
		[362] = {
			{ 0, 0, 1623, 3, nil, nil,   nil, {  24293, 24294, 24295,   nil,   nil, }, "Interface\\Icons\\INV_Misc_Head_Dragon_Black", },
			{ 0, 1, 1301, 3, nil, nil,   nil, {  19151, 19152, 19153,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_PrayerOfHealing", },
			{ 0, 2, 1820, 3, nil, nil,   nil, {  19498, 19499, 19500,   nil,   nil, }, "Interface\\Icons\\Ability_TownWatch", },
			{ 0, 3, 1621, 2, nil, nil,   nil, {  19159, 19160,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Racial_BloodRage", },
			{ 1, 0, 1304, 3, nil, nil,   nil, {  19184, 19387, 19388,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_StrangleVines", },
			{ 1, 1, 1311, 5, nil, nil,   nil, {  19295, 19297, 19298, 19301, 19300, }, "Interface\\Icons\\Ability_Parry", },
			{ 1, 2, 1305, 3, nil, nil,   nil, {  19228, 19232, 19233,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_Trip", },
			{ 2, 0, 1306, 2, nil, nil,   nil, {  19239, 19245,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_TimeStop", },
			{ 2, 1, 1622, 5, nil, nil,   nil, {  19255, 19256, 19257, 19258, 19259, }, "Interface\\Icons\\Spell_Shadow_Twilight", },
			{ 2, 2, 1308, 1, nil, nil,   nil, {  19263,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Whirlwind", },
			{ 3, 0, 1322, 2, nil, nil,   nil, {  19376, 19377,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Ensnare", },
			{ 3, 1, 1310, 3, nil, nil,   nil, {  19290, 19294, 24283,   nil,   nil, }, "Interface\\Icons\\Ability_Kick", },
			{ 3, 3, 1309, 2, nil, nil,   nil, {  19286, 19287,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_FeignDeath", },
			{ 4, 0, 1810, 2, nil, nil,   nil, {  34494, 34496,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_SurvivalInstincts", },
			{ 4, 1, 1321, 3, nil, nil,   nil, {  19370, 19371, 19373,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_BlessingOfStamina", },
			{ 4, 2, 1312, 1,   2,   2,  1308, {  19306,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_Challange", },
			{ 5, 0, 1809, 3, nil, nil,   nil, {  34491, 34492, 34493,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_Resourcefulness", },
			{ 5, 2, 1303, 5, nil, nil,   nil, {  19168, 19180, 19181, 24296, 24297, }, "Interface\\Icons\\Spell_Nature_Invisibilty", },
			{ 6, 0, 1811, 3, nil, nil,   nil, {  34497, 34498, 34499,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_ThrilloftheHunt", },
			{ 6, 1, 1325, 1,   4,   1,  1321, {  19386,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\INV_Spear_02", },
			{ 6, 2, 1812, 3,   5,   2,  1303, {  34500, 34502, 34503,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_FindWeakness", },
			{ 7, 1, 1813, 5, nil, nil,   nil, {  34506, 34507, 34508, 34838, 34839, }, "Interface\\Icons\\Ability_Hunter_MasterTactitian", },
			{ 8, 1, 1814, 1,   7,   1,  1813, {  23989,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_Readiness", },
		},
		[363] = {
			{ 0, 1, 1341, 5, nil, nil,   nil, {  19407, 19412, 19413, 19414, 19415, }, "Interface\\Icons\\Spell_Frost_Stun", },
			{ 0, 2, 1344, 5, nil, nil,   nil, {  19426, 19427, 19429, 19430, 19431, }, "Interface\\Icons\\Ability_SearingArrow", },
			{ 1, 1, 1343, 5, nil, nil,   nil, {  19421, 19422, 19423, 19424, 19425, }, "Interface\\Icons\\Ability_Hunter_SniperShot", },
			{ 1, 2, 1342, 5, nil, nil,   nil, {  19416, 19417, 19418, 19419, 19420, }, "Interface\\Icons\\Spell_Frost_WizardMark", },
			{ 2, 0, 1818, 2, nil, nil,   nil, {  34950, 34954,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_GoForTheThroat", },
			{ 2, 1, 1346, 5, nil, nil,   nil, {  19454, 19455, 19456, 19457, 19458, }, "Interface\\Icons\\Ability_ImpalingBolt", },
			{ 2, 2, 1345, 1, nil, nil,   nil, {  19434,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\INV_Spear_07", },
			{ 2, 3, 1819, 2, nil, nil,   nil, {  34948, 34949,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_RapidKilling", },
			{ 3, 1, 1348, 5, nil, nil,   nil, {  19464, 19465, 19466, 19467, 19468, }, "Interface\\Icons\\Ability_Hunter_Quickshot", },
			{ 3, 2, 1349, 5,   2,   2,  1345, {  19485, 19487, 19488, 19489, 19490, }, "Interface\\Icons\\Ability_PierceDamage", },
			{ 4, 0, 1351, 3, nil, nil,   nil, {  35100, 35102, 35103,   nil,   nil, }, "Interface\\Icons\\Spell_Arcane_StarFire", },
			{ 4, 1, 1353, 1, nil, nil,   nil, {  19503,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_GolemStormBolt", },
			{ 4, 2, 1347, 3, nil, nil,   nil, {  19461, 19462, 24691,   nil,   nil, }, "Interface\\Icons\\Ability_UpgradeMoonGlaive", },
			{ 5, 0, 1804, 2, nil, nil,   nil, {  34475, 34476,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_CombatExperience", },
			{ 5, 3, 1362, 5, nil, nil,   nil, {  19507, 19508, 19509, 19510, 19511, }, "Interface\\Icons\\INV_Weapon_Rifle_06", },
			{ 6, 0, 1806, 3, nil, nil,   nil, {  34482, 34483, 34484,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_ZenArchery", },
			{ 6, 1, 1361, 1,   4,   1,  1353, {  19506,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_TrueShot", },
			{ 6, 2, 1821, 3,   4,   2,  1347, {  35104, 35110, 35111,   nil,   nil, }, "Interface\\Icons\\Ability_UpgradeMoonGlaive", },
			{ 7, 1, 1807, 5, nil, nil,   nil, {  34485, 34486, 34487, 34488, 34489, }, "Interface\\Icons\\Ability_Hunter_MasterMarksman", },
			{ 8, 1, 1808, 1,   7,   1,  1807, {  34490,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_TheBlackArrow", },
		},
	},
	WARRIOR = {
		[161] = {
			{ 0, 0,  124, 3, nil, nil,   nil, {  12282, 12663, 12664,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_Ambush", },
			{ 0, 1,  130, 5, nil, nil,   nil, {  16462, 16463, 16464, 16465, 16466, }, "Interface\\Icons\\Ability_Parry", },
			{ 0, 2,  127, 3, nil, nil,   nil, {  12286, 12658, 12659,   nil,   nil, }, "Interface\\Icons\\Ability_Gouge", },
			{ 1, 0,  126, 2, nil, nil,   nil, {  12285, 12697,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_Charge", },
			{ 1, 1,  641, 5, nil, nil,   nil, {  12300, 12959, 12960, 12961, 12962, }, "Interface\\Icons\\Spell_Magic_MageArmor", },
			{ 1, 2,  128, 3, nil, nil,   nil, {  12287, 12665, 12666,   nil,   nil, }, "Interface\\Icons\\Ability_ThunderClap", },
			{ 2, 0,  131, 2, nil, nil,   nil, {  12290, 12963,   nil,   nil,   nil, }, "Interface\\Icons\\INV_Sword_05", },
			{ 2, 1,  137, 1, nil, nil,   nil, {  12296,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_BlessingOfStamina", },
			{ 2, 2,  121, 3, nil, nil,   nil, {  12834, 12849, 12867,   nil,   nil, }, "Interface\\Icons\\Ability_BackStab", },
			{ 3, 1,  136, 5, nil, nil,   nil, {  12163, 12711, 12712, 12713, 12714, }, "Interface\\Icons\\INV_Axe_09", },
			{ 3, 2,  662, 2,   2,   2,   121, {  16493, 16494,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_SearingArrow", },
			{ 4, 0,  132, 5, nil, nil,   nil, {  12700, 12781, 12783, 12784, 12785, }, "Interface\\Icons\\INV_Axe_06", },
			{ 4, 1,  133, 1, nil, nil,   nil, {  12292,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_DeathPact", },
			{ 4, 2,  125, 5, nil, nil,   nil, {  12284, 12701, 12702, 12703, 12704, }, "Interface\\Icons\\INV_Mace_01", },
			{ 4, 3,  123, 5, nil, nil,   nil, {  12281, 12812, 12813, 12814, 12815, }, "Interface\\Icons\\INV_Sword_27", },
			{ 5, 0,  134, 2, nil, nil,   nil, {  29888, 29889,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_Sprint", },
			{ 5, 2,  129, 3, nil, nil,   nil, {  12289, 12668, 23695,   nil,   nil, }, "Interface\\Icons\\Ability_ShockWave", },
			{ 5, 3, 1662, 3, nil, nil,   nil, {  29723, 29724, 29725,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_ImprovedDisciplines", },
			{ 6, 0, 1664, 2, nil, nil,   nil, {  29836, 29859,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_BloodFrenzy", },
			{ 6, 1,  135, 1,   4,   1,   133, {  12294,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_SavageBlow", },
			{ 6, 2, 1663, 2, nil, nil,   nil, {  29834, 29838,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_Harass", },
			{ 7, 1, 1824, 5,   6,   1,   135, {  35446, 35448, 35449, 35450, 35451, }, "Interface\\Icons\\Ability_Warrior_SavageBlow", },
			{ 8, 1, 1661, 1, nil, nil,   nil, {  29623,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_EndlessRage", },
		},
		[163] = {
			{ 0, 0,  142, 2, nil, nil,   nil, {  12301, 12818,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Racial_BloodRage", },
			{ 0, 1,  141, 3, nil, nil,   nil, {  12295, 12676, 12677,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_EnchantArmor", },
			{ 0, 2,  138, 5, nil, nil,   nil, {  12297, 12750, 12751, 12752, 12753, }, "Interface\\Icons\\Spell_Nature_MirrorImage", },
			{ 1, 1, 1601, 5, nil, nil,   nil, {  12298, 12724, 12725, 12726, 12727, }, "Interface\\Icons\\INV_Shield_06", },
			{ 1, 2,  140, 5, nil, nil,   nil, {  12299, 12761, 12762, 12763, 12764, }, "Interface\\Icons\\Spell_Holy_Devotion", },
			{ 2, 0,  153, 1, nil, nil,   nil, {  12975,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_AshesToAshes", },
			{ 2, 1,  145, 1,   1,   1,  1601, {  12945,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Defend", },
			{ 2, 2,  147, 3, nil, nil,   nil, {  12797, 12799, 12800,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_Revenge", },
			{ 2, 3,  144, 3, nil, nil,   nil, {  12303, 12788, 12789,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_InnerRage", },
			{ 3, 0,  146, 3, nil, nil,   nil, {  12308, 12810, 12811,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_Sunder", },
			{ 3, 1,  151, 3, nil, nil,   nil, {  12313, 12804, 12807,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_Disarm", },
			{ 3, 2,  143, 2, nil, nil,   nil, {  12302, 12765,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_Reincarnation", },
			{ 4, 0,  150, 2, nil, nil,   nil, {  12312, 12803,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_ShieldWall", },
			{ 4, 1,  152, 1, nil, nil,   nil, {  12809,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_ThunderBolt", },
			{ 4, 2,  149, 2, nil, nil,   nil, {  12311, 12958,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_ShieldBash", },
			{ 5, 0, 1654, 3, nil, nil,   nil, {  29598, 29599, 29600,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_ShieldMastery", },
			{ 5, 2,  702, 5, nil, nil,   nil, {  16538, 16539, 16540, 16541, 16542, }, "Interface\\Icons\\INV_Sword_20", },
			{ 6, 0, 1652, 3, nil, nil,   nil, {  29593, 29594, 29595,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_DefensiveStance", },
			{ 6, 1,  148, 1,   4,   1,   152, {  23922,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\INV_Shield_05", },
			{ 6, 2, 1660, 3, nil, nil,   nil, {  29787, 29790, 29792,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_FocusedRage", },
			{ 7, 1, 1653, 5, nil, nil,   nil, {  29140, 29143, 29144, 29145, 29146, }, "Interface\\Icons\\INV_Helmet_21", },
			{ 8, 1, 1666, 1, nil, nil,   nil, {  20243,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\INV_Sword_11", },
		},
		[164] = {
			{ 0, 1,  158, 5, nil, nil,   nil, {  12321, 12835, 12836, 12837, 12838, }, "Interface\\Icons\\Spell_Nature_Purge", },
			{ 0, 2,  157, 5, nil, nil,   nil, {  12320, 12852, 12853, 12855, 12856, }, "Interface\\Icons\\Ability_Rogue_Eviscerate", },
			{ 1, 1,  161, 5, nil, nil,   nil, {  12324, 12876, 12877, 12878, 12879, }, "Interface\\Icons\\Ability_Warrior_WarCry", },
			{ 1, 2,  159, 5, nil, nil,   nil, {  12322, 12999, 13000, 13001, 13002, }, "Interface\\Icons\\Spell_Nature_StoneClawTotem", },
			{ 2, 0,  166, 3, nil, nil,   nil, {  12329, 12950, 20496,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_Cleave", },
			{ 2, 1,  160, 1, nil, nil,   nil, {  12323,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_DeathScream", },
			{ 2, 2,  661, 3, nil, nil,   nil, {  16487, 16489, 16492,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_SummonImp", },
			{ 2, 3,  154, 5, nil, nil,   nil, {  12318, 12857, 12858, 12860, 12861, }, "Interface\\Icons\\Spell_Nature_FocusedMind", },
			{ 3, 0, 1581, 5, nil, nil,   nil, {  23584, 23585, 23586, 23587, 23588, }, "Interface\\Icons\\Ability_DualWield", },
			{ 3, 1, 1542, 2, nil, nil,   nil, {  20502, 20503,   nil,   nil,   nil, }, "Interface\\Icons\\INV_Sword_48", },
			{ 3, 2,  155, 5, nil, nil,   nil, {  12317, 13045, 13046, 13047, 13048, }, "Interface\\Icons\\Spell_Shadow_UnholyFrenzy", },
			{ 4, 0,  168, 2, nil, nil,   nil, {  12862, 12330,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_DecisiveStrike", },
			{ 4, 1,  165, 1, nil, nil,   nil, {  12328,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_SliceDice", },
			{ 4, 3, 1543, 2, nil, nil,   nil, {  20504, 20505,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_WeaponMastery", },
			{ 5, 0, 1541, 2, nil, nil,   nil, {  20500, 20501,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_AncestralGuardian", },
			{ 5, 2,  156, 5,   3,   2,   155, {  12319, 12971, 12972, 12973, 12974, }, "Interface\\Icons\\Ability_GhoulFrenzy", },
			{ 6, 0, 1657, 3, nil, nil,   nil, {  29590, 29591, 29592,   nil,   nil, }, "Interface\\Icons\\Ability_Marksmanship", },
			{ 6, 1,  167, 1,   4,   1,   165, {  23881,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_BloodLust", },
			{ 6, 2, 1655, 2, nil, nil,   nil, {  29721, 29776,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Whirlwind", },
			{ 7, 2, 1658, 5, nil, nil,   nil, {  29759, 29760, 29761, 29762, 29763, }, "Interface\\Icons\\Ability_Racial_Avatar", },
			{ 8, 1, 1659, 1,   6,   1,   167, {  29801,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_Rampage", },
		},
	},
	PALADIN = {
		[382] = {
			{ 0, 1, 1450, 5, nil, nil,   nil, {  20262, 20263, 20264, 20265, 20266, }, "Interface\\Icons\\Ability_GolemThunderClap", },
			{ 0, 2, 1449, 5, nil, nil,   nil, {  20257, 20258, 20259, 20260, 20261, }, "Interface\\Icons\\Spell_Nature_Sleep", },
			{ 1, 1, 1432, 5, nil, nil,   nil, {  20205, 20206, 20207, 20209, 20208, }, "Interface\\Icons\\Spell_Arcane_Blink", },
			{ 1, 2, 1463, 5, nil, nil,   nil, {  20224, 20225, 20330, 20331, 20332, }, "Interface\\Icons\\Ability_ThunderBolt", },
			{ 2, 0, 1444, 3, nil, nil,   nil, {  20237, 20238, 20239,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_HolyBolt", },
			{ 2, 1, 1435, 1, nil, nil,   nil, {  31821,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_AuraMastery", },
			{ 2, 2, 1443, 2, nil, nil,   nil, {  20234, 20235,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_LayOnHands", },
			{ 2, 3, 1628, 2, nil, nil,   nil, {  9453, 25836,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_UnyieldingFaith", },
			{ 3, 1, 1461, 5, nil, nil,   nil, {  20210, 20212, 20213, 20214, 20215, }, "Interface\\Icons\\Spell_Holy_GreaterHeal", },
			{ 3, 2, 1446, 2, nil, nil,   nil, {  20244, 20245,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_SealOfWisdom", },
			{ 4, 0, 1742, 3, nil, nil,   nil, {  31822, 31823, 31824,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_PureOfHeart", },
			{ 4, 1, 1433, 1,   3,   1,  1461, {  20216,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_Heal", },
			{ 4, 2, 1465, 3, nil, nil,   nil, {  20359, 20360, 20361,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_HealingAura", },
			{ 5, 0, 1743, 2, nil, nil,   nil, {  31825, 31826,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_PurifyingPower", },
			{ 5, 2, 1627, 5, nil, nil,   nil, {  5923,  5924,  5925,  5926, 25829, }, "Interface\\Icons\\Spell_Holy_Power", },
			{ 6, 0, 1745, 3, nil, nil,   nil, {  31833, 31835, 31836,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_LightsGrace", },
			{ 6, 1, 1502, 1,   4,   1,  1433, {  20473,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_SearingLight", },
			{ 6, 2, 1744, 3, nil, nil,   nil, {  31828, 31829, 31830,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_BlessedLife", },
			{ 7, 1, 1746, 5, nil, nil,   nil, {  31837, 31838, 31839, 31840, 31841, }, "Interface\\Icons\\Spell_Holy_HolyGuidance", },
			{ 8, 1, 1747, 1, nil, nil,   nil, {  31842,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_DivineIllumination", },
		},
		[383] = {
			{ 0, 1, 1422, 5, nil, nil,   nil, {  20138, 20139, 20140, 20141, 20142, }, "Interface\\Icons\\Spell_Holy_DevotionAura", },
			{ 0, 2, 1421, 5, nil, nil,   nil, {  20127, 20130, 20135, 20136, 20137, }, "Interface\\Icons\\Ability_Defend", },
			{ 1, 0, 1630, 3, nil, nil,   nil, {  20189, 20192, 20193,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_Ambush", },
			{ 1, 1, 1425, 2, nil, nil,   nil, {  20174, 20175,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_SealOfProtection", },
			{ 1, 3, 1423, 5, nil, nil,   nil, {  20143, 20144, 20145, 20146, 20147, }, "Interface\\Icons\\Spell_Holy_Devotion", },
			{ 2, 0, 1442, 1, nil, nil,   nil, {  20217,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Magic_MageArmor", },
			{ 2, 1, 1501, 3, nil, nil,   nil, {  20468, 20469, 20470,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_SealOfFury", },
			{ 2, 2, 1424, 3,   0,   2,  1421, {  20148, 20149, 20150,   nil,   nil, }, "Interface\\Icons\\INV_Shield_06", },
			{ 2, 3, 1629, 5, nil, nil,   nil, {  20096, 20097, 20098, 20099, 20100, }, "Interface\\Icons\\Spell_Magic_LesserInvisibilty", },
			{ 3, 0, 1748, 2, nil, nil,   nil, {  31844, 31845,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_Stoicism", },
			{ 3, 1, 1521, 3, nil, nil,   nil, {  20487, 20488, 20489,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_SealOfMight", },
			{ 3, 2, 1626, 3, nil, nil,   nil, {  20254, 20255, 20256,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_MindSooth", },
			{ 4, 0, 1749, 2, nil, nil,   nil, {  31846, 31847,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_ImprovedResistanceAuras", },
			{ 4, 1, 1431, 1, nil, nil,   nil, {  20911,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_LightningShield", },
			{ 4, 2, 1426, 5, nil, nil,   nil, {  20177, 20179, 20181, 20180, 20182, }, "Interface\\Icons\\Spell_Holy_BlessingOfStrength", },
			{ 5, 0, 1750, 2, nil, nil,   nil, {  31848, 31849,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_DivineIntervention", },
			{ 5, 2, 1429, 5, nil, nil,   nil, {  20196, 20197, 20198, 20199, 20200, }, "Interface\\Icons\\INV_Sword_20", },
			{ 6, 0, 1829, 2,   6,   1,  1430, {  41021, 41026,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_BlessingOfProtection", },
			{ 6, 1, 1430, 1,   4,   1,  1431, {  20925,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_BlessingOfProtection", },
			{ 6, 2, 1751, 5, nil, nil,   nil, {  31850, 31851, 31852, 31853, 31854, }, "Interface\\Icons\\Spell_Holy_ArdentDefender", },
			{ 7, 2, 1753, 5, nil, nil,   nil, {  31858, 31859, 31860, 31861, 31862, }, "Interface\\Icons\\Spell_Holy_WeaponMastery", },
			{ 8, 1, 1754, 1,   6,   1,  1430, {  31935,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_AvengersShield", },
		},
		[381] = {
			{ 0, 1, 1401, 5, nil, nil,   nil, {  20042, 20045, 20046, 20047, 20048, }, "Interface\\Icons\\Spell_Holy_FistOfJustice", },
			{ 0, 2, 1407, 5, nil, nil,   nil, {  20101, 20102, 20103, 20104, 20105, }, "Interface\\Icons\\Spell_Frost_WindWalkOn", },
			{ 1, 0, 1631, 2, nil, nil,   nil, {  25956, 25957,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_RighteousFury", },
			{ 1, 1, 1464, 3, nil, nil,   nil, {  20335, 20336, 20337,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_HolySmite", },
			{ 1, 2, 1403, 5, nil, nil,   nil, {  20060, 20061, 20062, 20063, 20064, }, "Interface\\Icons\\Ability_Parry", },
			{ 2, 0, 1633, 3, nil, nil,   nil, {  9452, 26016, 26021,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_Vindication", },
			{ 2, 1, 1411, 5, nil, nil,   nil, {  20117, 20118, 20119, 20120, 20121, }, "Interface\\Icons\\Spell_Holy_RetributionAura", },
			{ 2, 2, 1481, 1, nil, nil,   nil, {  20375,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_InnerRage", },
			{ 2, 3, 1634, 3, nil, nil,   nil, {  26022, 26023, 44414,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_PersuitofJustice", },
			{ 3, 0, 1632, 2, nil, nil,   nil, {  9799, 25988,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_EyeforanEye", },
			{ 3, 2, 1405, 2, nil, nil,   nil, {  20091, 20092,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_AuraOfLight", },
			{ 3, 3, 1755, 3, nil, nil,   nil, {  31866, 31867, 31868,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_Crusade", },
			{ 4, 0, 1410, 3, nil, nil,   nil, {  20111, 20112, 20113,   nil,   nil, }, "Interface\\Icons\\INV_Hammer_04", },
			{ 4, 2, 1409, 1, nil, nil,   nil, {  20218,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_MindVision", },
			{ 4, 3, 1756, 2,   4,   2,  1409, {  31869, 31870,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_MindVision", },
			{ 5, 1, 1402, 5,   2,   1,  1411, {  20049, 20056, 20057, 20058, 20059, }, "Interface\\Icons\\Ability_Racial_Avatar", },
			{ 5, 2, 1758, 3, nil, nil,   nil, {  31876, 31877, 31878,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_RighteousFury", },
			{ 6, 0, 1761, 3, nil, nil,   nil, {  32043, 35396, 35397,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_HolySmite", },
			{ 6, 1, 1441, 1, nil, nil,   nil, {  20066,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_PrayerOfHealing", },
			{ 6, 2, 1757, 3, nil, nil,   nil, {  31871, 31872, 31873,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_DivinePurpose", },
			{ 7, 1, 1759, 5,   6,   1,  1441, {  31879, 31880, 31881, 31882, 31883, }, "Interface\\Icons\\Spell_Holy_Fanaticism", },
			{ 8, 1, 1823, 1, nil, nil,   nil, {  35395,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_CrusaderStrike", },
		},
	},
	MAGE = {
		[81] = {
			{ 0, 0,   74, 2, nil, nil,   nil, {  11210, 12592,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_DispelMagic", },
			{ 0, 1,   76, 5, nil, nil,   nil, {  11222, 12839, 12840, 12841, 12842, }, "Interface\\Icons\\Spell_Holy_Devotion", },
			{ 0, 2,   80, 5, nil, nil,   nil, {  11237, 12463, 12464, 16769, 16770, }, "Interface\\Icons\\Spell_Nature_StarFall", },
			{ 1, 0,   78, 2, nil, nil,   nil, {  6057,  6085,   nil,   nil,   nil, }, "Interface\\Icons\\INV_Wand_01", },
			{ 1, 1, 1650, 5, nil, nil,   nil, {  29441, 29444, 29445, 29446, 29447, }, "Interface\\Icons\\Spell_Nature_AstralRecalGroup", },
			{ 1, 2,   75, 5, nil, nil,   nil, {  11213, 12574, 12575, 12576, 12577, }, "Interface\\Icons\\Spell_Shadow_ManaBurn", },
			{ 2, 0,   82, 2, nil, nil,   nil, {  11247, 12606,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_AbolishMagic", },
			{ 2, 1,   81, 3, nil, nil,   nil, {  11242, 12467, 12469,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_WispSplode", },
			{ 2, 3,   85, 1, nil, nil,   nil, {  28574,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Arcane_ArcaneResilience", },
			{ 3, 0,   83, 2, nil, nil,   nil, {  11252, 12605,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_DetectLesserInvisibility", },
			{ 3, 1,   88, 2, nil, nil,   nil, {  11255, 12598,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_IceShock", },
			{ 3, 3, 1142, 3, nil, nil,   nil, {  18462, 18463, 18464,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_SiphonMana", },
			{ 4, 0, 1724, 2, nil, nil,   nil, {  31569, 31570,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Arcane_Blink", },
			{ 4, 1,   86, 1, nil, nil,   nil, {  12043,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_EnchantArmor", },
			{ 4, 3,   77, 5, nil, nil,   nil, {  11232, 12500, 12501, 12502, 12503, }, "Interface\\Icons\\Spell_Shadow_Charm", },
			{ 5, 0, 1726, 2, nil, nil,   nil, {  31574, 31575,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Arcane_PrismaticCloak", },
			{ 5, 1,  421, 3,   4,   1,    86, {  15058, 15059, 15060,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_Teleport", },
			{ 5, 2, 1725, 3,   1,   2,    75, {  31571, 31572, 31573,   nil,   nil, }, "Interface\\Icons\\Spell_Arcane_ArcanePotency", },
			{ 6, 0, 1727, 3, nil, nil,   nil, {  31579, 31582, 31583,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_StarFall", },
			{ 6, 1,   87, 1,   5,   1,   421, {  12042,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_Lightning", },
			{ 6, 2, 1826, 2, nil, nil,   nil, {  35578, 35581,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Arcane_ArcaneTorrent", },
			{ 7, 1, 1728, 5, nil, nil,   nil, {  31584, 31585, 31586, 31587, 31588, }, "Interface\\Icons\\Spell_Arcane_MindMastery", },
			{ 8, 1, 1729, 1, nil, nil,   nil, {  31589,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_Slow", },
		},
		[41] = {
			{ 0, 1,   26, 5, nil, nil,   nil, {  11069, 12338, 12339, 12340, 12341, }, "Interface\\Icons\\Spell_Fire_FlameBolt", },
			{ 0, 2,   30, 5, nil, nil,   nil, {  11103, 12357, 12358, 12359, 12360, }, "Interface\\Icons\\Spell_Fire_MeteorStorm", },
			{ 1, 0,   34, 5, nil, nil,   nil, {  11119, 11120, 12846, 12847, 12848, }, "Interface\\Icons\\Spell_Fire_Incinerate", },
			{ 1, 1,   28, 2, nil, nil,   nil, {  11100, 12353,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_Flare", },
			{ 1, 2,   27, 3, nil, nil,   nil, {  11078, 11080, 12342,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_Fireball", },
			{ 2, 0, 1141, 2, nil, nil,   nil, {  18459, 18460,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_FlameShock", },
			{ 2, 1,   31, 3, nil, nil,   nil, {  11108, 12349, 12350,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_SelfDestruct", },
			{ 2, 2,   29, 1, nil, nil,   nil, {  11366,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_Fireball02", },
			{ 2, 3,   23, 2, nil, nil,   nil, {  11083, 12351,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_Fire", },
			{ 3, 0,   25, 3, nil, nil,   nil, {  11095, 12872, 12873,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_SoulBurn", },
			{ 3, 1,   24, 2, nil, nil,   nil, {  11094, 13043,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_FireArmor", },
			{ 3, 3, 1639, 3, nil, nil,   nil, {  29074, 29075, 29076,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_MasterOfElements", },
			{ 4, 0, 1730, 3, nil, nil,   nil, {  31638, 31639, 31640,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_PlayingWithFire", },
			{ 4, 1,   33, 3, nil, nil,   nil, {  11115, 11367, 11368,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_WispHeal", },
			{ 4, 2,   32, 1,   2,   2,    29, {  11113,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_Excorcism_02", },
			{ 5, 0, 1731, 2, nil, nil,   nil, {  31641, 31642,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_BurningSpeed", },
			{ 5, 2,   35, 5, nil, nil,   nil, {  11124, 12378, 12398, 12399, 12400, }, "Interface\\Icons\\Spell_Fire_Immolation", },
			{ 6, 0, 1733, 3, nil, nil,   nil, {  34293, 34295, 34296,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_Burnout", },
			{ 6, 1,   36, 1,   4,   1,    33, {  11129,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_SealOfFire", },
			{ 6, 2, 1732, 2, nil, nil,   nil, {  31679, 31680,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_MoltenBlood", },
			{ 7, 2, 1734, 5, nil, nil,   nil, {  31656, 31657, 31658, 31659, 31660, }, "Interface\\Icons\\Spell_Fire_FlameBolt", },
			{ 8, 1, 1735, 1,   6,   1,    36, {  31661,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\INV_Misc_Head_Dragon_01", },
		},
		[61] = {
			{ 0, 0,   70, 2, nil, nil,   nil, {  11189, 28332,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_FrostWard", },
			{ 0, 1,   37, 5, nil, nil,   nil, {  11070, 12473, 16763, 16765, 16766, }, "Interface\\Icons\\Spell_Frost_FrostBolt02", },
			{ 0, 2, 1649, 3, nil, nil,   nil, {  29438, 29439, 29440,   nil,   nil, }, "Interface\\Icons\\Spell_Ice_MagicDamage", },
			{ 1, 0,   73, 5, nil, nil,   nil, {  11207, 12672, 15047, 15052, 15053, }, "Interface\\Icons\\Spell_Frost_IceShard", },
			{ 1, 1,   38, 3, nil, nil,   nil, {  11071, 12496, 12497,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_FrostArmor", },
			{ 1, 2,   62, 2, nil, nil,   nil, {  11165, 12475,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_FreezingBreath", },
			{ 1, 3,   65, 3, nil, nil,   nil, {  11175, 12569, 12571,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_Wisp", },
			{ 2, 0,   61, 3, nil, nil,   nil, {  11151, 12952, 12953,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_Frostbolt", },
			{ 2, 1,   69, 1, nil, nil,   nil, {  12472,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_ColdHearted", },
			{ 2, 3,   63, 3, nil, nil,   nil, {  11185, 12487, 12488,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_IceStorm", },
			{ 3, 0,  741, 2, nil, nil,   nil, {  16757, 16758,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_DarkRitual", },
			{ 3, 1,   66, 3, nil, nil,   nil, {  11160, 12518, 12519,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_Stun", },
			{ 3, 2,   67, 5,   1,   2,    62, {  11170, 12982, 12983, 12984, 12985, }, "Interface\\Icons\\Spell_Frost_FrostShock", },
			{ 4, 0, 1736, 3, nil, nil,   nil, {  31667, 31668, 31669,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_FrozenCore", },
			{ 4, 1,   72, 1, nil, nil,   nil, {  11958,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_WizardMark", },
			{ 4, 2,   64, 3, nil, nil,   nil, {  11190, 12489, 12490,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_Glacier", },
			{ 5, 0, 1737, 2, nil, nil,   nil, {  31670, 31672,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_IceFloes", },
			{ 5, 2,   68, 5, nil, nil,   nil, {  11180, 28592, 28593, 28594, 28595, }, "Interface\\Icons\\Spell_Frost_ChillingBlast", },
			{ 6, 1,   71, 1,   4,   1,    72, {  11426,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Ice_Lament", },
			{ 6, 2, 1738, 5, nil, nil,   nil, {  31674, 31675, 31676, 31677, 31678, }, "Interface\\Icons\\Spell_Frost_ArcticWinds", },
			{ 7, 1, 1740, 5, nil, nil,   nil, {  31682, 31683, 31684, 31685, 31686, }, "Interface\\Icons\\Spell_Frost_FrostBolt02", },
			{ 8, 1, 1741, 1, nil, nil,   nil, {  31687,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_SummonWaterElemental_2", },
		},
	},
	PRIEST = {
		[203] = {
			{ 0, 1,  465, 5, nil, nil,   nil, {  15270, 15335, 15336, 15337, 15338, }, "Interface\\Icons\\Spell_Shadow_Requiem", },
			{ 0, 2,  464, 5, nil, nil,   nil, {  15268, 15323, 15324, 15325, 15326, }, "Interface\\Icons\\Spell_Shadow_GatherShadows", },
			{ 1, 0,  466, 3, nil, nil,   nil, {  15318, 15272, 15320,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_ShadowWard", },
			{ 1, 1,  482, 2, nil, nil,   nil, {  15275, 15317,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_ShadowWordPain", },
			{ 1, 2,  463, 5, nil, nil,   nil, {  15260, 15327, 15328, 15329, 15330, }, "Interface\\Icons\\Spell_Shadow_BurningSpirit", },
			{ 2, 0,  542, 2, nil, nil,   nil, {  15392, 15448,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_PsychicScream", },
			{ 2, 1,  481, 5, nil, nil,   nil, {  15273, 15312, 15313, 15314, 15316, }, "Interface\\Icons\\Spell_Shadow_UnholyFrenzy", },
			{ 2, 2,  501, 1, nil, nil,   nil, {  15407,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_SiphonMana", },
			{ 3, 1,  483, 2, nil, nil,   nil, {  15274, 15311,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Magic_LesserInvisibilty", },
			{ 3, 2,  881, 2, nil, nil,   nil, {  17322, 17323,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_ChillTouch", },
			{ 3, 3,  461, 5, nil, nil,   nil, {  15257, 15331, 15332, 15333, 15334, }, "Interface\\Icons\\Spell_Shadow_BlackPlague", },
			{ 4, 0,  541, 1,   2,   0,   542, {  15487,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_ImpPhaseShift", },
			{ 4, 1,  484, 1, nil, nil,   nil, {  15286,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_UnsummonBuilding", },
			{ 4, 2, 1638, 2,   4,   1,   484, {  27839, 27840,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_ImprovedVampiricEmbrace", },
			{ 4, 3, 1777, 3, nil, nil,   nil, {  33213, 33214, 33215,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_FocusedMind", },
			{ 5, 0, 1781, 2, nil, nil,   nil, {  14910, 33371,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_GrimWard", },
			{ 5, 2,  462, 5, nil, nil,   nil, {  15259, 15307, 15308, 15309, 15310, }, "Interface\\Icons\\Spell_Shadow_Twilight", },
			{ 6, 1,  521, 1,   4,   1,   484, {  15473,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_Shadowform", },
			{ 6, 2, 1778, 5, nil, nil,   nil, {  33221, 33222, 33223, 33224, 33225, }, "Interface\\Icons\\Spell_Shadow_ShadowPower", },
			{ 7, 2, 1816, 5, nil, nil,   nil, {  33191, 33192, 33193, 33194, 33195, }, "Interface\\Icons\\Spell_Shadow_Misery", },
			{ 8, 1, 1779, 1,   6,   1,   521, {  34914,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_Stoicism", },
		},
		[202] = {
			{ 0, 0,  410, 2, nil, nil,   nil, {  14913, 15012,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_HealingFocus", },
			{ 0, 1,  406, 3, nil, nil,   nil, {  14908, 15020, 17191,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_Renew", },
			{ 0, 2,  401, 5, nil, nil,   nil, {  14889, 15008, 15009, 15010, 15011, }, "Interface\\Icons\\Spell_Holy_SealOfSalvation", },
			{ 1, 1,  411, 5, nil, nil,   nil, {  27900, 27901, 27902, 27903, 27904, }, "Interface\\Icons\\Spell_Holy_SpellWarding", },
			{ 1, 2, 1181, 5, nil, nil,   nil, {  18530, 18531, 18533, 18534, 18535, }, "Interface\\Icons\\Spell_Holy_SealOfWrath", },
			{ 2, 0,  442, 1, nil, nil,   nil, {  15237,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_HolyNova", },
			{ 2, 1, 1636, 3, nil, nil,   nil, {  27811, 27815, 27816,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_BlessedRecovery", },
			{ 2, 3,  361, 3, nil, nil,   nil, {  14892, 15362, 15363,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_LayOnHands", },
			{ 3, 0, 1635, 2, nil, nil,   nil, {  27789, 27790,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_Purify", },
			{ 3, 1,  408, 3, nil, nil,   nil, {  14912, 15013, 15014,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_Heal02", },
			{ 3, 2,  403, 2,   1,   2,  1181, {  14909, 15017,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_SearingLightPriest", },
			{ 4, 0,  413, 2, nil, nil,   nil, {  14911, 15018,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_PrayerOfHealing02", },
			{ 4, 1, 1561, 1, nil, nil,   nil, {  20711,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\INV_Enchant_EssenceEternalLarge", },
			{ 4, 2,  402, 5, nil, nil,   nil, {  14901, 15028, 15029, 15030, 15031, }, "Interface\\Icons\\Spell_Holy_SpiritualGuidence", },
			{ 5, 0, 1766, 2, nil, nil,   nil, {  33150, 33154,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_SurgeOfLight", },
			{ 5, 2,  404, 5, nil, nil,   nil, {  14898, 15349, 15354, 15355, 15356, }, "Interface\\Icons\\Spell_Nature_MoonGlow", },
			{ 6, 0, 1768, 3, nil, nil,   nil, {  34753, 34859, 34860,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_Fanaticism", },
			{ 6, 1, 1637, 1,   4,   1,  1561, {   724,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_SummonLightwell", },
			{ 6, 2, 1765, 3, nil, nil,   nil, {  33142, 33145, 33146,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_BlessedResillience", },
			{ 7, 1, 1767, 5, nil, nil,   nil, {  33158, 33159, 33160, 33161, 33162, }, "Interface\\Icons\\Spell_Holy_GreaterHeal", },
			{ 8, 1, 1815, 1, nil, nil,   nil, {  34861,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_CircleOfRenewal", },
		},
		[201] = {
			{ 0, 1,  342, 5, nil, nil,   nil, {  14522, 14788, 14789, 14790, 14791, }, "Interface\\Icons\\Spell_Magic_MageArmor", },
			{ 0, 2,  345, 5, nil, nil,   nil, {  14524, 14525, 14526, 14527, 14528, }, "Interface\\Icons\\INV_Wand_01", },
			{ 1, 0,  352, 5, nil, nil,   nil, {  14523, 14784, 14785, 14786, 14787, }, "Interface\\Icons\\Spell_Nature_ManaRegenTotem", },
			{ 1, 1,  344, 2, nil, nil,   nil, {  14749, 14767,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_WordFortitude", },
			{ 1, 2,  343, 3, nil, nil,   nil, {  14748, 14768, 14769,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_PowerWordShield", },
			{ 1, 3,  321, 2, nil, nil,   nil, {  14531, 14774,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_Tranquility", },
			{ 2, 0, 1769, 3, nil, nil,   nil, {  33167, 33171, 33172,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_Absolution", },
			{ 2, 1,  348, 1, nil, nil,   nil, {  14751,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_WindWalkOn", },
			{ 2, 2,  347, 3, nil, nil,   nil, {  14521, 14776, 14777,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_Sleep", },
			{ 3, 0,  346, 3, nil, nil,   nil, {  14747, 14770, 14771,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_InnerFire", },
			{ 3, 1,  341, 5, nil, nil,   nil, {  14520, 14780, 14781, 14782, 14783, }, "Interface\\Icons\\Ability_Hibernation", },
			{ 3, 3,  350, 2, nil, nil,   nil, {  14750, 14772,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_ManaBurn", },
			{ 4, 1, 1201, 5, nil, nil,   nil, {  18551, 18552, 18553, 18554, 18555, }, "Interface\\Icons\\Spell_Nature_EnchantArmor", },
			{ 4, 2,  351, 1,   2,   2,   347, {  14752,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_DivineSpirit", },
			{ 4, 3, 1770, 2,   4,   2,   351, {  33174, 33182,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_DivineSpirit", },
			{ 5, 0, 1771, 2, nil, nil,   nil, {  33186, 33190,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_FocusedPower", },
			{ 5, 2, 1202, 5, nil, nil,   nil, {  18544, 18547, 18548, 18549, 18550, }, "Interface\\Icons\\Spell_Nature_SlowingTotem", },
			{ 6, 0, 1858, 3, nil, nil,   nil, {  45234, 45243, 45244,   nil,   nil, }, "Interface\\Icons\\Spell_Arcane_FocusedPower", },
			{ 6, 1,  322, 1,   4,   1,  1201, {  10060,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_PowerInfusion", },
			{ 6, 2, 1773, 5, nil, nil,   nil, {  33201, 33202, 33203, 33204, 33205, }, "Interface\\Icons\\Spell_Holy_PowerWordShield", },
			{ 7, 1, 1772, 5, nil, nil,   nil, {  34908, 34909, 34910, 34911, 34912, }, "Interface\\Icons\\Spell_Arcane_MindMastery", },
			{ 8, 1, 1774, 1, nil, nil,   nil, {  33206,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_PainSupression", },
		},
	},
	WARLOCK = {
		[301] = {
			{ 0, 1,  944, 5, nil, nil,   nil, {  17793, 17796, 17801, 17802, 17803, }, "Interface\\Icons\\Spell_Shadow_ShadowBolt", },
			{ 0, 2,  941, 5, nil, nil,   nil, {  17778, 17779, 17780, 17781, 17782, }, "Interface\\Icons\\Spell_Fire_WindsofWoe", },
			{ 1, 1,  943, 5, nil, nil,   nil, {  17788, 17789, 17790, 17791, 17792, }, "Interface\\Icons\\Spell_Shadow_DeathPact", },
			{ 1, 2,  982, 5, nil, nil,   nil, {  18119, 18120, 18121, 18122, 18123, }, "Interface\\Icons\\Spell_Fire_Fire", },
			{ 2, 0,  983, 2, nil, nil,   nil, {  18126, 18127,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_FireBolt", },
			{ 2, 1,  984, 2, nil, nil,   nil, {  18128, 18129,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_Curse", },
			{ 2, 2,  981, 5, nil, nil,   nil, {  18130, 18131, 18132, 18133, 18134, }, "Interface\\Icons\\Spell_Fire_FlameShock", },
			{ 2, 3,  963, 1, nil, nil,   nil, {  17877,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_ScourgeBuild", },
			{ 3, 0,  985, 2, nil, nil,   nil, {  18135, 18136,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_LavaSpawn", },
			{ 3, 1,  964, 2, nil, nil,   nil, {  17917, 17918,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_CorpseExplode", },
			{ 3, 3,  965, 3, nil, nil,   nil, {  17927, 17929, 17930,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_SoulBurn", },
			{ 4, 0,  986, 2,   3,   0,   985, {  18096, 18073,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_Volcano", },
			{ 4, 1,  961, 5, nil, nil,   nil, {  17815, 17833, 17834, 17835, 17836, }, "Interface\\Icons\\Spell_Fire_Immolation", },
			{ 4, 2,  967, 1,   2,   2,   981, {  17959,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_ShadowWordPain", },
			{ 5, 0, 1679, 3, nil, nil,   nil, {  30299, 30301, 30302,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_NetherProtection", },
			{ 5, 2,  966, 5, nil, nil,   nil, {  17954, 17955, 17956, 17957, 17958, }, "Interface\\Icons\\Spell_Fire_SelfDestruct", },
			{ 6, 0, 1817, 3, nil, nil,   nil, {  34935, 34938, 34939,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_PlayingWithFire", },
			{ 6, 1,  968, 1,   4,   1,   961, {  17962,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_Fireball", },
			{ 6, 2, 1678, 3, nil, nil,   nil, {  30293, 30295, 30296,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_SoulLeech_3", },
			{ 7, 1, 1677, 5, nil, nil,   nil, {  30288, 30289, 30290, 30291, 30292, }, "Interface\\Icons\\Spell_Shadow_ShadowandFlame", },
			{ 8, 1, 1676, 1,   7,   1,  1677, {  30283,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_Shadowfury", },
		},
		[302] = {
			{ 0, 1, 1005, 5, nil, nil,   nil, {  18174, 18175, 18176, 18177, 18178, }, "Interface\\Icons\\Spell_Shadow_UnsummonBuilding", },
			{ 0, 2, 1003, 5, nil, nil,   nil, {  17810, 17811, 17812, 17813, 17814, }, "Interface\\Icons\\Spell_Shadow_AbominationExplosion", },
			{ 1, 0, 1006, 2, nil, nil,   nil, {  18179, 18180,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_CurseOfMannoroth", },
			{ 1, 1, 1101, 2, nil, nil,   nil, {  18213, 18372,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_Haunting", },
			{ 1, 2, 1007, 2, nil, nil,   nil, {  18182, 18183,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_BurningSpirit", },
			{ 1, 3, 1004, 2, nil, nil,   nil, {  17804, 17805,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_LifeDrain02", },
			{ 2, 0, 1284, 2, nil, nil,   nil, {  18827, 18829,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_CurseOfSargeras", },
			{ 2, 1, 1001, 5, nil, nil,   nil, {  17783, 17784, 17785, 17786, 17787, }, "Interface\\Icons\\Spell_Shadow_FingerOfDeath", },
			{ 2, 2, 1061, 1, nil, nil,   nil, {  18288,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_Contagion", },
			{ 3, 0, 1021, 2, nil, nil,   nil, {  18218, 18219,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_CallofBone", },
			{ 3, 1, 1002, 2, nil, nil,   nil, {  18094, 18095,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_Twilight", },
			{ 3, 3, 1764, 3, nil, nil,   nil, {  32381, 32382, 32383,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_AbominationExplosion", },
			{ 4, 0, 1763, 5, nil, nil,   nil, {  32385, 32387, 32392, 32393, 32394, }, "Interface\\Icons\\Spell_Shadow_ShadowEmbrace", },
			{ 4, 1, 1041, 1, nil, nil,   nil, {  18265,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_Requiem", },
			{ 4, 2, 1081, 1,   2,   2,  1061, {  18223,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_GrimWard", },
			{ 5, 1, 1042, 5,   4,   1,  1041, {  18271, 18272, 18273, 18274, 18275, }, "Interface\\Icons\\Spell_Shadow_ShadeTrueSight", },
			{ 6, 1, 1669, 5, nil, nil,   nil, {  30060, 30061, 30062, 30063, 30064, }, "Interface\\Icons\\Spell_Shadow_PainfulAfflictions", },
			{ 6, 2, 1022, 1, nil, nil,   nil, {  18220,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_DarkRitual", },
			{ 7, 0, 1668, 2, nil, nil,   nil, {  30054, 30057,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_DeathScream", },
			{ 7, 2, 1667, 3, nil, nil,   nil, {  32477, 32483, 32484,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_CurseOfAchimonde", },
			{ 8, 1, 1670, 1,   6,   1,  1669, {  30108,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_UnstableAffliction_3", },
		},
		[303] = {
			{ 0, 0, 1221, 2, nil, nil,   nil, {  18692, 18693,   nil,   nil,   nil, }, "Interface\\Icons\\INV_Stone_04", },
			{ 0, 1, 1222, 3, nil, nil,   nil, {  18694, 18695, 18696,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_SummonImp", },
			{ 0, 2, 1223, 5, nil, nil,   nil, {  18697, 18698, 18699, 18700, 18701, }, "Interface\\Icons\\Spell_Shadow_Metamorphosis", },
			{ 1, 0, 1224, 2, nil, nil,   nil, {  18703, 18704,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_LifeDrain", },
			{ 1, 1, 1225, 3, nil, nil,   nil, {  18705, 18706, 18707,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_SummonVoidWalker", },
			{ 1, 2, 1242, 3, nil, nil,   nil, {  18731, 18743, 18744,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_MagicalSentry", },
			{ 2, 0, 1243, 3, nil, nil,   nil, {  18754, 18755, 18756,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_SummonSuccubus", },
			{ 2, 1, 1226, 1, nil, nil,   nil, {  18708,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_RemoveCurse", },
			{ 2, 2, 1241, 3, nil, nil,   nil, {  18748, 18749, 18750,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_AntiShadow", },
			{ 2, 3, 1671, 3, nil, nil,   nil, {  30143, 30144, 30145,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_RagingScream", },
			{ 3, 1, 1227, 2,   2,   1,  1226, {  18709, 18710,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_ImpPhaseShift", },
			{ 3, 2, 1262, 5, nil, nil,   nil, {  18769, 18770, 18771, 18772, 18773, }, "Interface\\Icons\\Spell_Shadow_ShadowWordDominate", },
			{ 4, 0, 1283, 2, nil, nil,   nil, {  18821, 18822,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_EnslaveDemon", },
			{ 4, 1, 1281, 1, nil, nil,   nil, {  18788,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_PsychicScream", },
			{ 4, 3, 1261, 2, nil, nil,   nil, {  18767, 18768,   nil,   nil,   nil, }, "Interface\\Icons\\INV_Ammo_FireTar", },
			{ 5, 0, 1681, 3, nil, nil,   nil, {  30326, 30327, 30328,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_ManaFeed", },
			{ 5, 2, 1244, 5,   3,   2,  1262, {  23785, 23822, 23823, 23824, 23825, }, "Interface\\Icons\\Spell_Shadow_ShadowPact", },
			{ 6, 0, 1680, 3, nil, nil,   nil, {  30319, 30320, 30321,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_DemonicFortitude", },
			{ 6, 1, 1282, 1,   4,   1,  1281, {  19028,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_GatherShadows", },
			{ 6, 2, 1263, 3, nil, nil,   nil, {  35691, 35692, 35693,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_ImprovedVampiricEmbrace", },
			{ 7, 1, 1673, 5, nil, nil,   nil, {  30242, 30245, 30246, 30247, 30248, }, "Interface\\Icons\\Spell_Shadow_DemonicTactics", },
			{ 8, 1, 1672, 1, nil, nil,   nil, {  30146,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_SummonFelGuard", },
		},
	},
	DRUID = {
		[283] = {
			{ 0, 0,  762, 5, nil, nil,   nil, {  16814, 16815, 16816, 16817, 16818, }, "Interface\\Icons\\Spell_Nature_AbolishMagic", },
			{ 0, 1,  761, 1, nil, nil,   nil, {  16689,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_NaturesWrath", },
			{ 0, 2,  921, 4,   0,   1,   761, {  17245, 17247, 17248, 17249,   nil, }, "Interface\\Icons\\Spell_Nature_NaturesWrath", },
			{ 1, 0,  787, 3, nil, nil,   nil, {  16918, 16919, 16920,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_StrangleVines", },
			{ 1, 1, 1822, 2, nil, nil,   nil, {  35363, 35364,   nil,   nil,   nil, }, "Interface\\Icons\\INV_Staff_01", },
			{ 1, 2,  763, 2, nil, nil,   nil, {  16821, 16822,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_StarFall", },
			{ 2, 0,  782, 3, nil, nil,   nil, {  16836, 16839, 16840,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_Thorns", },
			{ 2, 2,  788, 1, nil, nil,   nil, {  5570,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_InsectSwarm", },
			{ 2, 3,  764, 2, nil, nil,   nil, {  16819, 16820,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_NatureTouchGrow", },
			{ 3, 1,  792, 5,   1,   1,  1822, {  16909, 16910, 16911, 16912, 16913, }, "Interface\\Icons\\Spell_Nature_Purge", },
			{ 3, 2,  784, 3, nil, nil,   nil, {  16850, 16923, 16924,   nil,   nil, }, "Interface\\Icons\\Spell_Arcane_StarFire", },
			{ 4, 0, 1782, 3, nil, nil,   nil, {  33589, 33590, 33591,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_LunarGuidance", },
			{ 4, 1,  789, 1, nil, nil,   nil, {  16880,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_NaturesBlessing", },
			{ 4, 2,  783, 3, nil, nil,   nil, {  16845, 16846, 16847,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_Sentinal", },
			{ 5, 1,  790, 5,   4,   1,   789, {  16896, 16897, 16899, 16900, 16901, }, "Interface\\Icons\\Spell_Nature_MoonGlow", },
			{ 5, 2, 1783, 2, nil, nil,   nil, {  33592, 33596,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_BalanceofPower", },
			{ 6, 0, 1784, 3, nil, nil,   nil, {  33597, 33599, 33956,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_Dreamstate", },
			{ 6, 1,  793, 1, nil, nil,   nil, {  24858,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_ForceOfNature", },
			{ 6, 2, 1785, 3, nil, nil,   nil, {  33600, 33601, 33602,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_FaerieFire", },
			{ 7, 1, 1786, 5, nil, nil,   nil, {  33603, 33604, 33605, 33606, 33607, }, "Interface\\Icons\\Ability_Druid_TwilightsWrath", },
			{ 8, 1, 1787, 1, nil, nil,   nil, {  33831,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_ForceofNature", },
		},
		[281] = {
			{ 0, 1,  796, 5, nil, nil,   nil, {  16934, 16935, 16936, 16937, 16938, }, "Interface\\Icons\\Ability_Hunter_Pet_Hyena", },
			{ 0, 2,  795, 5, nil, nil,   nil, {  16858, 16859, 16860, 16861, 16862, }, "Interface\\Icons\\Ability_Druid_DemoralizingRoar", },
			{ 1, 0,  799, 3, nil, nil,   nil, {  16947, 16948, 16949,   nil,   nil, }, "Interface\\Icons\\Ability_Ambush", },
			{ 1, 1,  797, 2, nil, nil,   nil, {  16940, 16941,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_Bash", },
			{ 1, 2,  794, 3, nil, nil,   nil, {  16929, 16930, 16931,   nil,   nil, }, "Interface\\Icons\\INV_Misc_Pelt_Bear_03", },
			{ 2, 0,  807, 2, nil, nil,   nil, {  17002, 24866,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_SpiritWolf", },
			{ 2, 1,  804, 1, nil, nil,   nil, {  16979,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_Pet_Bear", },
			{ 2, 2,  798, 3, nil, nil,   nil, {  16942, 16943, 16944,   nil,   nil, }, "Interface\\Icons\\INV_Misc_MonsterClaw_04", },
			{ 3, 0,  802, 2, nil, nil,   nil, {  16966, 16968,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_VampiricAura", },
			{ 3, 1,  803, 3, nil, nil,   nil, {  16972, 16974, 16975,   nil,   nil, }, "Interface\\Icons\\Ability_Hunter_Pet_Cat", },
			{ 3, 2,  801, 2,   2,   2,   798, {  37116, 37117,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Racial_Cannibalize", },
			{ 4, 0,  805, 2, nil, nil,   nil, {  16998, 16999,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_Ravage", },
			{ 4, 2, 1162, 1, nil, nil,   nil, {  16857,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_FaerieFire", },
			{ 4, 3, 1792, 2, nil, nil,   nil, {  33872, 33873,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_HealingInstincts", },
			{ 5, 1,  808, 5,   3,   1,   803, {  17003, 17004, 17005, 17006, 24894, }, "Interface\\Icons\\Spell_Holy_BlessingOfAgility", },
			{ 5, 2, 1794, 3, nil, nil,   nil, {  33853, 33855, 33856,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_Enrage", },
			{ 6, 0, 1793, 3, nil, nil,   nil, {  33851, 33852, 33957,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_PrimalTenacity", },
			{ 6, 1,  809, 1, nil, nil,   nil, {  17007,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_UnyeildingStamina", },
			{ 6, 2, 1798, 2,   6,   1,   809, {  34297, 34300,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_UnyeildingStamina", },
			{ 7, 2, 1795, 5, nil, nil,   nil, {  33859, 33866, 33867, 33868, 33869, }, "Interface\\Icons\\Ability_Druid_PredatoryInstincts", },
			{ 8, 1, 1796, 1,   6,   1,   809, {  33917,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_Mangle2", },
		},
		[282] = {
			{ 0, 1,  821, 5, nil, nil,   nil, {  17050, 17051, 17053, 17054, 17055, }, "Interface\\Icons\\Spell_Nature_Regeneration", },
			{ 0, 2,  822, 5, nil, nil,   nil, {  17056, 17058, 17059, 17060, 17061, }, "Interface\\Icons\\Spell_Holy_BlessingOfStamina", },
			{ 1, 0,  824, 5, nil, nil,   nil, {  17069, 17070, 17071, 17072, 17073, }, "Interface\\Icons\\Spell_Nature_HealingTouch", },
			{ 1, 1,  823, 5, nil, nil,   nil, {  17063, 17065, 17066, 17067, 17068, }, "Interface\\Icons\\Spell_Nature_HealingWaveGreater", },
			{ 1, 2,  826, 3, nil, nil,   nil, {  16833, 16834, 16835,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_WispSplode", },
			{ 2, 0,  829, 3, nil, nil,   nil, {  17106, 17107, 17108,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_WindWalkOn", },
			{ 2, 1,  841, 5, nil, nil,   nil, {  17118, 17119, 17120, 17121, 17122, }, "Interface\\Icons\\Ability_EyeOfTheOwl", },
			{ 2, 2,  827, 1, nil, nil,   nil, {  16864,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_CrystalBall", },
			{ 3, 1,  843, 5, nil, nil,   nil, {  24968, 24969, 24970, 24971, 24972, }, "Interface\\Icons\\Spell_Holy_ElunesGrace", },
			{ 3, 2,  830, 3, nil, nil,   nil, {  17111, 17112, 17113,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_Rejuvenation", },
			{ 4, 0,  831, 1,   2,   0,   829, {  17116,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_RavenForm", },
			{ 4, 1,  828, 5, nil, nil,   nil, {  17104, 24943, 24944, 24945, 24946, }, "Interface\\Icons\\Spell_Nature_ProtectionformNature", },
			{ 4, 3,  842, 2, nil, nil,   nil, {  17123, 17124,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_Tranquility", },
			{ 5, 0, 1788, 2, nil, nil,   nil, {  33879, 33880,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_EmpoweredTouch", },
			{ 5, 2,  825, 5,   3,   2,   830, {  17074, 17075, 17076, 17077, 17078, }, "Interface\\Icons\\Spell_Nature_ResistNature", },
			{ 6, 0, 1797, 3, nil, nil,   nil, {  34151, 34152, 34153,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_GiftoftheWaterSpirit", },
			{ 6, 1,  844, 1,   4,   1,   828, {  18562,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\INV_Relics_IdolofRejuvenation", },
			{ 6, 2, 1790, 3, nil, nil,   nil, {  33881, 33882, 33883,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_NaturalPerfection", },
			{ 7, 1, 1789, 5, nil, nil,   nil, {  33886, 33887, 33888, 33889, 33890, }, "Interface\\Icons\\Ability_Druid_EmpoweredRejuvination", },
			{ 8, 1, 1791, 1,   7,   1,  1789, {  33891,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_TreeofLife", },
		},
	},
	ROGUE = {
		[182] = {
			{ 0, 0,  276, 3, nil, nil,   nil, {  14162, 14163, 14164,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_Eviscerate", },
			{ 0, 1,  272, 2, nil, nil,   nil, {  14144, 14148,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_FiegnDead", },
			{ 0, 2,  270, 5, nil, nil,   nil, {  14138, 14139, 14140, 14141, 14142, }, "Interface\\Icons\\Ability_Racial_BloodRage", },
			{ 1, 0,  273, 3, nil, nil,   nil, {  14156, 14160, 14161,   nil,   nil, }, "Interface\\Icons\\Ability_Druid_Disembowel", },
			{ 1, 1,  274, 2, nil, nil,   nil, {  14158, 14159,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_DeathScream", },
			{ 1, 3,  277, 3, nil, nil,   nil, {  13733, 13865, 13866,   nil,   nil, }, "Interface\\Icons\\Ability_BackStab", },
			{ 2, 0,  281, 1, nil, nil,   nil, {  14179,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_DecisiveStrike", },
			{ 2, 1,  278, 2, nil, nil,   nil, {  14168, 14169,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_Riposte", },
			{ 2, 2,  269, 5,   0,   2,   270, {  14128, 14132, 14135, 14136, 14137, }, "Interface\\Icons\\Ability_CriticalStrike", },
			{ 3, 1,  682, 5, nil, nil,   nil, {  16513, 16514, 16515, 16719, 16720, }, "Interface\\Icons\\Ability_Rogue_FeignDeath", },
			{ 3, 2,  268, 5, nil, nil,   nil, {  14113, 14114, 14115, 14116, 14117, }, "Interface\\Icons\\Ability_Poisons", },
			{ 4, 0, 1721, 2, nil, nil,   nil, {  31208, 31209,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_FleetFooted", },
			{ 4, 1,  280, 1, nil, nil,   nil, {  14177,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Ice_Lament", },
			{ 4, 2,  279, 3, nil, nil,   nil, {  14174, 14175, 14176,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_KidneyShot", },
			{ 4, 3, 1762, 2, nil, nil,   nil, {  31244, 31245,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_QuickRecovery", },
			{ 5, 1,  283, 5,   4,   1,   280, {  14186, 14190, 14193, 14194, 14195, }, "Interface\\Icons\\Spell_Shadow_ChillTouch", },
			{ 5, 2, 1715, 2, nil, nil,   nil, {  31226, 31227,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Creature_Poison_06", },
			{ 6, 1,  382, 1, nil, nil,   nil, {  14983,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_EarthBindTotem", },
			{ 6, 2, 1723, 5, nil, nil,   nil, {  31380, 31382, 31383, 31384, 31385, }, "Interface\\Icons\\Ability_Rogue_DeadenedNerves", },
			{ 7, 2, 1718, 5, nil, nil,   nil, {  31233, 31239, 31240, 31241, 31242, }, "Interface\\Icons\\Ability_Rogue_FindWeakness", },
			{ 8, 1, 1719, 1,   6,   1,   382, {  1329,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_ShadowStrikes", },
		},
		[181] = {
			{ 0, 0,  203, 3, nil, nil,   nil, {  13741, 13793, 13792,   nil,   nil, }, "Interface\\Icons\\Ability_Gouge", },
			{ 0, 1,  201, 2, nil, nil,   nil, {  13732, 13863,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_RitualOfSacrifice", },
			{ 0, 2,  186, 5, nil, nil,   nil, {  13712, 13788, 13789, 13790, 13791, }, "Interface\\Icons\\Spell_Nature_Invisibilty", },
			{ 1, 0, 1827, 3, nil, nil,   nil, {  14165, 14166, 14167,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_SliceDice", },
			{ 1, 1,  187, 5, nil, nil,   nil, {  13713, 13853, 13854, 13855, 13856, }, "Interface\\Icons\\Ability_Parry", },
			{ 1, 2,  181, 5, nil, nil,   nil, {  13705, 13832, 13843, 13844, 13845, }, "Interface\\Icons\\Ability_Marksmanship", },
			{ 2, 0,  204, 2, nil, nil,   nil, {  13742, 13872,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_ShadowWard", },
			{ 2, 1,  301, 1,   1,   1,   187, {  14251,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_Challange", },
			{ 2, 3,  222, 2, nil, nil,   nil, {  13743, 13875,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_Sprint", },
			{ 3, 0,  206, 2, nil, nil,   nil, {  13754, 13867,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Kick", },
			{ 3, 1,  182, 5, nil, nil,   nil, {  13706, 13804, 13805, 13806, 13807, }, "Interface\\Icons\\INV_Weapon_ShortBlade_05", },
			{ 3, 2,  221, 5,   1,   2,   181, {  13715, 13848, 13849, 13851, 13852, }, "Interface\\Icons\\Ability_DualWield", },
			{ 4, 0,  184, 5, nil, nil,   nil, {  13709, 13800, 13801, 13802, 13803, }, "Interface\\Icons\\INV_Mace_01", },
			{ 4, 1,  223, 1, nil, nil,   nil, {  13877,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_PunishingBlow", },
			{ 4, 2,  242, 5, nil, nil,   nil, {  13960, 13961, 13962, 13963, 13964, }, "Interface\\Icons\\INV_Sword_27", },
			{ 4, 3,  183, 5, nil, nil,   nil, {  13707, 13966, 13967, 13968, 13969, }, "Interface\\Icons\\INV_Gauntlets_04", },
			{ 5, 0, 1706, 2, nil, nil,   nil, {  31124, 31126,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_BladeTwisting", },
			{ 5, 1, 1703, 2,   4,   1,   223, {  30919, 30920,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Holy_BlessingOfStrength", },
			{ 5, 2, 1122, 3, nil, nil,   nil, {  18427, 18428, 18429,   nil,   nil, }, "Interface\\Icons\\Ability_Racial_Avatar", },
			{ 6, 0, 1705, 2, nil, nil,   nil, {  31122, 31123,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Warrior_Revenge", },
			{ 6, 1,  205, 1, nil, nil,   nil, {  13750,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_ShadowWordDominate", },
			{ 6, 2, 1707, 2, nil, nil,   nil, {  31130, 31131,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_NervesOfSteel", },
			{ 7, 2, 1825, 5, nil, nil,   nil, {  35541, 35550, 35551, 35552, 35553, }, "Interface\\Icons\\INV_Weapon_Shortblade_38", },
			{ 8, 1, 1709, 1,   6,   1,   205, {  32601,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_SurpriseAttack", },
		},
		[183] = {
			{ 0, 1,  241, 5, nil, nil,   nil, {  13958, 13970, 13971, 13972, 13973, }, "Interface\\Icons\\Spell_Shadow_Charm", },
			{ 0, 2,  261, 5, nil, nil,   nil, {  14057, 14072, 14073, 14074, 14075, }, "Interface\\Icons\\Ability_Warrior_WarCry", },
			{ 1, 0, 1700, 2, nil, nil,   nil, {  30892, 30893,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_Feint", },
			{ 1, 1,  262, 2, nil, nil,   nil, {  14076, 14094,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Sap", },
			{ 1, 2,  244, 5, nil, nil,   nil, {  13975, 14062, 14063, 14064, 14065, }, "Interface\\Icons\\Ability_Stealth", },
			{ 2, 0,  245, 3, nil, nil,   nil, {  13976, 13979, 13980,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_Fumble", },
			{ 2, 1,  303, 1, nil, nil,   nil, {  14278,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_Curse", },
			{ 2, 2,  263, 3, nil, nil,   nil, {  14079, 14080, 14081,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_Ambush", },
			{ 3, 0,  246, 3, nil, nil,   nil, {  13983, 14070, 14071,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_MirrorImage", },
			{ 3, 1,  247, 2, nil, nil,   nil, {  13981, 14066,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Magic_LesserInvisibilty", },
			{ 3, 2, 1123, 3, nil, nil,   nil, {  14171, 14172, 14173,   nil,   nil, }, "Interface\\Icons\\INV_Sword_17", },
			{ 4, 0, 1701, 2, nil, nil,   nil, {  30894, 30895,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Ambush", },
			{ 4, 1,  284, 1, nil, nil,   nil, {  14185,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_AntiShadow", },
			{ 4, 2,  265, 2, nil, nil,   nil, {  14082, 14083,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_SummonSuccubus", },
			{ 4, 3,  681, 1,   3,   2,  1123, {  16511,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_LifeDrain", },
			{ 5, 0, 1713, 3, nil, nil,   nil, {  31221, 31222, 31223,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_MasterOfSubtlety", },
			{ 5, 2, 1702, 5, nil, nil,   nil, {  30902, 30903, 30904, 30905, 30906, }, "Interface\\Icons\\INV_Weapon_Crossbow_11", },
			{ 6, 0, 1711, 3, nil, nil,   nil, {  31211, 31212, 31213,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_EnvelopingShadows", },
			{ 6, 1,  381, 1,   4,   1,   284, {  14183,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_Possession", },
			{ 6, 2, 1722, 3, nil, nil,   nil, {  31228, 31229, 31230,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_CheatDeath", },
			{ 7, 1, 1712, 5,   6,   1,   381, {  31216, 31217, 31218, 31219, 31220, }, "Interface\\Icons\\Ability_Rogue_SinisterCalling", },
			{ 8, 1, 1714, 1, nil, nil,   nil, {  36554,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Rogue_Shadowstep", },
		},
	},
	SHAMAN = {
		[262] = {
			{ 0, 1,  586, 5, nil, nil,   nil, {  16182, 16226, 16227, 16228, 16229, }, "Interface\\Icons\\Spell_Nature_MagicImmunity", },
			{ 0, 2,  593, 5, nil, nil,   nil, {  16179, 16214, 16215, 16216, 16217, }, "Interface\\Icons\\Spell_Frost_ManaRecharge", },
			{ 1, 0,  589, 2, nil, nil,   nil, {  16184, 16209,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_Reincarnation", },
			{ 1, 1,  581, 3, nil, nil,   nil, {  16176, 16235, 16240,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_UndyingStrength", },
			{ 1, 2,  595, 5, nil, nil,   nil, {  16173, 16222, 16223, 16224, 16225, }, "Interface\\Icons\\Spell_Nature_MoonGlow", },
			{ 2, 0,  583, 3, nil, nil,   nil, {  16180, 16196, 16198,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_Stun", },
			{ 2, 1,  587, 5, nil, nil,   nil, {  16181, 16230, 16232, 16233, 16234, }, "Interface\\Icons\\Spell_Nature_HealingWaveLesser", },
			{ 2, 2,  582, 1, nil, nil,   nil, {  16189,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_NullWard", },
			{ 2, 3, 1646, 3, nil, nil,   nil, {  29187, 29189, 29191,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_HealingTouch", },
			{ 3, 1,  588, 5, nil, nil,   nil, {  16187, 16205, 16206, 16207, 16208, }, "Interface\\Icons\\Spell_Nature_ManaRegenTotem", },
			{ 3, 2,  594, 5, nil, nil,   nil, {  16194, 16218, 16219, 16220, 16221, }, "Interface\\Icons\\Spell_Nature_Tranquility", },
			{ 4, 0, 1648, 3, nil, nil,   nil, {  29206, 29205, 29202,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_HealingWay", },
			{ 4, 2,  591, 1, nil, nil,   nil, {  16188,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_RavenForm", },
			{ 4, 3, 1695, 3, nil, nil,   nil, {  30864, 30865, 30866,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_FocusedMind", },
			{ 5, 2,  592, 5, nil, nil,   nil, {  16178, 16210, 16211, 16212, 16213, }, "Interface\\Icons\\Spell_Frost_WizardMark", },
			{ 6, 1,  590, 1,   3,   1,   588, {  16190,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Frost_SummonWaterElemental", },
			{ 6, 2, 1699, 5, nil, nil,   nil, {  30881, 30883, 30884, 30885, 30886, }, "Interface\\Icons\\Spell_Nature_NatureGuardian", },
			{ 7, 1, 1696, 3, nil, nil,   nil, {  30867, 30868, 30869,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_NatureBlessing", },
			{ 7, 2, 1697, 2, nil, nil,   nil, {  30872, 30873,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_HealingWaveGreater", },
			{ 8, 1, 1698, 1,   7,   1,  1696, {   974,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_SkinofEarth", },
		},
		[263] = {
			{ 0, 1,  614, 5, nil, nil,   nil, {  17485, 17486, 17487, 17488, 17489, }, "Interface\\Icons\\Spell_Shadow_GrimWard", },
			{ 0, 2,  612, 5, nil, nil,   nil, {  16253, 16298, 16299, 16300, 16301, }, "Interface\\Icons\\INV_Shield_06", },
			{ 1, 0,  609, 2, nil, nil,   nil, {  16258, 16293,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_StoneSkinTotem", },
			{ 1, 1,  613, 5, nil, nil,   nil, {  16255, 16302, 16303, 16304, 16305, }, "Interface\\Icons\\Ability_ThunderBolt", },
			{ 1, 2,  605, 2, nil, nil,   nil, {  16262, 16287,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_SpiritWolf", },
			{ 1, 3,  607, 3, nil, nil,   nil, {  16261, 16290, 16291,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_LightningShield", },
			{ 2, 0,  610, 2, nil, nil,   nil, {  16259, 16295,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_EarthBindTotem", },
			{ 2, 2,  617, 1, nil, nil,   nil, {  43338,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_ElementalAbsorption", },
			{ 2, 3,  601, 5, nil, nil,   nil, {  16254, 16271, 16272, 16273, 16274, }, "Interface\\Icons\\Spell_Nature_MirrorImage", },
			{ 3, 1,  602, 5,   1,   1,   613, {  16256, 16281, 16282, 16283, 16284, }, "Interface\\Icons\\Ability_GhoulFrenzy", },
			{ 3, 2,  615, 5, nil, nil,   nil, {  16252, 16306, 16307, 16308, 16309, }, "Interface\\Icons\\Spell_Holy_Devotion", },
			{ 4, 0, 1647, 2, nil, nil,   nil, {  29192, 29193,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_EnchantWeapon", },
			{ 4, 1,  616, 1, nil, nil,   nil, {  16268,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Parry", },
			{ 4, 2,  611, 3, nil, nil,   nil, {  16266, 29079, 29080,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_FlameTounge", },
			{ 5, 0, 1691, 3, nil, nil,   nil, {  30812, 30813, 30814,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_MentalQuickness", },
			{ 5, 3, 1643, 5, nil, nil,   nil, {  29082, 29084, 29086, 29087, 29088, }, "Interface\\Icons\\Ability_Hunter_SwiftStrike", },
			{ 6, 0, 1692, 3,   6,   1,  1690, {  30816, 30818, 30819,   nil,   nil, }, "Interface\\Icons\\Ability_DualWieldSpecialization", },
			{ 6, 1, 1690, 1,   4,   1,   616, {  30798,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_DualWield", },
			{ 6, 2,  901, 1,   4,   2,   611, {  17364,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Ability_Shaman_Stormstrike", },
			{ 7, 1, 1689, 5, nil, nil,   nil, {  30802, 30808, 30809, 30810, 30811, }, "Interface\\Icons\\Spell_Nature_UnleashedRage", },
			{ 8, 1, 1693, 1, nil, nil,   nil, {  30823,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_ShamanRage", },
		},
		[261] = {
			{ 0, 1,  564, 5, nil, nil,   nil, {  16039, 16109, 16110, 16111, 16112, }, "Interface\\Icons\\Spell_Nature_WispSplode", },
			{ 0, 2,  563, 5, nil, nil,   nil, {  16035, 16105, 16106, 16107, 16108, }, "Interface\\Icons\\Spell_Fire_Fireball", },
			{ 1, 0,  572, 2, nil, nil,   nil, {  16043, 16130,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_StoneClawTotem", },
			{ 1, 1, 1640, 3, nil, nil,   nil, {  28996, 28997, 28998,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_SpiritArmor", },
			{ 1, 2,  561, 3, nil, nil,   nil, {  16038, 16160, 16161,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_Immolation", },
			{ 2, 0,  574, 1, nil, nil,   nil, {  16164,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_ManaBurn", },
			{ 2, 1,  575, 5, nil, nil,   nil, {  16040, 16113, 16114, 16115, 16116, }, "Interface\\Icons\\Spell_Frost_FrostWard", },
			{ 2, 2,  562, 5, nil, nil,   nil, {  16041, 16117, 16118, 16119, 16120, }, "Interface\\Icons\\Spell_Nature_CallStorm", },
			{ 3, 0,  567, 2, nil, nil,   nil, {  16086, 16544,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_SealOfFire", },
			{ 3, 1, 1642, 3, nil, nil,   nil, {  29062, 29064, 29065,   nil,   nil, }, "Interface\\Icons\\Spell_Shadow_SoulLeech_2", },
			{ 3, 3, 1645, 3, nil, nil,   nil, {  30160, 29179, 29180,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_ElementalDevastation", },
			{ 4, 0, 1641, 2, nil, nil,   nil, {  28999, 29000,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_StormReach", },
			{ 4, 1,  565, 1, nil, nil,   nil, {  16089,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_Volcano", },
			{ 4, 3, 1682, 5, nil, nil,   nil, {  30664, 30665, 30666, 30667, 30668, }, "Interface\\Icons\\Spell_Nature_UnrelentingStorm", },
			{ 5, 0, 1685, 3, nil, nil,   nil, {  30672, 30673, 30674,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_ElementalPrecision_1", },
			{ 5, 2,  721, 5,   2,   2,   562, {  16578, 16579, 16580, 16581, 16582, }, "Interface\\Icons\\Spell_Lightning_LightningBolt01", },
			{ 6, 1,  573, 1,   4,   1,   565, {  16166,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_WispHeal", },
			{ 6, 2, 1683, 3, nil, nil,   nil, {  30669, 30670, 30671,   nil,   nil, }, "Interface\\Icons\\Spell_Nature_ElementalShields", },
			{ 7, 1, 1686, 5, nil, nil,   nil, {  30675, 30678, 30679, 30680, 30681, }, "Interface\\Icons\\Spell_Nature_LightningOverload", },
			{ 8, 1, 1687, 1,   7,   1,  1686, {  30706,   nil,   nil,   nil,   nil, }, "Interface\\Icons\\Spell_Fire_TotemOfWrath", },
		},
	},
};
--	_spellDB_P = { { { level, id, cost } } }
NS._spellDB_P = {  };
--[==[
	1	=	PowerType				--	aj
		-2	=	health
		0	=	mana
		1	=	rage
		2	=	focus
		3	=	enery
	2	=	PowerPercent			--	gn
	3	=	Power					--	ak
	4	=	PowerPerLevel			--	al
	5	=	PowerPerSecond			--	am
	6	=	PowerPerSecondPerLevel	--	an
	7	=	MinRange	*index		--	ao
	8	=	MaxRange	*index		--	ao
	9	=	BaseCastingTime		*index	--	w
	10	=	CastingTimePerLevel		*index	--	w
	11	=	MinCastingTime		*index	--	w
	12	=	RecoveryTime			--	x
	13	=	CategoryRecoveryTime	--	y
	14	=	Usable Spell
	15, 16, 17	=	trigger spell	--	dm, 3
	18	=	use trigger spell
NS._talentSpellData = {
	[67]    = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[674]   = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[724]   = { 0,  0,  225,    0,    0,    0,  0,    40,  1500,     0,  1500,      0, 360000,  true,   nil,   nil,  nil, },
	[974]   = { 0,  0,  300,    0,    0,    0,  0,    40,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[1329]  = { 3,  0,   60,    0,    0,    0,  0,     5,     0,     0,     0,      0,      0,  true,  5374, 27576,  nil, },
	[5374]  = { 3,  0,    0,    0,    0,    0,  0,     5,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[5530]  = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[5570]  = { 0,  0,   50,    0,    0,    0,  0,    30,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[5923]  = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[5924]  = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[5925]  = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[5926]  = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[6057]  = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[6085]  = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[9452]  = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,    67,   nil,  nil, },
	[9453]  = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[9799]  = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[10060] = { 0, 16,    0,    0,    0,    0,  0,    30,     0,     0,     0, 180000,      0,  true,   nil,   nil,  nil, },
	[11069] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11070] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11071] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12494,   nil,  nil, },
	[11078] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11080] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11083] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11094] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11095] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 22959,   nil,  nil, },
	[11100] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11103] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12355,   nil,  nil, },
	[11108] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11113] = { 0,  0,  215,    0,    0,    0,  0,     0,     0,     0,     0,      0,  30000,  true,   nil,   nil,  nil, },
	[11115] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11119] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11120] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11124] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11129] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 180000,      0,  true, 28682,   nil,  nil, },
	[11151] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11160] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11165] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11170] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11175] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11180] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12579,   nil,  nil, },
	[11185] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11189] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11190] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11207] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11210] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11213] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12536,   nil,  nil, },
	[11222] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11232] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11237] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11242] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11247] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11252] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11255] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 18469,   nil,  nil, },
	[11366] = { 0,  0,  125,    0,    0,    0,  0,    35,  6000,     0,  6000,      0,      0,  true,   nil,   nil,  nil, },
	[11367] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11368] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[11426] = { 0,  0,  305,    0,    0,    0,  0,     0,     0,     0,     0,      0,  30000,  true,   nil,   nil,  nil, },
	[11958] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 480000,      0,  true,   nil,   nil,  nil, },
	[12042] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 180000,      0,  true,   nil,   nil,  nil, },
	[12043] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 180000,   1500,  true,   nil,   nil,  nil, },
	[12162] = { 0,  0,    0,    0,    0,    0,  0, 50000,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[12163] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12281] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16459,   nil,  nil, },
	[12282] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12284] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,  5530,   nil,  nil, },
	[12285] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12286] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12287] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12289] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 23694,   nil,  nil, },
	[12290] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12292] = { 1,  0,   10,    0,    0,    0,  0,     0,     0,     0,     0, 180000,      0,  true,   nil,   nil,  nil, },
	[12294] = { 1,  0,   30,    0,    0,    0,  0,     5,     0,     0,     0,      0,   6000,  true,   nil,   nil,  nil, },
	[12295] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12296] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12297] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12298] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 23602,   nil,  nil, },
	[12299] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12300] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12301] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12302] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12303] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12308] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12311] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 18498,   nil,  nil, },
	[12312] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12313] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12317] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12880,   nil,  nil, },
	[12318] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12319] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12966,   nil,  nil, },
	[12320] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12321] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12322] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12964,   nil,  nil, },
	[12323] = { 1,  0,   10,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[12324] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12328] = { 1,  0,   30,    0,    0,    0,  0,     0,     0,     0,     0,  30000,      0,  true,   nil,   nil,  nil, },
	[12329] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12330] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12338] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12339] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12340] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12341] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12342] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12349] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12350] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12351] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12353] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12355] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[12357] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12355,   nil,  nil, },
	[12358] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12355,   nil,  nil, },
	[12359] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12355,   nil,  nil, },
	[12360] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12355,   nil,  nil, },
	[12378] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12398] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12399] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12400] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12463] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12464] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12467] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12469] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12472] = { 0,  3,    0,    0,    0,    0,  0,     0,     0,     0,     0, 180000,      0,  true,   nil,   nil,  nil, },
	[12473] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12475] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12487] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12488] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12489] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12490] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12494] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[12496] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12494,   nil,  nil, },
	[12497] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12494,   nil,  nil, },
	[12500] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12501] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12502] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12503] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12518] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12519] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12536] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[12569] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12571] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12574] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12536,   nil,  nil, },
	[12575] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12536,   nil,  nil, },
	[12576] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12536,   nil,  nil, },
	[12577] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12536,   nil,  nil, },
	[12579] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[12592] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12598] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 18469,   nil,  nil, },
	[12605] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12606] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12658] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12659] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12663] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12664] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12665] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12666] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12668] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 23694,   nil,  nil, },
	[12672] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12676] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12677] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12697] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12700] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12701] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,  5530,   nil,  nil, },
	[12702] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,  5530,   nil,  nil, },
	[12703] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,  5530,   nil,  nil, },
	[12704] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,  5530,   nil,  nil, },
	[12711] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12712] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12713] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12714] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12724] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 23602,   nil,  nil, },
	[12725] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 23602,   nil,  nil, },
	[12726] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 23602,   nil,  nil, },
	[12727] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 23602,   nil,  nil, },
	[12750] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12751] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12752] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12753] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12761] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12762] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12763] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12764] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12765] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12781] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12783] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12784] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12785] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12788] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12789] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12797] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12798,   nil,  nil, },
	[12798] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[12799] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12798,   nil,  nil, },
	[12800] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12798,   nil,  nil, },
	[12803] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12804] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12807] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12809] = { 1,  0,   15,    0,    0,    0,  0,     5,     0,     0,     0,  45000,      0,  true,   nil,   nil,  nil, },
	[12810] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12811] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12812] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16459,   nil,  nil, },
	[12813] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16459,   nil,  nil, },
	[12814] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16459,   nil,  nil, },
	[12815] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16459,   nil,  nil, },
	[12818] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12834] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12162,   nil,  nil, },
	[12835] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12836] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12837] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12838] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12839] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12840] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12841] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12842] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12846] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12847] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12848] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12849] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12850,   nil,  nil, },
	[12850] = { 0,  0,    0,    0,    0,    0,  0, 50000,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[12852] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12853] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12855] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12856] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12857] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12858] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12860] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12861] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12862] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12867] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12868,   nil,  nil, },
	[12868] = { 0,  0,    0,    0,    0,    0,  0, 50000,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[12872] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 22959,   nil,  nil, },
	[12873] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 22959,   nil,  nil, },
	[12876] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12877] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12878] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12879] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12880] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12945] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12950] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12952] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12953] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12958] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 18498,   nil,  nil, },
	[12959] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12960] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12961] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12962] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12963] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12964] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12966] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12967] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12968] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12969] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12970] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12971] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12967,   nil,  nil, },
	[12972] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12968,   nil,  nil, },
	[12973] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12969,   nil,  nil, },
	[12974] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12970,   nil,  nil, },
	[12975] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 480000,      0,  true,   nil,   nil,  nil, },
	[12982] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12983] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12984] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12985] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[12999] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12964,   nil,  nil, },
	[13000] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12964,   nil,  nil, },
	[13001] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12964,   nil,  nil, },
	[13002] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12964,   nil,  nil, },
	[13043] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13045] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14201,   nil,  nil, },
	[13046] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14202,   nil,  nil, },
	[13047] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14203,   nil,  nil, },
	[13048] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14204,   nil,  nil, },
	[13705] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13706] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13707] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13709] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,  5530,   nil,  nil, },
	[13712] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13713] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13715] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13732] = { 3,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13733] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13741] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13742] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13743] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 30918,   nil,  nil, },
	[13750] = { 3,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 300000,      0,  true,   nil,   nil,  nil, },
	[13754] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 18425,   nil,  nil, },
	[13788] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13789] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13790] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13791] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13792] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13793] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13800] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,  5530,   nil,  nil, },
	[13801] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,  5530,   nil,  nil, },
	[13802] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,  5530,   nil,  nil, },
	[13803] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,  5530,   nil,  nil, },
	[13804] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13805] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13806] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13807] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13832] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13843] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13844] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13845] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13848] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13849] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13851] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13852] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13853] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13854] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13855] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13856] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13863] = { 3,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13865] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13866] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13867] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 18425,   nil,  nil, },
	[13872] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13875] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 30918,   nil,  nil, },
	[13877] = { 3,  0,   25,    0,    0,    0,  0,     0,     0,     0,     0, 120000,      0,  true,   nil,   nil,  nil, },
	[13958] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13960] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16459,   nil,  nil, },
	[13961] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16459,   nil,  nil, },
	[13962] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16459,   nil,  nil, },
	[13963] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16459,   nil,  nil, },
	[13964] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16459,   nil,  nil, },
	[13966] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13967] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13968] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13969] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13970] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13971] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13972] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13973] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13975] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13976] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 13977,   nil,  nil, },
	[13977] = { 0,  0,    0,    0,    0,    0,  0,     5,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[13979] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 13977,   nil,  nil, },
	[13980] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 13977,   nil,  nil, },
	[13981] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[13983] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15250,   nil,  nil, },
	[14057] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14062] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14063] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14064] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14065] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14066] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14070] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15250,   nil,  nil, },
	[14071] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15250,   nil,  nil, },
	[14072] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14073] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14074] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14075] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14076] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14079] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14080] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14081] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14082] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14083] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14094] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14113] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14114] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14115] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14116] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14117] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14128] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14132] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14135] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14136] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14137] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14138] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14139] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14140] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14141] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14142] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14143] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14144] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14143,   nil,  nil, },
	[14148] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14149,   nil,  nil, },
	[14149] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14156] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14157,   nil,  nil, },
	[14157] = { 0,  0,    0,    0,    0,    0,  0,     5,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[14158] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14159] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14160] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14157,   nil,  nil, },
	[14161] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14157,   nil,  nil, },
	[14162] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14163] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14164] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14165] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14166] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14167] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14168] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14169] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14171] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14172] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14173] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14174] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14175] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14176] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14177] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 180000,      0,  true,   nil,   nil,  nil, },
	[14179] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14181,   nil,  nil, },
	[14181] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14183] = { 3,  0,    0,    0,    0,    0,  0,    30,     0,     0,     0, 120000,      0,  true,   nil,   nil,  nil, },
	[14185] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 600000,      0,  true,   nil,   nil,  nil, },
	[14186] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14189,   nil,  nil, },
	[14189] = { 0,  0,    0,    0,    0,    0,  0, 50000,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[14190] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14189,   nil,  nil, },
	[14193] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14189,   nil,  nil, },
	[14194] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14189,   nil,  nil, },
	[14195] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14189,   nil,  nil, },
	[14201] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14202] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14203] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14204] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14251] = { 3,  0,   10,    0,    0,    0,  0,     5,     0,     0,     0,   6000,      0,  true,   nil,   nil,  nil, },
	[14278] = { 3,  0,   40,    0,    0,    0,  0,     5,     0,     0,     0,  20000,      0,  true,   nil,   nil,  nil, },
	[14520] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14521] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14522] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14523] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14524] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14525] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14526] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14527] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14528] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14531] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14743,   nil,  nil, },
	[14743] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14747] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14748] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14749] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14750] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14751] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 180000,      0,  true,   nil,   nil,  nil, },
	[14752] = { 0,  0,  250,    0,    0,    0,  0,    30,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[14767] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14768] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14769] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14770] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14771] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14772] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14774] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 27828,   nil,  nil, },
	[14776] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14777] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14780] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14781] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14782] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14783] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14784] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14785] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14786] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14787] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14788] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14789] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14790] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14791] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14889] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14892] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 14893,   nil,  nil, },
	[14893] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14898] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14901] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14908] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14909] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14910] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14911] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14912] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14913] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[14983] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15008] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15009] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15010] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15011] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15012] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15013] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15014] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15017] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15018] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15020] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15028] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15029] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15030] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15031] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15047] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15052] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15053] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15058] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15059] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15060] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15237] = { 0,  0,  185,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[15250] = { 0,  0,    0,    0,    0,    0,  0,     5,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[15257] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15258,   nil,  nil, },
	[15258] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[15259] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15260] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15268] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15269,   nil,  nil, },
	[15269] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[15270] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15271,   nil,  nil, },
	[15271] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15272] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15273] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15274] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15275] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15286] = { 0,  2,    0,    0,    0,    0,  0,    30,     0,     0,     0,  10000,      0,  true,   nil,   nil,  nil, },
	[15307] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15308] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15309] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15310] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15311] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15312] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15313] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15314] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15316] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15317] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15318] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15320] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15323] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15269,   nil,  nil, },
	[15324] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15269,   nil,  nil, },
	[15325] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15269,   nil,  nil, },
	[15326] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15269,   nil,  nil, },
	[15327] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15328] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15329] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15330] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15331] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15258,   nil,  nil, },
	[15332] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15258,   nil,  nil, },
	[15333] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15258,   nil,  nil, },
	[15334] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15258,   nil,  nil, },
	[15335] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15271,   nil,  nil, },
	[15336] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15271,   nil,  nil, },
	[15337] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15271,   nil,  nil, },
	[15338] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15271,   nil,  nil, },
	[15349] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15354] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15355] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15356] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15357] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15359] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15362] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15357,   nil,  nil, },
	[15363] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 15359,   nil,  nil, },
	[15392] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15407] = { 0,  0,   45,    0,    0,    0,  0,    20,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[15448] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[15473] = { 0, 32,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,   1500,  true,   nil,   nil,  nil, },
	[15487] = { 0,  0,  225,    0,    0,    0,  0,    20,     0,     0,     0,  45000,      0,  true,   nil,   nil,  nil, },
	[16035] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16038] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16039] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16040] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16041] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16043] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16086] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16089] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16105] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16106] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16107] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16108] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16109] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16110] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16111] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16112] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16113] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16114] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16115] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16116] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16117] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16118] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16119] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16120] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16130] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16160] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16161] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16164] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16246,   nil,  nil, },
	[16166] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 180000,  10000,  true,   nil,   nil,  nil, },
	[16173] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16176] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16177,   nil,  nil, },
	[16177] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16178] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16179] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16180] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16181] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16182] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16184] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16187] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16188] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 180000,  10000,  true,   nil,   nil,  nil, },
	[16189] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16190] = { 0,  3,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0, 300000,  true,   nil,   nil,  nil, },
	[16194] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16196] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16198] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16205] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16206] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16207] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16208] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16209] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16210] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16211] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16212] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16213] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16214] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16215] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16216] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16217] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16218] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16219] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16220] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16221] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16222] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16223] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16224] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16225] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16226] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16227] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16228] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16229] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16230] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16232] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16233] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16234] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16235] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16236,   nil,  nil, },
	[16236] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16237] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16240] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16237,   nil,  nil, },
	[16246] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[16252] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16253] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16254] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16255] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16256] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16257,   nil,  nil, },
	[16257] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16258] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16259] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16261] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16262] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16266] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16268] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 18848, 36591,  nil, },
	[16271] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16272] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16273] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16274] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16277] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16278] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16279] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16280] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16281] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16277,   nil,  nil, },
	[16282] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16278,   nil,  nil, },
	[16283] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16279,   nil,  nil, },
	[16284] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16280,   nil,  nil, },
	[16287] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16290] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16291] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16293] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16295] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16298] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16299] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16300] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16301] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16302] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16303] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16304] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16305] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16306] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16307] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16308] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16309] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16459] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16462] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16463] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16464] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16465] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16466] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16487] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16488,   nil,  nil, },
	[16488] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16489] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16490,   nil,  nil, },
	[16490] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16491] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16492] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16491,   nil,  nil, },
	[16493] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16494] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16511] = { 3,  0,   35,    0,    0,    0,  0,     5,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[16513] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16514] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16515] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16538] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16539] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16540] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16541] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16542] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16544] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16578] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16579] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16580] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16581] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16582] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16689] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,  60000,  true, 19975,   nil,  nil, },
	[16719] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16720] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16757] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16758] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16763] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16765] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16766] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16769] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16770] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16814] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16815] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16816] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16817] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16818] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16819] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16820] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16821] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16822] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16833] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16834] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16835] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16836] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16839] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16840] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16845] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16846] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16847] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16850] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16922,   nil,  nil, },
	[16857] = { 3,  0,    0,    0,    0,    0,  0,    30,     0,     0,     0,      0,   6000,  true,   nil,   nil,  nil, },
	[16858] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16859] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16860] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16861] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16862] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16864] = { 0,  0,  120,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,  true, 16870,   nil,  nil, },
	[16870] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[16880] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16886,   nil,  nil, },
	[16886] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16896] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16897] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16899] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16900] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16901] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16909] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16910] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16911] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16912] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16913] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16918] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16919] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16920] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16922] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16923] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16922,   nil,  nil, },
	[16924] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16922,   nil,  nil, },
	[16929] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16930] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16931] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16934] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16935] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16936] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16937] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16938] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16940] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16941] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16942] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16943] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16944] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16947] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16948] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16949] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16952] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16953,   nil,  nil, },
	[16953] = { 0,  0,    0,    0,    0,    0,  0,     5,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[16954] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16953,   nil,  nil, },
	[16958] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16959,   nil,  nil, },
	[16959] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16961] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16959,   nil,  nil, },
	[16966] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16968] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16972] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16974] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16975] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16979] = { 1,  0,    5,    0,    0,    0,  8,    25,     0,     0,     0,  15000,      0,  true, 19675, 45334,  nil, },
	[16998] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[16999] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17002] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17003] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17004] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17005] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17006] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17007] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17050] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17051] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17053] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17054] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17055] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17056] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17058] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17059] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17060] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17061] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17063] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17065] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17066] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17067] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17068] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17069] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17070] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17071] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17072] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17073] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17074] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17075] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17076] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17077] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17078] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17080] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17104] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17106] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 17080,   nil,  nil, },
	[17107] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 35358,   nil,  nil, },
	[17108] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 35359,   nil,  nil, },
	[17111] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17112] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17113] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17116] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 180000,      0,  true,   nil,   nil,  nil, },
	[17118] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17119] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17120] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17121] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17122] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17123] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17124] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17191] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17245] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17247] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17248] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17249] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17322] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17323] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17364] = { 0,  8,    0,    0,    0,    0,  0,     5,     0,     0,     0,  10000,      0,  true, 32175, 32176,  nil, },
	[17485] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17486] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17487] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17488] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17489] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17778] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17779] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17780] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17781] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17782] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17783] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17784] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17785] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17786] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17787] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17788] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17789] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17790] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17791] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17792] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17793] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 17794,   nil,  nil, },
	[17794] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17796] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 17798,   nil,  nil, },
	[17797] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17798] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17799] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17800] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17801] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 17797,   nil,  nil, },
	[17802] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 17799,   nil,  nil, },
	[17803] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 17800,   nil,  nil, },
	[17804] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17805] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17810] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17811] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17812] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17813] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17814] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17815] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17833] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17834] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17835] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17836] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17877] = { 0,  0,  105,    0,    0,    0,  0,    20,     0,     0,     0,      0,  15000,  true, 29341,   nil,  nil, },
	[17917] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17918] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17927] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17929] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17930] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17954] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17955] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17956] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17957] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17958] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17959] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[17962] = { 0,  0,  165,    0,    0,    0,  0,    30,     0,     0,     0,      0,  10000,  true,   nil,   nil,  nil, },
	[18073] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18094] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18095] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18096] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18118] = { 0,  0,    0,    0,    0,    0,  0, 50000,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[18119] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 18118,   nil,  nil, },
	[18120] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 18118,   nil,  nil, },
	[18121] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 18118,   nil,  nil, },
	[18122] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 18118,   nil,  nil, },
	[18123] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 18118,   nil,  nil, },
	[18126] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18127] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18128] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18129] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18130] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18131] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18132] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18133] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18134] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18135] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18136] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18174] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18175] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18176] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18177] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18178] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18179] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18180] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18182] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18183] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18213] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18218] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18219] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18220] = { 0,  0,    0,    0,    0,    0,  0,    30,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[18223] = { 0,  6,    0,    0,    0,    0,  0,    30,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[18265] = { 0,  0,  140,    0,    0,    0,  0,    30,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[18271] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18272] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18273] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18274] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18275] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18288] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 180000,      0,  true,   nil,   nil,  nil, },
	[18372] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18425] = { 3,  0,    0,    0,    0,    0,  0, 50000,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[18427] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18428] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18429] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18459] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18460] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18462] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18463] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18464] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18469] = { 3,  0,    0,    0,    0,    0,  0, 50000,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[18498] = { 3,  0,    0,    0,    0,    0,  0, 50000,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[18530] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18531] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18533] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18534] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18535] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18544] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18547] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18548] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18549] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18550] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18551] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18552] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18553] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18554] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18555] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18562] = { 0, 16,    0,    0,    0,    0,  0,    40,     0,     0,     0,  15000,      0,  true,   nil,   nil,  nil, },
	[18692] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18693] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18694] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18695] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18696] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18697] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18698] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18699] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18700] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18701] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18703] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18704] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18705] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18706] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18707] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18708] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 900000,      0,  true,   nil,   nil,  nil, },
	[18709] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18710] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18731] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18743] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18744] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18748] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18749] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18750] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18754] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18755] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18756] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18767] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18768] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18769] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18770] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18771] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18772] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18773] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18788] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[18821] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18822] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18827] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18829] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[18848] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19028] = { 0, 16,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[19151] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19152] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19153] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19159] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19160] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19168] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19180] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19181] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19184] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 19185,   nil,  nil, },
	[19185] = { 0,  0,    0,    0,    0,    0,  0, 50000,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[19228] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 19229,   nil,  nil, },
	[19229] = { 0,  0,    0,    0,    0,    0,  0, 50000,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[19232] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 19229,   nil,  nil, },
	[19233] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 19229,   nil,  nil, },
	[19239] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19245] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19255] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19256] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19257] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19258] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19259] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19263] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 300000,      0,  true,   nil,   nil,  nil, },
	[19286] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19287] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19290] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19294] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19295] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19297] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19298] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19300] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19301] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19306] = { 0,  0,   45,    0,    0,    0,  0,     5,     0,     0,     0,      0,   5000,  true,   nil,   nil,  nil, },
	[19370] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19371] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19373] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19376] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19377] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19386] = { 0,  0,  115,    0,    0,    0,  8,    35,-1000000,     0,-1000000,      0, 120000,  true,   nil,   nil,  nil, },
	[19387] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 19185,   nil,  nil, },
	[19388] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 19185,   nil,  nil, },
	[19407] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 19410,   nil,  nil, },
	[19410] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19412] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 19410,   nil,  nil, },
	[19413] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 19410,   nil,  nil, },
	[19414] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 19410,   nil,  nil, },
	[19415] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 19410,   nil,  nil, },
	[19416] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19417] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19418] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19419] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19420] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19421] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19422] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19423] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19424] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19425] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19426] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19427] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19429] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19430] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19431] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19434] = { 0,  0,   75,    0,    0,    0,  8,    35,  2500,     0,  2500,      0,   6000,  true,   nil,   nil,  nil, },
	[19454] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19455] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19456] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19457] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19458] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19461] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19462] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19464] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19465] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19466] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19467] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19468] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19485] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19487] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19488] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19489] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19490] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19498] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19499] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19500] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19503] = { 0,  6,    0,    0,    0,    0,  0,    15,-1000000,     0,-1000000,  30000,      0,  true, 37506,   nil,  nil, },
	[19506] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19507] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19508] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19509] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19510] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19511] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19549] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19550] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19551] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19552] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19553] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19554] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19555] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19556] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19559] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19560] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19572] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19573] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19574] = { 0, 10,    0,    0,    0,    0,  0,   100,     0,     0,     0, 120000,      0,  true,   nil,   nil,  nil, },
	[19575] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19577] = { 0,  6,    0,    0,    0,    0,  0,   100,     0,     0,     0,  60000,      0,  true, 24394,   nil,  nil, },
	[19578] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19583] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19584] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19585] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19586] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19587] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19590] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19592] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19596] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19598] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19599] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19600] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19601] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19602] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19609] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19610] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19612] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19616] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19617] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19618] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19619] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19620] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19621] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19622] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19623] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19624] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19625] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[19675] = { 1,  0,    0,    0,    0,    0,  8,    25,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[19975] = { 0,  0,    0,    0,    0,    0,  0,    30,  1500,     0,  1500,      0,      0,  true,   nil,   nil,  nil, },
	[20042] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20045] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20046] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20047] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20048] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20049] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20050,   nil,  nil, },
	[20050] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20052] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20053] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20054] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20055] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20056] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20052,   nil,  nil, },
	[20057] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20053,   nil,  nil, },
	[20058] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20054,   nil,  nil, },
	[20059] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20055,   nil,  nil, },
	[20060] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20061] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20062] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20063] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20064] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20066] = { 0,  0,   60,    0,    0,    0,  0,    20,     0,     0,     0,  60000,      0,  true,   nil,   nil,  nil, },
	[20091] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20092] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20096] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20097] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20098] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20099] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20100] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20101] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20102] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20103] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20104] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20105] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20111] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20112] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20113] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20117] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20118] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20119] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20120] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20121] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20127] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20128,   nil,  nil, },
	[20128] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20130] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20131,   nil,  nil, },
	[20131] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20132] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20133] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20134] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20135] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20132,   nil,  nil, },
	[20136] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20133,   nil,  nil, },
	[20137] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20134,   nil,  nil, },
	[20138] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20139] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20140] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20141] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20142] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20143] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20144] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20145] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20146] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20147] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20148] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20149] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20150] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20174] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20175] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20177] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20178,   nil,  nil, },
	[20178] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 32746,   nil,  nil, },
	[20179] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20178,   nil,  nil, },
	[20180] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20178,   nil,  nil, },
	[20181] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20178,   nil,  nil, },
	[20182] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20178,   nil,  nil, },
	[20189] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20192] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20193] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20196] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20197] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20198] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20199] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20200] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20205] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20206] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20207] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20208] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20209] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20210] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20212] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20213] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20214] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20215] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20216] = { 0,  3,    0,    0,    0,    0,  0,     0,     0,     0,     0, 120000,      0,  true,   nil,   nil,  nil, },
	[20217] = { 0,  6,    0,    0,    0,    0,  0,    30,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[20218] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20224] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20225] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20233] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20234] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20233,   nil,  nil, },
	[20235] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 20236,   nil,  nil, },
	[20236] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20237] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20238] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20239] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20243] = { 1,  0,   15,    0,    0,    0,  0,     5,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[20244] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20245] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20254] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20255] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20256] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20257] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20258] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20259] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20260] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20261] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20262] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20263] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20264] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20265] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20266] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20330] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20331] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20332] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20335] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20336] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20337] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20359] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20360] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20361] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20375] = { 0,  0,   65,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,  true, 20424,   nil,  nil, },
	[20424] = { 0,  0,    0,    0,    0,    0,  0,     5,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[20468] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20469] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20470] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20473] = { 0,  0,  335,    0,    0,    0,  0,    20,     0,     0,     0,      0,  15000,  true,   nil,   nil,  nil, },
	[20487] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20488] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20489] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20496] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20500] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 23690,   nil,  nil, },
	[20501] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 23691,   nil,  nil, },
	[20502] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20503] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20504] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20505] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20711] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20895] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[20911] = { 0,  0,   60,    0,    0,    0,  0,    30,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[20925] = { 0,  0,  135,    0,    0,    0,  0,     0,     0,     0,     0,      0,  10000,  true,   nil,   nil,  nil, },
	[22959] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[23584] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[23585] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[23586] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[23587] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[23588] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[23602] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[23690] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[23691] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[23694] = { 0,  0,    0,    0,    0,    0,  0, 50000,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[23695] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 23694,   nil,  nil, },
	[23785] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[23822] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[23823] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[23824] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[23825] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[23881] = { 1,  0,   30,    0,    0,    0,  0,     5,     0,     0,     0,      0,   6000,  true,   nil,   nil,  nil, },
	[23922] = { 1,  0,   20,    0,    0,    0,  0,     5,     0,     0,     0,      0,   6000,  true,   nil,   nil,  nil, },
	[23989] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 300000,      0,  true,   nil,   nil,  nil, },
	[24283] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24293] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24294] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24295] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24296] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24297] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24394] = { 0,  0,    0,    0,    0,    0,  0,     5,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[24443] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24691] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24858] = { 0, 22,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,  true, 24907,   nil,  nil, },
	[24866] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24894] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24907] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24943] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24944] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24945] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24946] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24968] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24969] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24970] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24971] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[24972] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[25829] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[25836] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[25956] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[25957] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[25988] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[26016] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 26017,   nil,  nil, },
	[26017] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[26018] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[26021] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 26018,   nil,  nil, },
	[26022] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[26023] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[27576] = { 3,  0,    0,    0,    0,    0,  0,     5,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[27789] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[27790] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[27811] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[27815] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[27816] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[27828] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[27839] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[27840] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[27900] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[27901] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[27902] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[27903] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[27904] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[28332] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[28574] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[28592] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12579,   nil,  nil, },
	[28593] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12579,   nil,  nil, },
	[28594] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12579,   nil,  nil, },
	[28595] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 12579,   nil,  nil, },
	[28682] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[28996] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[28997] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[28998] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[28999] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29000] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29062] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 29063,   nil,  nil, },
	[29063] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29064] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 29063,   nil,  nil, },
	[29065] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 29063,   nil,  nil, },
	[29074] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29075] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29076] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29079] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29080] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29082] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29084] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29086] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29087] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29088] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29140] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29143] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29144] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29145] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29146] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29177] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29178] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29179] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 29177,   nil,  nil, },
	[29180] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 29178,   nil,  nil, },
	[29187] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29189] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29191] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29192] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29193] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29202] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 29203,   nil,  nil, },
	[29203] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[29205] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 29203,   nil,  nil, },
	[29206] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 29203,   nil,  nil, },
	[29341] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[29438] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29439] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29440] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29441] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29444] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29445] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29446] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29447] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29590] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29591] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29592] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29593] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29594] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29595] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29598] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29599] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29600] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29623] = { 1,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29721] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29723] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29724] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29725] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29759] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29760] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29761] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29762] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29763] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29776] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29787] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29790] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29792] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29801] = { 1,  0,   20,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,  true, 30029,   nil,  nil, },
	[29834] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29836] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 30069,   nil,  nil, },
	[29838] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29859] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 30070,   nil,  nil, },
	[29888] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[29889] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30029] = { 1,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30054] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30057] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30060] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30061] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30062] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30063] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30064] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30069] = { 0,  0,    0,    0,    0,    0,  0, 50000,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[30070] = { 0,  0,    0,    0,    0,    0,  0, 50000,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[30108] = { 0,  0,  270,    0,    0,    0,  0,    30,  1500,     0,  1500,      0,      0,  true,   nil,   nil,  nil, },
	[30143] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30144] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30145] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30146] = { 0, 80,    0,    0,    0,    0,  0,     0, 10000,     0, 10000,      0,      0,  true,   nil,   nil,  nil, },
	[30160] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 30165,   nil,  nil, },
	[30165] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30242] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30245] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30246] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30247] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30248] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30283] = { 0,  0,  440,    0,    0,    0,  0,    30,   500,     0,   500,      0,  20000,  true,   nil,   nil,  nil, },
	[30288] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30289] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30290] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30291] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30292] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30293] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30295] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30296] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30299] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 30300,   nil,  nil, },
	[30300] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30301] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 30300,   nil,  nil, },
	[30302] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 30300,   nil,  nil, },
	[30319] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30320] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30321] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30326] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30327] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30328] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30664] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30665] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30666] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30667] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30668] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30669] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30670] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30671] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30672] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30673] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30674] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30675] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30678] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30679] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30680] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30681] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30706] = { 0,  5,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[30798] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   674,   nil,  nil, },
	[30802] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 30803,   nil,  nil, },
	[30803] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30804] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30805] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30806] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30807] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30808] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 30804,   nil,  nil, },
	[30809] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 30805,   nil,  nil, },
	[30810] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 30806,   nil,  nil, },
	[30811] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 30807,   nil,  nil, },
	[30812] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30813] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30814] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30816] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30818] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30819] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30823] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 120000,      0,  true, 30824,   nil,  nil, },
	[30824] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30864] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30865] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30866] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30867] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30868] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30869] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30872] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30873] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30881] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30883] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30884] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30885] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30886] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30892] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30893] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30894] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30895] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30902] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30903] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30904] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30905] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30906] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30918] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30919] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[30920] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31122] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31123] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31124] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 31125,   nil,  nil, },
	[31125] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31126] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 31125,   nil,  nil, },
	[31130] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31131] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31208] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31209] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31211] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31212] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31213] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31216] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31217] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31218] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31219] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31220] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31221] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31222] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31223] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31226] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31227] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31228] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31229] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31230] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31233] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 31234,   nil,  nil, },
	[31234] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31235] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31236] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31237] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31238] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31239] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 31235,   nil,  nil, },
	[31240] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 31236,   nil,  nil, },
	[31241] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 31237,   nil,  nil, },
	[31242] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 31238,   nil,  nil, },
	[31244] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31245] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31380] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31382] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31383] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31384] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31385] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31569] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 47000,   nil,  nil, },
	[31570] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 46989,   nil,  nil, },
	[31571] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31572] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31573] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31574] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31575] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31579] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31582] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31583] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31584] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31585] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31586] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31587] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31588] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31589] = { 0, 20,    0,    0,    0,    0,  0,    30,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[31638] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31639] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31640] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31641] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31642] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31656] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31657] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31658] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31659] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31660] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31661] = { 0,  0,  475,    0,    0,    0,  0,     0,     0,     0,     0,      0,  20000,  true,   nil,   nil,  nil, },
	[31667] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31668] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31669] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31670] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31672] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31674] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31675] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31676] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31677] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31678] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31679] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31680] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31682] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31683] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31684] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31685] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31686] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31687] = { 0, 16,    0,    0,    0,    0,  0,     0,     0,     0,     0, 180000,      0,  true,   nil,   nil,  nil, },
	[31821] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31822] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31823] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31824] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31825] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31826] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31828] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31829] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31830] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31833] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 31834,   nil,  nil, },
	[31834] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31835] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 31834,   nil,  nil, },
	[31836] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 31834,   nil,  nil, },
	[31837] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31838] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31839] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31840] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31841] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31842] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0, 180000,      0,  true,   nil,   nil,  nil, },
	[31844] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31845] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31846] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31847] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31848] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31849] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31850] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31851] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31852] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31853] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31854] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31858] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31859] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31860] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31861] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31862] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31866] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31867] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31868] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31869] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31870] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31871] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31872] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31873] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31876] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31877] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31878] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31879] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31880] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31881] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31882] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31883] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[31935] = { 0,  0,  500,    0,    0,    0,  0,    30,  1000,     0,  1000,      0,  30000,  true,   nil,   nil,  nil, },
	[32043] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[32175] = { 0,  0,    0,    0,    0,    0,  0,     5,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[32176] = { 3,  0,    0,    0,    0,    0,  0,     5,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[32381] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[32382] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[32383] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[32385] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 32386,   nil,  nil, },
	[32386] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[32387] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 32388,   nil,  nil, },
	[32388] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[32389] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[32390] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[32391] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[32392] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 32389,   nil,  nil, },
	[32393] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 32390,   nil,  nil, },
	[32394] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 32391,   nil,  nil, },
	[32477] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[32483] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[32484] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[32601] = { 3,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[32746] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33142] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 33143,   nil,  nil, },
	[33143] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33145] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 33143,   nil,  nil, },
	[33146] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 33143,   nil,  nil, },
	[33150] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 33151,   nil,  nil, },
	[33151] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33154] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 33151,   nil,  nil, },
	[33158] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33159] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33160] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33161] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33162] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33167] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33171] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33172] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33174] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33182] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33186] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33190] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33191] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 33196,   nil,  nil, },
	[33192] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 33197,   nil,  nil, },
	[33193] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 33198,   nil,  nil, },
	[33194] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 33199,   nil,  nil, },
	[33195] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 33200,   nil,  nil, },
	[33196] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33197] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33198] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33199] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33200] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33201] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33202] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33203] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33204] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33205] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33206] = { 0,  8,    0,    0,    0,    0,  0,    40,     0,     0,     0, 120000,      0,  true,   nil,   nil,  nil, },
	[33213] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33214] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33215] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33221] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33222] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33223] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33224] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33225] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33371] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33589] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33590] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33591] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33592] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33596] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33597] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33599] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33600] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33601] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33602] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33603] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33604] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33605] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33606] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33607] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33831] = { 0, 12,    0,    0,    0,    0,  0,    30,     0,     0,     0, 180000,      0,  true,   nil,   nil,  nil, },
	[33851] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33852] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33853] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33855] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33856] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33859] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33866] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33867] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33868] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33869] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33872] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33873] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33876] = { 3,  0,   45,    0,    0,    0,  0,     5,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[33878] = { 1,  0,   20,    0,    0,    0,  0,     5,     0,     0,     0,      0,   6000,  true,   nil,   nil,  nil, },
	[33879] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33880] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33881] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 45281,   nil,  nil, },
	[33882] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 45282,   nil,  nil, },
	[33883] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 45283,   nil,  nil, },
	[33886] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33887] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33888] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33889] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33890] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33891] = { 0, 28,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[33917] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true, 33878, 33876,  nil, true, },
	[33956] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[33957] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34151] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34152] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34153] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34293] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34295] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34296] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34297] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34300] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34453] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34454] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34455] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34459] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34460] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34462] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34464] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34465] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34466] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34467] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34468] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34469] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34470] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34475] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34476] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34482] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34483] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34484] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34485] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34486] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34487] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34488] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34489] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34490] = { 0,  6,    0,    0,    0,    0,  8,    35,-1000000,     0,-1000000,  20000,      0,  true,   nil,   nil,  nil, },
	[34491] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34492] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34493] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34494] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34496] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34497] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34498] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34499] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34500] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34501,   nil,  nil, },
	[34501] = { 0,  0,    0,    0,    0,    0,  0, 50000,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[34502] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34501,   nil,  nil, },
	[34503] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34501,   nil,  nil, },
	[34506] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34833,   nil,  nil, },
	[34507] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34834,   nil,  nil, },
	[34508] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34835,   nil,  nil, },
	[34692] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34753] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34754,   nil,  nil, },
	[34754] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[34833] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34834] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34835] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34836] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34837] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34838] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34836,   nil,  nil, },
	[34839] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34837,   nil,  nil, },
	[34859] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34754,   nil,  nil, },
	[34860] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34754,   nil,  nil, },
	[34861] = { 0,  0,  300,    0,    0,    0,  0,    40,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[34908] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34909] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34910] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34911] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34912] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34914] = { 0,  0,  325,    0,    0,    0,  0,    30,  1500,     0,  1500,      0,      0,  true,   nil,   nil,  nil, },
	[34935] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34936,   nil,  nil, },
	[34936] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34938] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34936,   nil,  nil, },
	[34939] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34936,   nil,  nil, },
	[34948] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 35098,   nil,  nil, },
	[34949] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 35099,   nil,  nil, },
	[34950] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34952,   nil,  nil, },
	[34952] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34953] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[34954] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 34953,   nil,  nil, },
	[35029] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35030] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35098] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35099] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35100] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 35101,   nil,  nil, },
	[35101] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35102] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 35101,   nil,  nil, },
	[35103] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 35101,   nil,  nil, },
	[35104] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35110] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35111] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35358] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35359] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35363] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35364] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35395] = { 0,  8,    0,    0,    0,    0,  0,     5,     0,     0,     0,   6000,      0,  true,   nil,   nil,  nil, },
	[35396] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35397] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35446] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35448] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35449] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35450] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35451] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35541] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 35542,   nil,  nil, },
	[35542] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35545] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35546] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35547] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35548] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35550] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 35545,   nil,  nil, },
	[35551] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 35546,   nil,  nil, },
	[35552] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 35547,   nil,  nil, },
	[35553] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 35548,   nil,  nil, },
	[35578] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35581] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35691] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35692] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[35693] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[36554] = { 3,  0,   10,    0,    0,    0,  0,    25,     0,     0,     0,  30000,      0,  true, 36563, 44373,  nil, },
	[36563] = { 3,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[36591] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[37116] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16958, 16952,  nil, },
	[37117] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 16961, 16954,  nil, },
	[37506] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[41021] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[41026] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[43338] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 43339,   nil,  nil, },
	[43339] = { 0,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[44373] = { 3,  0,    0,    0,    0,    0,  0,   100,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[44414] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[45234] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 45237,   nil,  nil, },
	[45237] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[45241] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[45242] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[45243] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 45241,   nil,  nil, },
	[45244] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil, 45242,   nil,  nil, },
	[45281] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[45282] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[45283] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[45334] = { 1,  0,    0,    0,    0,    0,  8,    25,     0,     0,     0,      0,      0,  true,   nil,   nil,  nil, },
	[46989] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
	[47000] = { 0,  0,    0,    0,    0,    0,  0,     0,     0,     0,     0,      0,      0,   nil,   nil,   nil,  nil, },
};
--]==]

NS._talentTabIcon = {
	[41] = "Interface\\Icons\\spell_fire_firebolt02",
	[61] = "Interface\\Icons\\spell_frost_frostbolt02",
	[81] = "Interface\\Icons\\inv_misc_rune_03",
	[161] = "Interface\\Icons\\ability_rogue_eviscerate",--
	[163] = "Interface\\Icons\\ability_warrior_defensivestance",
	[164] = "Interface\\Icons\\ability_warrior_innerrage",
	[181] = "Interface\\Icons\\ability_backstab",
	[182] = "Interface\\Icons\\ability_rogue_eviscerate",--
	[183] = "Interface\\Icons\\Ability_Ambush",
	[201] = "Interface\\Icons\\spell_holy_wordfortitude",
	[202] = "Interface\\Icons\\spell_holy_holybolt",
	[203] = "Interface\\Icons\\spell_shadow_shadowwordpain",
	[261] = "Interface\\Icons\\spell_nature_lightning",
	[262] = "Interface\\Icons\\Spell_Nature_HealingWaveGreater",
	[263] = "Interface\\Icons\\spell_nature_lightningshield",
	[281] = "Interface\\Icons\\ability_racial_bearform",
	[282] = "Interface\\Icons\\Spell_Nature_HealingTouch",
	[283] = "Interface\\Icons\\spell_nature_starfall",
	[301] = "Interface\\Icons\\spell_shadow_rainoffire",
	[302] = "Interface\\Icons\\spell_shadow_deathcoil",
	[303] = "Interface\\Icons\\spell_shadow_metamorphosis",
	[361] = "Interface\\Icons\\Ability_Hunter_BeastTaming",
	[362] = "Interface\\Icons\\Ability_Hunter_SwiftStrike",
	[363] = "Interface\\Icons\\Ability_Marksmanship",
	[381] = "Interface\\Icons\\Spell_Holy_AuraOfLight",
	[382] = "Interface\\Icons\\Spell_Holy_HolyBolt",
	[383] = "Interface\\Icons\\Spell_Holy_DevotionAura",
	
	[398] = "Interface\\Icons\\Spell_Deathknight_BloodPresence",
	[399] = "Interface\\Icons\\Spell_Deathknight_FrostPresence",
	[400] = "Interface\\Icons\\Spell_Deathknight_UnholyPresence",
	[409] = "Interface\\Icons\\Ability_Hunter_Pet_Bear",
	[410] = "Interface\\Icons\\Ability_Druid_Swipe",
	[411] = "Interface\\Icons\\Ability_Hunter_CombatExperience",
};

NS._BG0 = {
	DEATHKNIGHT = {
		"Interface\\TalentFrame\\bg-deathknight-blood",
		"Interface\\TalentFrame\\bg-deathknight-frost",
		"Interface\\TalentFrame\\bg-deathknight-unholy",
	},
	DRUID = {
		"Interface\\TalentFrame\\bg-druid-balance",
		"Interface\\TalentFrame\\bg-druid-bear",
		"Interface\\TalentFrame\\bg-druid-cat",
		"Interface\\TalentFrame\\bg-druid-restoration",
	},
	HUNTER = {
		"Interface\\TalentFrame\\bg-hunter-beastmaster",
		"Interface\\TalentFrame\\bg-hunter-marksman",
		"Interface\\TalentFrame\\bg-hunter-survival",
	},
	MAGE = {
		"Interface\\TalentFrame\\bg-mage-arcane",
		"Interface\\TalentFrame\\bg-mage-fire",
		"Interface\\TalentFrame\\bg-mage-frost",
	},
	MONK = {
		"Interface\\TalentFrame\\bg-monk-battledancer",
		"Interface\\TalentFrame\\bg-monk-brewmaster",
		"Interface\\TalentFrame\\bg-monk-mistweaver",
	},
	PALADIN = {
		"Interface\\TalentFrame\\bg-paladin-holy",
		"Interface\\TalentFrame\\bg-paladin-protection",
		"Interface\\TalentFrame\\bg-paladin-retribution",
	},
	PRIEST = {
		"Interface\\TalentFrame\\bg-priest-discipline",
		"Interface\\TalentFrame\\bg-priest-holy",
		"Interface\\TalentFrame\\bg-priest-shadow",
	},
	ROGUE = {
		"Interface\\TalentFrame\\bg-rogue-assassination",
		"Interface\\TalentFrame\\bg-rogue-combat",
		"Interface\\TalentFrame\\bg-rogue-subtlety",
	},
	SHAMAN = {
		"Interface\\TalentFrame\\bg-shaman-elemental",
		"Interface\\TalentFrame\\bg-shaman-enhancement",
		"Interface\\TalentFrame\\bg-shaman-restoration",
	},
	WARLOCK = {
		"Interface\\TalentFrame\\bg-warlock-affliction",
		"Interface\\TalentFrame\\bg-warlock-demonology",
		"Interface\\TalentFrame\\bg-warlock-destruction",
	},
	WARRIOR = {
		"Interface\\TalentFrame\\bg-warrior-arms",
		"Interface\\TalentFrame\\bg-warrior-fury",
		"Interface\\TalentFrame\\bg-warrior-protection",
	},
};

NS._BG1 = {
		[283] = "Interface\\TalentFrame\\DruidBalance-TopLeft",
		[281] = "Interface\\TalentFrame\\DruidFeralCombat-TopLeft",
		[282] = "Interface\\TalentFrame\\DruidRestoration-TopLeft",
		[361] = "Interface\\TalentFrame\\HunterBeastMastery-TopLeft",
		[363] = "Interface\\TalentFrame\\HunterMarksmanship-TopLeft",
		[362] = "Interface\\TalentFrame\\HunterSurvival-TopLeft",
		[81] = "Interface\\TalentFrame\\MageArcane-TopLeft",
		[41] = "Interface\\TalentFrame\\MageFire-TopLeft",
		[61] = "Interface\\TalentFrame\\MageFrost-TopLeft",
		[382] = "Interface\\TalentFrame\\PaladinHoly-TopLeft",
		[383] = "Interface\\TalentFrame\\PaladinProtection-TopLeft",
		[381] = "Interface\\TalentFrame\\PaladinCombat-TopLeft",
		[201] = "Interface\\TalentFrame\\PriestDiscipline-TopLeft",
		[202] = "Interface\\TalentFrame\\PriestHoly-TopLeft",
		[203] = "Interface\\TalentFrame\\PriestShadow-TopLeft",
		[182] = "Interface\\TalentFrame\\RogueAssassination-TopLeft",
		[181] = "Interface\\TalentFrame\\RogueCombat-TopLeft",
		[183] = "Interface\\TalentFrame\\RogueSubtlety-TopLeft",
		[261] = "Interface\\TalentFrame\\ShamanElementalCombat-TopLeft",
		[263] = "Interface\\TalentFrame\\ShamanEnhancement-TopLeft",
		[262] = "Interface\\TalentFrame\\ShamanRestoration-TopLeft",
		[302] = "Interface\\TalentFrame\\WarlockCurses-TopLeft",
		[303] = "Interface\\TalentFrame\\WarlockSummoning-TopLeft",
		[301] = "Interface\\TalentFrame\\WarlockDestruction-TopLeft",
		[161] = "Interface\\TalentFrame\\WarriorArms-TopLeft",
		[164] = "Interface\\TalentFrame\\WarriorFury-TopLeft",
		[163] = "Interface\\TalentFrame\\WarriorProtection-TopLeft",
};

NS._preset_talent = {  };

